#include <kfile_includes.h>

#include <smoke.h>
#include <kfile_smoke.h>

namespace __smokekfile {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //KACL
      switch(to) {
        case 1: return (void*)(KACL*)xptr;
        default: return xptr;
      }
    case 2:   //KAbstractFileWidget
      switch(to) {
        case 2: return (void*)(KAbstractFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(KAbstractFileWidget*)xptr;
        default: return xptr;
      }
    case 3:   //KAbstractViewAdapter
      switch(to) {
        case 3: return (void*)(KAbstractViewAdapter*)xptr;
        default: return xptr;
      }
    case 4:   //KActionCollection
      switch(to) {
        case 4: return (void*)(KActionCollection*)xptr;
        default: return xptr;
      }
    case 5:   //KBookmark
      switch(to) {
        case 5: return (void*)(KBookmark*)xptr;
        default: return xptr;
      }
    case 6:   //KCategorizedSortFilterProxyModel
      switch(to) {
        case 124: return (void*)(QSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(KCategorizedSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(KCategorizedSortFilterProxyModel*)xptr;
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(KCategorizedSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 7:   //KCharsets
      switch(to) {
        case 7: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 8:   //KComboBox
      switch(to) {
        case 56: return (void*)(QComboBox*)(KComboBox*)xptr;
        case 141: return (void*)(QWidget*)(KComboBox*)xptr;
        case 103: return (void*)(QObject*)(KComboBox*)xptr;
        case 10: return (void*)(KCompletionBase*)(KComboBox*)xptr;
        case 8: return (void*)(KComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KComboBox*)xptr;
        default: return xptr;
      }
    case 9:   //KCompletion
      switch(to) {
        case 103: return (void*)(QObject*)(KCompletion*)xptr;
        case 9: return (void*)(KCompletion*)xptr;
        default: return xptr;
      }
    case 10:   //KCompletionBase
      switch(to) {
        case 10: return (void*)(KCompletionBase*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(KCompletionBase*)xptr;
        default: return xptr;
      }
    case 11:   //KComponentData
      switch(to) {
        case 11: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 12:   //KConfigGroup
      switch(to) {
        case 12: return (void*)(KConfigGroup*)xptr;
        default: return xptr;
      }
    case 13:   //KDialog
      switch(to) {
        case 66: return (void*)(QDialog*)(KDialog*)xptr;
        case 141: return (void*)(QWidget*)(KDialog*)xptr;
        case 103: return (void*)(QObject*)(KDialog*)xptr;
        case 13: return (void*)(KDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 14:   //KDirLister
      switch(to) {
        case 103: return (void*)(QObject*)(KDirLister*)xptr;
        case 14: return (void*)(KDirLister*)xptr;
        default: return xptr;
      }
    case 15:   //KDirOperator
      switch(to) {
        case 141: return (void*)(QWidget*)(KDirOperator*)xptr;
        case 103: return (void*)(QObject*)(KDirOperator*)xptr;
        case 15: return (void*)(KDirOperator*)xptr;
        default: return xptr;
      }
    case 16:   //KDirSelectDialog
      switch(to) {
        case 13: return (void*)(KDialog*)(KDirSelectDialog*)xptr;
        case 66: return (void*)(QDialog*)(KDirSelectDialog*)xptr;
        case 141: return (void*)(QWidget*)(KDirSelectDialog*)xptr;
        case 103: return (void*)(QObject*)(KDirSelectDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)xptr;
        default: return xptr;
      }
    case 17:   //KDirSortFilterProxyModel
      switch(to) {
        case 6: return (void*)(KCategorizedSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 124: return (void*)(QSortFilterProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)(KDirSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(KDirSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(KDirSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 18:   //KFile
      switch(to) {
        case 18: return (void*)(KFile*)xptr;
        default: return xptr;
      }
    case 19:   //KFileFilterCombo
      switch(to) {
        case 8: return (void*)(KComboBox*)(KFileFilterCombo*)xptr;
        case 56: return (void*)(QComboBox*)(KFileFilterCombo*)xptr;
        case 141: return (void*)(QWidget*)(KFileFilterCombo*)xptr;
        case 103: return (void*)(QObject*)(KFileFilterCombo*)xptr;
        case 10: return (void*)(KCompletionBase*)(KFileFilterCombo*)xptr;
        case 19: return (void*)(KFileFilterCombo*)xptr;
        default: return xptr;
      }
    case 20:   //KFileItem
      switch(to) {
        case 20: return (void*)(KFileItem*)xptr;
        default: return xptr;
      }
    case 21:   //KFileItemList
      switch(to) {
        case 21: return (void*)(KFileItemList*)xptr;
        default: return xptr;
      }
    case 22:   //KFilePlacesModel
      switch(to) {
        case 42: return (void*)(QAbstractItemModel*)(KFilePlacesModel*)xptr;
        case 103: return (void*)(QObject*)(KFilePlacesModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)xptr;
        default: return xptr;
      }
    case 23:   //KFilePlacesView
      switch(to) {
        case 93: return (void*)(QListView*)(KFilePlacesView*)xptr;
        case 43: return (void*)(QAbstractItemView*)(KFilePlacesView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(KFilePlacesView*)xptr;
        case 77: return (void*)(QFrame*)(KFilePlacesView*)xptr;
        case 141: return (void*)(QWidget*)(KFilePlacesView*)xptr;
        case 103: return (void*)(QObject*)(KFilePlacesView*)xptr;
        case 23: return (void*)(KFilePlacesView*)xptr;
        default: return xptr;
      }
    case 24:   //KFilePreviewGenerator
      switch(to) {
        case 103: return (void*)(QObject*)(KFilePreviewGenerator*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)xptr;
        default: return xptr;
      }
    case 25:   //KFileTreeView
      switch(to) {
        case 135: return (void*)(QTreeView*)(KFileTreeView*)xptr;
        case 43: return (void*)(QAbstractItemView*)(KFileTreeView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(KFileTreeView*)xptr;
        case 77: return (void*)(QFrame*)(KFileTreeView*)xptr;
        case 141: return (void*)(QWidget*)(KFileTreeView*)xptr;
        case 103: return (void*)(QObject*)(KFileTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)xptr;
        default: return xptr;
      }
    case 26:   //KFileWidget
      switch(to) {
        case 141: return (void*)(QWidget*)(KFileWidget*)xptr;
        case 103: return (void*)(QObject*)(KFileWidget*)xptr;
        case 2: return (void*)(KAbstractFileWidget*)(KFileWidget*)xptr;
        case 26: return (void*)(KFileWidget*)xptr;
        default: return xptr;
      }
    case 27:   //KIO::CopyJob
      switch(to) {
        case 27: return (void*)(KIO::CopyJob*)xptr;
        default: return xptr;
      }
    case 28:   //KIO::DeleteJob
      switch(to) {
        case 28: return (void*)(KIO::DeleteJob*)xptr;
        default: return xptr;
      }
    case 29:   //KIO::UDSEntry
      switch(to) {
        case 29: return (void*)(KIO::UDSEntry*)xptr;
        default: return xptr;
      }
    case 30:   //KIcon
      switch(to) {
        case 81: return (void*)(QIcon*)(KIcon*)xptr;
        case 30: return (void*)(KIcon*)xptr;
        default: return xptr;
      }
    case 31:   //KJobTrackerInterface
      switch(to) {
        case 31: return (void*)(KJobTrackerInterface*)xptr;
        default: return xptr;
      }
    case 32:   //KLocale
      switch(to) {
        case 32: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 33:   //KMimeType
      switch(to) {
        case 33: return (void*)(KMimeType*)xptr;
        default: return xptr;
      }
    case 34:   //KPreviewWidgetBase
      switch(to) {
        case 34: return (void*)(KPreviewWidgetBase*)xptr;
        default: return xptr;
      }
    case 35:   //KPushButton
      switch(to) {
        case 35: return (void*)(KPushButton*)xptr;
        default: return xptr;
      }
    case 36:   //KSharedConfig
      switch(to) {
        case 36: return (void*)(KSharedConfig*)xptr;
        default: return xptr;
      }
    case 37:   //KStandardDirs
      switch(to) {
        case 37: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 38:   //KToolBar
      switch(to) {
        case 38: return (void*)(KToolBar*)xptr;
        default: return xptr;
      }
    case 39:   //KUrl
      switch(to) {
        case 136: return (void*)(QUrl*)(KUrl*)xptr;
        case 39: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 40:   //KUrlComboBox
      switch(to) {
        case 40: return (void*)(KUrlComboBox*)xptr;
        default: return xptr;
      }
    case 41:   //KUrlNavigator
      switch(to) {
        case 141: return (void*)(QWidget*)(KUrlNavigator*)xptr;
        case 103: return (void*)(QObject*)(KUrlNavigator*)xptr;
        case 41: return (void*)(KUrlNavigator*)xptr;
        default: return xptr;
      }
    case 42:   //QAbstractItemModel
      switch(to) {
        case 103: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractItemModel*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 43:   //QAbstractItemView
      switch(to) {
        case 45: return (void*)(QAbstractScrollArea*)(QAbstractItemView*)xptr;
        case 77: return (void*)(QFrame*)(QAbstractItemView*)xptr;
        case 141: return (void*)(QWidget*)(QAbstractItemView*)xptr;
        case 103: return (void*)(QObject*)(QAbstractItemView*)xptr;
        case 43: return (void*)(QAbstractItemView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractItemView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 44:   //QAbstractProxyModel
      switch(to) {
        case 42: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 103: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 44: return (void*)(QAbstractProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 45:   //QAbstractScrollArea
      switch(to) {
        case 77: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
        case 141: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
        case 103: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)xptr;
        case 25: return (void*)(KFileTreeView*)(QAbstractScrollArea*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QAbstractScrollArea*)xptr;
        default: return xptr;
      }
    case 46:   //QAction
      switch(to) {
        case 103: return (void*)(QObject*)(QAction*)xptr;
        case 46: return (void*)(QAction*)xptr;
        default: return xptr;
      }
    case 47:   //QActionEvent
      switch(to) {
        case 47: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QBitArray
      switch(to) {
        case 48: return (void*)(QBitArray*)xptr;
        default: return xptr;
      }
    case 49:   //QBool
      switch(to) {
        case 49: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 50:   //QBrush
      switch(to) {
        case 50: return (void*)(QBrush*)xptr;
        default: return xptr;
      }
    case 51:   //QByteArray
      switch(to) {
        case 51: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 52:   //QChar
      switch(to) {
        case 52: return (void*)(QChar*)xptr;
        default: return xptr;
      }
    case 53:   //QChildEvent
      switch(to) {
        case 73: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 53: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QCloseEvent
      switch(to) {
        case 54: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QColor
      switch(to) {
        case 55: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 56:   //QComboBox
      switch(to) {
        case 141: return (void*)(QWidget*)(QComboBox*)xptr;
        case 103: return (void*)(QObject*)(QComboBox*)xptr;
        case 56: return (void*)(QComboBox*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QComboBox*)xptr;
        default: return xptr;
      }
    case 57:   //QContextMenuEvent
      switch(to) {
        case 57: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 58:   //QCursor
      switch(to) {
        case 58: return (void*)(QCursor*)xptr;
        default: return xptr;
      }
    case 59:   //QDBusArgument
      switch(to) {
        case 59: return (void*)(QDBusArgument*)xptr;
        default: return xptr;
      }
    case 60:   //QDBusObjectPath
      switch(to) {
        case 60: return (void*)(QDBusObjectPath*)xptr;
        default: return xptr;
      }
    case 61:   //QDBusSignature
      switch(to) {
        case 61: return (void*)(QDBusSignature*)xptr;
        default: return xptr;
      }
    case 62:   //QDBusVariant
      switch(to) {
        case 138: return (void*)(QVariant*)(QDBusVariant*)xptr;
        case 62: return (void*)(QDBusVariant*)xptr;
        default: return xptr;
      }
    case 63:   //QDataStream
      switch(to) {
        case 63: return (void*)(QDataStream*)xptr;
        default: return xptr;
      }
    case 64:   //QDate
      switch(to) {
        case 64: return (void*)(QDate*)xptr;
        default: return xptr;
      }
    case 65:   //QDateTime
      switch(to) {
        case 65: return (void*)(QDateTime*)xptr;
        default: return xptr;
      }
    case 66:   //QDialog
      switch(to) {
        case 141: return (void*)(QWidget*)(QDialog*)xptr;
        case 103: return (void*)(QObject*)(QDialog*)xptr;
        case 66: return (void*)(QDialog*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 67:   //QDomNode
      switch(to) {
        case 67: return (void*)(QDomNode*)xptr;
        default: return xptr;
      }
    case 68:   //QDragEnterEvent
      switch(to) {
        case 68: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QDragLeaveEvent
      switch(to) {
        case 69: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 70:   //QDragMoveEvent
      switch(to) {
        case 70: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 71:   //QDropEvent
      switch(to) {
        case 71: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QEasingCurve
      switch(to) {
        case 72: return (void*)(QEasingCurve*)xptr;
        default: return xptr;
      }
    case 73:   //QEvent
      switch(to) {
        case 73: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QFileInfo
      switch(to) {
        case 74: return (void*)(QFileInfo*)xptr;
        default: return xptr;
      }
    case 75:   //QFocusEvent
      switch(to) {
        case 75: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QFont
      switch(to) {
        case 76: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 77:   //QFrame
      switch(to) {
        case 141: return (void*)(QWidget*)(QFrame*)xptr;
        case 103: return (void*)(QObject*)(QFrame*)xptr;
        case 77: return (void*)(QFrame*)xptr;
        case 25: return (void*)(KFileTreeView*)(QFrame*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QFrame*)xptr;
        default: return xptr;
      }
    case 79:   //QHashDummyValue
      switch(to) {
        case 79: return (void*)(QHashDummyValue*)xptr;
        default: return xptr;
      }
    case 80:   //QHideEvent
      switch(to) {
        case 80: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 81:   //QIcon
      switch(to) {
        case 81: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 82:   //QImage
      switch(to) {
        case 82: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 83:   //QIncompatibleFlag
      switch(to) {
        case 83: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 84:   //QInputMethodEvent
      switch(to) {
        case 84: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 85:   //QItemSelection
      switch(to) {
        case 85: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 86:   //QItemSelectionModel
      switch(to) {
        case 103: return (void*)(QObject*)(QItemSelectionModel*)xptr;
        case 86: return (void*)(QItemSelectionModel*)xptr;
        default: return xptr;
      }
    case 87:   //QKeyEvent
      switch(to) {
        case 87: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 88:   //QKeySequence
      switch(to) {
        case 88: return (void*)(QKeySequence*)xptr;
        default: return xptr;
      }
    case 89:   //QLatin1String
      switch(to) {
        case 89: return (void*)(QLatin1String*)xptr;
        default: return xptr;
      }
    case 90:   //QLine
      switch(to) {
        case 90: return (void*)(QLine*)xptr;
        default: return xptr;
      }
    case 91:   //QLineEdit
      switch(to) {
        case 91: return (void*)(QLineEdit*)xptr;
        default: return xptr;
      }
    case 92:   //QLineF
      switch(to) {
        case 92: return (void*)(QLineF*)xptr;
        default: return xptr;
      }
    case 93:   //QListView
      switch(to) {
        case 43: return (void*)(QAbstractItemView*)(QListView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(QListView*)xptr;
        case 77: return (void*)(QFrame*)(QListView*)xptr;
        case 141: return (void*)(QWidget*)(QListView*)xptr;
        case 103: return (void*)(QObject*)(QListView*)xptr;
        case 93: return (void*)(QListView*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QListView*)xptr;
        default: return xptr;
      }
    case 94:   //QLocale
      switch(to) {
        case 94: return (void*)(QLocale*)xptr;
        default: return xptr;
      }
    case 95:   //QMargins
      switch(to) {
        case 95: return (void*)(QMargins*)xptr;
        default: return xptr;
      }
    case 96:   //QMatrix
      switch(to) {
        case 96: return (void*)(QMatrix*)xptr;
        default: return xptr;
      }
    case 97:   //QMenu
      switch(to) {
        case 97: return (void*)(QMenu*)xptr;
        default: return xptr;
      }
    case 98:   //QMetaObject
      switch(to) {
        case 98: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 99:   //QMimeData
      switch(to) {
        case 103: return (void*)(QObject*)(QMimeData*)xptr;
        case 99: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 100:   //QModelIndex
      switch(to) {
        case 100: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 101:   //QMouseEvent
      switch(to) {
        case 101: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 102:   //QMoveEvent
      switch(to) {
        case 102: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 103:   //QObject
      switch(to) {
        case 103: return (void*)(QObject*)xptr;
        case 26: return (void*)(KFileWidget*)(QObject*)xptr;
        case 41: return (void*)(KUrlNavigator*)(QObject*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QObject*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QObject*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QObject*)xptr;
        case 25: return (void*)(KFileTreeView*)(QObject*)xptr;
        case 15: return (void*)(KDirOperator*)(QObject*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QObject*)xptr;
        case 22: return (void*)(KFilePlacesModel*)(QObject*)xptr;
        case 24: return (void*)(KFilePreviewGenerator*)(QObject*)xptr;
        default: return xptr;
      }
    case 104:   //QPaintEngine
      switch(to) {
        case 104: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 105:   //QPaintEvent
      switch(to) {
        case 105: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 106:   //QPainter
      switch(to) {
        case 106: return (void*)(QPainter*)xptr;
        default: return xptr;
      }
    case 107:   //QPainterPath
      switch(to) {
        case 107: return (void*)(QPainterPath*)xptr;
        default: return xptr;
      }
    case 108:   //QPalette
      switch(to) {
        case 108: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 109:   //QPixmap
      switch(to) {
        case 109: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 110:   //QPoint
      switch(to) {
        case 110: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 111:   //QPointF
      switch(to) {
        case 111: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 112:   //QPolygon
      switch(to) {
        case 112: return (void*)(QPolygon*)xptr;
        default: return xptr;
      }
    case 113:   //QPolygonF
      switch(to) {
        case 113: return (void*)(QPolygonF*)xptr;
        default: return xptr;
      }
    case 114:   //QProgressBar
      switch(to) {
        case 114: return (void*)(QProgressBar*)xptr;
        default: return xptr;
      }
    case 115:   //QRect
      switch(to) {
        case 115: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 116:   //QRectF
      switch(to) {
        case 116: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 117:   //QRegExp
      switch(to) {
        case 117: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 118:   //QRegion
      switch(to) {
        case 118: return (void*)(QRegion*)xptr;
        default: return xptr;
      }
    case 119:   //QResizeEvent
      switch(to) {
        case 119: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 120:   //QShowEvent
      switch(to) {
        case 120: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 121:   //QSize
      switch(to) {
        case 121: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 122:   //QSizeF
      switch(to) {
        case 122: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 123:   //QSizePolicy
      switch(to) {
        case 123: return (void*)(QSizePolicy*)xptr;
        default: return xptr;
      }
    case 124:   //QSortFilterProxyModel
      switch(to) {
        case 44: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 42: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 103: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 124: return (void*)(QSortFilterProxyModel*)xptr;
        case 17: return (void*)(KDirSortFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 125:   //QString::Null
      switch(to) {
        case 125: return (void*)(QString::Null*)xptr;
        default: return xptr;
      }
    case 126:   //QStringRef
      switch(to) {
        case 126: return (void*)(QStringRef*)xptr;
        default: return xptr;
      }
    case 127:   //QStyle
      switch(to) {
        case 103: return (void*)(QObject*)(QStyle*)xptr;
        case 127: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 128:   //QStyleOptionViewItem
      switch(to) {
        case 128: return (void*)(QStyleOptionViewItem*)xptr;
        default: return xptr;
      }
    case 129:   //QTabletEvent
      switch(to) {
        case 129: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 130:   //QTextStream
      switch(to) {
        case 130: return (void*)(QTextStream*)xptr;
        default: return xptr;
      }
    case 131:   //QTextStreamManipulator
      switch(to) {
        case 131: return (void*)(QTextStreamManipulator*)xptr;
        default: return xptr;
      }
    case 132:   //QTime
      switch(to) {
        case 132: return (void*)(QTime*)xptr;
        default: return xptr;
      }
    case 133:   //QTimerEvent
      switch(to) {
        case 73: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 133: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 134:   //QTransform
      switch(to) {
        case 134: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 135:   //QTreeView
      switch(to) {
        case 43: return (void*)(QAbstractItemView*)(QTreeView*)xptr;
        case 45: return (void*)(QAbstractScrollArea*)(QTreeView*)xptr;
        case 77: return (void*)(QFrame*)(QTreeView*)xptr;
        case 141: return (void*)(QWidget*)(QTreeView*)xptr;
        case 103: return (void*)(QObject*)(QTreeView*)xptr;
        case 135: return (void*)(QTreeView*)xptr;
        case 25: return (void*)(KFileTreeView*)(QTreeView*)xptr;
        default: return xptr;
      }
    case 136:   //QUrl
      switch(to) {
        case 136: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    case 137:   //QUuid
      switch(to) {
        case 137: return (void*)(QUuid*)xptr;
        default: return xptr;
      }
    case 138:   //QVariant
      switch(to) {
        case 138: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 139:   //QVariantComparisonHelper
      switch(to) {
        case 139: return (void*)(QVariantComparisonHelper*)xptr;
        default: return xptr;
      }
    case 140:   //QWheelEvent
      switch(to) {
        case 140: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 141:   //QWidget
      switch(to) {
        case 103: return (void*)(QObject*)(QWidget*)xptr;
        case 141: return (void*)(QWidget*)xptr;
        case 26: return (void*)(KFileWidget*)(QWidget*)xptr;
        case 41: return (void*)(KUrlNavigator*)(QWidget*)xptr;
        case 19: return (void*)(KFileFilterCombo*)(QWidget*)xptr;
        case 16: return (void*)(KDirSelectDialog*)(QWidget*)xptr;
        case 25: return (void*)(KFileTreeView*)(QWidget*)xptr;
        case 15: return (void*)(KDirOperator*)(QWidget*)xptr;
        case 23: return (void*)(KFilePlacesView*)(QWidget*)xptr;
        default: return xptr;
      }
    case 142:   //Solid::Device
      switch(to) {
        case 142: return (void*)(Solid::Device*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    141, 0,	// 1: QWidget
    13, 0,	// 3: KDialog
    6, 0,	// 5: KCategorizedSortFilterProxyModel
    8, 0,	// 7: KComboBox
    42, 0,	// 9: QAbstractItemModel
    93, 0,	// 11: QListView
    103, 0,	// 13: QObject
    135, 0,	// 15: QTreeView
    141, 2, 0,	// 17: QWidget, KAbstractFileWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFile(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KFilePlacesModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KAbstractFileWidget(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KDirOperator(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_KAbstractFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirOperator(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSelectDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_KDirSortFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFile(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileFilterCombo(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesModel(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePlacesView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFilePreviewGenerator(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileTreeView(Smoke::Index, void*, Smoke::Stack);
void xcall_KFileWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_KUrlNavigator(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "KACL", true, 0, 0, 0, 0, 0 },	//1
    { "KAbstractFileWidget", false, 0, xcall_KAbstractFileWidget, xenum_KAbstractFileWidget, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(KAbstractFileWidget) },	//2
    { "KAbstractViewAdapter", true, 0, 0, 0, 0, 0 },	//3
    { "KActionCollection", true, 0, 0, 0, 0, 0 },	//4
    { "KBookmark", true, 0, 0, 0, 0, 0 },	//5
    { "KCategorizedSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//6
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//7
    { "KComboBox", true, 0, 0, 0, 0, 0 },	//8
    { "KCompletion", true, 0, 0, 0, 0, 0 },	//9
    { "KCompletionBase", true, 0, 0, 0, 0, 0 },	//10
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//11
    { "KConfigGroup", true, 0, 0, 0, 0, 0 },	//12
    { "KDialog", true, 0, 0, 0, 0, 0 },	//13
    { "KDirLister", true, 0, 0, 0, 0, 0 },	//14
    { "KDirOperator", false, 1, xcall_KDirOperator, xenum_KDirOperator, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirOperator) },	//15
    { "KDirSelectDialog", false, 3, xcall_KDirSelectDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSelectDialog) },	//16
    { "KDirSortFilterProxyModel", false, 5, xcall_KDirSortFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KDirSortFilterProxyModel) },	//17
    { "KFile", false, 0, xcall_KFile, xenum_KFile, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(KFile) },	//18
    { "KFileFilterCombo", false, 7, xcall_KFileFilterCombo, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileFilterCombo) },	//19
    { "KFileItem", true, 0, 0, 0, 0, 0 },	//20
    { "KFileItemList", true, 0, 0, 0, 0, 0 },	//21
    { "KFilePlacesModel", false, 9, xcall_KFilePlacesModel, xenum_KFilePlacesModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesModel) },	//22
    { "KFilePlacesView", false, 11, xcall_KFilePlacesView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePlacesView) },	//23
    { "KFilePreviewGenerator", false, 13, xcall_KFilePreviewGenerator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFilePreviewGenerator) },	//24
    { "KFileTreeView", false, 15, xcall_KFileTreeView, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileTreeView) },	//25
    { "KFileWidget", false, 17, xcall_KFileWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KFileWidget) },	//26
    { "KIO::CopyJob", true, 0, 0, 0, 0, 0 },	//27
    { "KIO::DeleteJob", true, 0, 0, 0, 0, 0 },	//28
    { "KIO::UDSEntry", true, 0, 0, 0, 0, 0 },	//29
    { "KIcon", true, 0, 0, 0, 0, 0 },	//30
    { "KJobTrackerInterface", true, 0, 0, 0, 0, 0 },	//31
    { "KLocale", true, 0, 0, 0, 0, 0 },	//32
    { "KMimeType", true, 0, 0, 0, 0, 0 },	//33
    { "KPreviewWidgetBase", true, 0, 0, 0, 0, 0 },	//34
    { "KPushButton", true, 0, 0, 0, 0, 0 },	//35
    { "KSharedConfig", true, 0, 0, 0, 0, 0 },	//36
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//37
    { "KToolBar", true, 0, 0, 0, 0, 0 },	//38
    { "KUrl", true, 0, 0, 0, 0, 0 },	//39
    { "KUrlComboBox", true, 0, 0, 0, 0, 0 },	//40
    { "KUrlNavigator", false, 1, xcall_KUrlNavigator, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(KUrlNavigator) },	//41
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//42
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//43
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//44
    { "QAbstractScrollArea", true, 0, 0, 0, 0, 0 },	//45
    { "QAction", true, 0, 0, 0, 0, 0 },	//46
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QBitArray", true, 0, 0, 0, 0, 0 },	//48
    { "QBool", true, 0, 0, 0, 0, 0 },	//49
    { "QBrush", true, 0, 0, 0, 0, 0 },	//50
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//51
    { "QChar", true, 0, 0, 0, 0, 0 },	//52
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QColor", true, 0, 0, 0, 0, 0 },	//55
    { "QComboBox", true, 0, 0, 0, 0, 0 },	//56
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//57
    { "QCursor", true, 0, 0, 0, 0, 0 },	//58
    { "QDBusArgument", true, 0, 0, 0, 0, 0 },	//59
    { "QDBusObjectPath", true, 0, 0, 0, 0, 0 },	//60
    { "QDBusSignature", true, 0, 0, 0, 0, 0 },	//61
    { "QDBusVariant", true, 0, 0, 0, 0, 0 },	//62
    { "QDataStream", true, 0, 0, 0, 0, 0 },	//63
    { "QDate", true, 0, 0, 0, 0, 0 },	//64
    { "QDateTime", true, 0, 0, 0, 0, 0 },	//65
    { "QDialog", true, 0, 0, 0, 0, 0 },	//66
    { "QDomNode", true, 0, 0, 0, 0, 0 },	//67
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//69
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//70
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QEasingCurve", true, 0, 0, 0, 0, 0 },	//72
    { "QEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QFileInfo", true, 0, 0, 0, 0, 0 },	//74
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QFont", true, 0, 0, 0, 0, 0 },	//76
    { "QFrame", true, 0, 0, 0, 0, 0 },	//77
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//78
    { "QHashDummyValue", true, 0, 0, 0, 0, 0 },	//79
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//80
    { "QIcon", true, 0, 0, 0, 0, 0 },	//81
    { "QImage", true, 0, 0, 0, 0, 0 },	//82
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//83
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//84
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//85
    { "QItemSelectionModel", true, 0, 0, 0, 0, 0 },	//86
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//87
    { "QKeySequence", true, 0, 0, 0, 0, 0 },	//88
    { "QLatin1String", true, 0, 0, 0, 0, 0 },	//89
    { "QLine", true, 0, 0, 0, 0, 0 },	//90
    { "QLineEdit", true, 0, 0, 0, 0, 0 },	//91
    { "QLineF", true, 0, 0, 0, 0, 0 },	//92
    { "QListView", true, 0, 0, 0, 0, 0 },	//93
    { "QLocale", true, 0, 0, 0, 0, 0 },	//94
    { "QMargins", true, 0, 0, 0, 0, 0 },	//95
    { "QMatrix", true, 0, 0, 0, 0, 0 },	//96
    { "QMenu", true, 0, 0, 0, 0, 0 },	//97
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//98
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//99
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//100
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//101
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//102
    { "QObject", true, 0, 0, 0, 0, 0 },	//103
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//104
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//105
    { "QPainter", true, 0, 0, 0, 0, 0 },	//106
    { "QPainterPath", true, 0, 0, 0, 0, 0 },	//107
    { "QPalette", true, 0, 0, 0, 0, 0 },	//108
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//109
    { "QPoint", true, 0, 0, 0, 0, 0 },	//110
    { "QPointF", true, 0, 0, 0, 0, 0 },	//111
    { "QPolygon", true, 0, 0, 0, 0, 0 },	//112
    { "QPolygonF", true, 0, 0, 0, 0, 0 },	//113
    { "QProgressBar", true, 0, 0, 0, 0, 0 },	//114
    { "QRect", true, 0, 0, 0, 0, 0 },	//115
    { "QRectF", true, 0, 0, 0, 0, 0 },	//116
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//117
    { "QRegion", true, 0, 0, 0, 0, 0 },	//118
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//119
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//120
    { "QSize", true, 0, 0, 0, 0, 0 },	//121
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//122
    { "QSizePolicy", true, 0, 0, 0, 0, 0 },	//123
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//124
    { "QString::Null", true, 0, 0, 0, 0, 0 },	//125
    { "QStringRef", true, 0, 0, 0, 0, 0 },	//126
    { "QStyle", true, 0, 0, 0, 0, 0 },	//127
    { "QStyleOptionViewItem", true, 0, 0, 0, 0, 0 },	//128
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//129
    { "QTextStream", true, 0, 0, 0, 0, 0 },	//130
    { "QTextStreamManipulator", true, 0, 0, 0, 0, 0 },	//131
    { "QTime", true, 0, 0, 0, 0, 0 },	//132
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//133
    { "QTransform", true, 0, 0, 0, 0, 0 },	//134
    { "QTreeView", true, 0, 0, 0, 0, 0 },	//135
    { "QUrl", true, 0, 0, 0, 0, 0 },	//136
    { "QUuid", true, 0, 0, 0, 0, 0 },	//137
    { "QVariant", true, 0, 0, 0, 0, 0 },	//138
    { "QVariantComparisonHelper", true, 0, 0, 0, 0, 0 },	//139
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//140
    { "QWidget", true, 0, 0, 0, 0, 0 },	//141
    { "Solid::Device", true, 0, 0, 0, 0, 0 },	//142
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "KACL&", 1, Smoke::t_class|Smoke::tf_ref },	//1
    { "KAbstractFileWidget*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "KAbstractFileWidget::OperationMode", 2, Smoke::t_enum|Smoke::tf_stack },	//3
    { "KAbstractViewAdapter*", 3, Smoke::t_class|Smoke::tf_ptr },	//4
    { "KAction::ShortcutType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "KActionCollection*", 4, Smoke::t_class|Smoke::tf_ptr },	//6
    { "KBookmark", 5, Smoke::t_class|Smoke::tf_stack },	//7
    { "KCharsets*", 7, Smoke::t_class|Smoke::tf_ptr },	//8
    { "KCompletion*", 9, Smoke::t_class|Smoke::tf_ptr },	//9
    { "KComponentData", 11, Smoke::t_class|Smoke::tf_stack },	//10
    { "KConfig::OpenFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//11
    { "KConfigBase::WriteConfigFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//12
    { "KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref },	//13
    { "KConfigGroup*", 12, Smoke::t_class|Smoke::tf_ptr },	//14
    { "KDialog::ButtonCode", 13, Smoke::t_enum|Smoke::tf_stack },	//15
    { "KDialog::CaptionFlag", 13, Smoke::t_enum|Smoke::tf_stack },	//16
    { "KDirLister*", 14, Smoke::t_class|Smoke::tf_ptr },	//17
    { "KDirLister::OpenUrlFlag", 14, Smoke::t_enum|Smoke::tf_stack },	//18
    { "KDirOperator*", 15, Smoke::t_class|Smoke::tf_ptr },	//19
    { "KDirOperator::ActionType", 15, Smoke::t_enum|Smoke::tf_stack },	//20
    { "KDirSelectDialog*", 16, Smoke::t_class|Smoke::tf_ptr },	//21
    { "KDirSortFilterProxyModel*", 17, Smoke::t_class|Smoke::tf_ptr },	//22
    { "KFile*", 18, Smoke::t_class|Smoke::tf_ptr },	//23
    { "KFile::FileView", 18, Smoke::t_enum|Smoke::tf_stack },	//24
    { "KFile::Mode", 18, Smoke::t_enum|Smoke::tf_stack },	//25
    { "KFile::SelectionMode", 18, Smoke::t_enum|Smoke::tf_stack },	//26
    { "KFileFilterCombo*", 19, Smoke::t_class|Smoke::tf_ptr },	//27
    { "KFileItem", 20, Smoke::t_class|Smoke::tf_stack },	//28
    { "KFileItem&", 20, Smoke::t_class|Smoke::tf_ref },	//29
    { "KFileItemList", 21, Smoke::t_class|Smoke::tf_stack },	//30
    { "KFileMetaInfo::What", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "KFilePlacesModel*", 22, Smoke::t_class|Smoke::tf_ptr },	//32
    { "KFilePlacesModel::AdditionalRoles", 22, Smoke::t_enum|Smoke::tf_stack },	//33
    { "KFilePlacesView*", 23, Smoke::t_class|Smoke::tf_ptr },	//34
    { "KFilePreviewGenerator*", 24, Smoke::t_class|Smoke::tf_ptr },	//35
    { "KFileTreeView*", 25, Smoke::t_class|Smoke::tf_ptr },	//36
    { "KFileWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//37
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "KGlobalSettings::ActivateOption", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "KGlobalSettings::Completion", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "KGlobalSettings::GraphicEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "KIO::CacheControl", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "KIO::Command", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KIO::CopyJob*", 27, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KIO::DeleteJob*", 28, Smoke::t_class|Smoke::tf_ptr },	//45
    { "KIO::Error", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref },	//47
    { "KIcon", 30, Smoke::t_class|Smoke::tf_stack },	//48
    { "KIconLoader::Group", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "KIconLoader::Group&", 0, Smoke::t_enum|Smoke::tf_ref },	//50
    { "KJob::Capability", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "KJobTrackerInterface*", 31, Smoke::t_class|Smoke::tf_ptr },	//52
    { "KLocale*", 32, Smoke::t_class|Smoke::tf_ptr },	//53
    { "KMimeType", 33, Smoke::t_class|Smoke::tf_stack },	//54
    { "KPreviewWidgetBase*", 34, Smoke::t_class|Smoke::tf_ptr },	//55
    { "KPushButton*", 35, Smoke::t_class|Smoke::tf_ptr },	//56
    { "KSharedConfig", 36, Smoke::t_class|Smoke::tf_stack },	//57
    { "KSharedPtr<KMimeType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//58
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//59
    { "KStandardDirs*", 37, Smoke::t_class|Smoke::tf_ptr },	//60
    { "KSycocaFactoryId", 78, Smoke::t_enum|Smoke::tf_stack },	//61
    { "KSycocaType", 78, Smoke::t_enum|Smoke::tf_stack },	//62
    { "KToolBar*", 38, Smoke::t_class|Smoke::tf_ptr },	//63
    { "KUrl", 39, Smoke::t_class|Smoke::tf_stack },	//64
    { "KUrl::CleanPathOption", 39, Smoke::t_enum|Smoke::tf_stack },	//65
    { "KUrl::DirectoryOption", 39, Smoke::t_enum|Smoke::tf_stack },	//66
    { "KUrl::EncodedPathAndQueryOption", 39, Smoke::t_enum|Smoke::tf_stack },	//67
    { "KUrl::EqualsOption", 39, Smoke::t_enum|Smoke::tf_stack },	//68
    { "KUrl::List", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "KUrl::QueryItemsOption", 39, Smoke::t_enum|Smoke::tf_stack },	//70
    { "KUrlComboBox*", 40, Smoke::t_class|Smoke::tf_ptr },	//71
    { "KUrlNavigator*", 41, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QAbstractFileEngine::FileFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "QAbstractItemDelegate::EndEditHint", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "QAbstractItemModel*", 42, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QAbstractItemView*", 43, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QAbstractItemView::CursorAction", 43, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QAbstractItemView::EditTrigger", 43, Smoke::t_enum|Smoke::tf_stack },	//78
    { "QAbstractItemView::ScrollHint", 43, Smoke::t_enum|Smoke::tf_stack },	//79
    { "QAbstractProxyModel*", 44, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QAbstractSpinBox::StepEnabledFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "QAction*", 46, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QActionEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QBitArray", 48, Smoke::t_class|Smoke::tf_stack },	//84
    { "QBitArray&", 48, Smoke::t_class|Smoke::tf_ref },	//85
    { "QBool", 49, Smoke::t_class|Smoke::tf_stack },	//86
    { "QBrush&", 50, Smoke::t_class|Smoke::tf_ref },	//87
    { "QByteArray", 51, Smoke::t_class|Smoke::tf_stack },	//88
    { "QByteArray&", 51, Smoke::t_class|Smoke::tf_ref },	//89
    { "QChar", 52, Smoke::t_class|Smoke::tf_stack },	//90
    { "QChar&", 52, Smoke::t_class|Smoke::tf_ref },	//91
    { "QChildEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//92
    { "QCloseEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//93
    { "QColor&", 55, Smoke::t_class|Smoke::tf_ref },	//94
    { "QContextMenuEvent*", 57, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QCursor&", 58, Smoke::t_class|Smoke::tf_ref },	//96
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "QDBusArgument&", 59, Smoke::t_class|Smoke::tf_ref },	//98
    { "QDBusConnection::RegisterOption", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "QDBusConnection::VirtualObjectRegisterOption", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "QDBusServiceWatcher::WatchModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "QDataStream&", 63, Smoke::t_class|Smoke::tf_ref },	//102
    { "QDate&", 64, Smoke::t_class|Smoke::tf_ref },	//103
    { "QDateTime&", 65, Smoke::t_class|Smoke::tf_ref },	//104
    { "QDir::Filter", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "QDir::SortFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "QDirIterator::IteratorFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "QDragEnterEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//108
    { "QDragLeaveEvent*", 69, Smoke::t_class|Smoke::tf_ptr },	//109
    { "QDragMoveEvent*", 70, Smoke::t_class|Smoke::tf_ptr },	//110
    { "QDropEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//111
    { "QEasingCurve&", 72, Smoke::t_class|Smoke::tf_ref },	//112
    { "QEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//113
    { "QEventLoop::ProcessEventsFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "QFile::Permission", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "QFlags<KAction::ShortcutType>", 0, Smoke::t_uint|Smoke::tf_stack },	//116
    { "QFlags<KConfig::OpenFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//117
    { "QFlags<KConfigBase::WriteConfigFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//118
    { "QFlags<KDialog::ButtonCode>", 0, Smoke::t_uint|Smoke::tf_stack },	//119
    { "QFlags<KDialog::CaptionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//120
    { "QFlags<KDirLister::OpenUrlFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//121
    { "QFlags<KFile::Mode>", 0, Smoke::t_uint|Smoke::tf_stack },	//122
    { "QFlags<KFileMetaInfo::What>", 0, Smoke::t_uint|Smoke::tf_stack },	//123
    { "QFlags<KGlobalSettings::ActivateOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//124
    { "QFlags<KGlobalSettings::GraphicEffect>", 0, Smoke::t_uint|Smoke::tf_stack },	//125
    { "QFlags<KJob::Capability>", 0, Smoke::t_uint|Smoke::tf_stack },	//126
    { "QFlags<KUrl::CleanPathOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//127
    { "QFlags<KUrl::DirectoryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//128
    { "QFlags<KUrl::EncodedPathAndQueryOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//129
    { "QFlags<KUrl::EqualsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "QFlags<KUrl::QueryItemsOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//131
    { "QFlags<QAbstractFileEngine::FileFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//132
    { "QFlags<QAbstractItemView::EditTrigger>", 0, Smoke::t_uint|Smoke::tf_stack },	//133
    { "QFlags<QAbstractSpinBox::StepEnabledFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//134
    { "QFlags<QDBusConnection::RegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//135
    { "QFlags<QDBusConnection::VirtualObjectRegisterOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//136
    { "QFlags<QDBusServiceWatcher::WatchModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "QFlags<QDir::Filter>", 0, Smoke::t_uint|Smoke::tf_stack },	//138
    { "QFlags<QDir::SortFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//139
    { "QFlags<QDirIterator::IteratorFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//140
    { "QFlags<QEventLoop::ProcessEventsFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//141
    { "QFlags<QFile::Permission>", 0, Smoke::t_uint|Smoke::tf_stack },	//142
    { "QFlags<QIODevice::OpenModeFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//143
    { "QFlags<QItemSelectionModel::SelectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//144
    { "QFlags<QLibrary::LoadHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//145
    { "QFlags<QLocale::NumberOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//146
    { "QFlags<QSizePolicy::ControlType>", 0, Smoke::t_uint|Smoke::tf_stack },	//147
    { "QFlags<QString::SectionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//148
    { "QFlags<QStyle::StateFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//149
    { "QFlags<QStyle::SubControl>", 0, Smoke::t_uint|Smoke::tf_stack },	//150
    { "QFlags<QStyleOptionButton::ButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//151
    { "QFlags<QStyleOptionFrameV2::FrameFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//152
    { "QFlags<QStyleOptionTab::CornerWidget>", 0, Smoke::t_uint|Smoke::tf_stack },	//153
    { "QFlags<QStyleOptionToolBar::ToolBarFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//154
    { "QFlags<QStyleOptionToolButton::ToolButtonFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//155
    { "QFlags<QStyleOptionViewItemV2::ViewItemFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//156
    { "QFlags<QTextCodec::ConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//157
    { "QFlags<QTextStream::NumberFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//158
    { "QFlags<QUrl::FormattingOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//159
    { "QFlags<QWidget::RenderFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//160
    { "QFlags<Qt::AlignmentFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//161
    { "QFlags<Qt::DockWidgetArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//162
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//163
    { "QFlags<Qt::GestureFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//164
    { "QFlags<Qt::ImageConversionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//165
    { "QFlags<Qt::InputMethodHint>", 0, Smoke::t_uint|Smoke::tf_stack },	//166
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//167
    { "QFlags<Qt::KeyboardModifier>", 0, Smoke::t_uint|Smoke::tf_stack },	//168
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//169
    { "QFlags<Qt::MouseButton>", 0, Smoke::t_uint|Smoke::tf_stack },	//170
    { "QFlags<Qt::Orientation>", 0, Smoke::t_uint|Smoke::tf_stack },	//171
    { "QFlags<Qt::TextInteractionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//172
    { "QFlags<Qt::ToolBarArea>", 0, Smoke::t_uint|Smoke::tf_stack },	//173
    { "QFlags<Qt::TouchPointState>", 0, Smoke::t_uint|Smoke::tf_stack },	//174
    { "QFlags<Qt::WindowState>", 0, Smoke::t_uint|Smoke::tf_stack },	//175
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//176
    { "QFlags<QtConcurrent::ReduceOptions::enum_type>", 0, Smoke::t_uint|Smoke::tf_stack },	//177
    { "QFocusEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//178
    { "QFont&", 76, Smoke::t_class|Smoke::tf_ref },	//179
    { "QHideEvent*", 80, Smoke::t_class|Smoke::tf_ptr },	//180
    { "QIODevice::OpenModeFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QIcon&", 81, Smoke::t_class|Smoke::tf_ref },	//182
    { "QImage&", 82, Smoke::t_class|Smoke::tf_ref },	//183
    { "QIncompatibleFlag", 83, Smoke::t_class|Smoke::tf_stack },	//184
    { "QInputMethodEvent*", 84, Smoke::t_class|Smoke::tf_ptr },	//185
    { "QItemSelection", 85, Smoke::t_class|Smoke::tf_stack },	//186
    { "QItemSelectionModel*", 86, Smoke::t_class|Smoke::tf_ptr },	//187
    { "QItemSelectionModel::SelectionFlag", 86, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QKeyEvent*", 87, Smoke::t_class|Smoke::tf_ptr },	//189
    { "QKeySequence&", 88, Smoke::t_class|Smoke::tf_ref },	//190
    { "QLibrary::LoadHint", 0, Smoke::t_enum|Smoke::tf_stack },	//191
    { "QLine", 90, Smoke::t_class|Smoke::tf_stack },	//192
    { "QLine&", 90, Smoke::t_class|Smoke::tf_ref },	//193
    { "QLineEdit*", 91, Smoke::t_class|Smoke::tf_ptr },	//194
    { "QLineF", 92, Smoke::t_class|Smoke::tf_stack },	//195
    { "QLineF&", 92, Smoke::t_class|Smoke::tf_ref },	//196
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//197
    { "QLocale&", 94, Smoke::t_class|Smoke::tf_ref },	//198
    { "QLocale::NumberOption", 94, Smoke::t_enum|Smoke::tf_stack },	//199
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//200
    { "QMatrix&", 96, Smoke::t_class|Smoke::tf_ref },	//201
    { "QMenu*", 97, Smoke::t_class|Smoke::tf_ptr },	//202
    { "QMetaObject::Call", 98, Smoke::t_enum|Smoke::tf_stack },	//203
    { "QMimeData*", 99, Smoke::t_class|Smoke::tf_ptr },	//204
    { "QModelIndex", 100, Smoke::t_class|Smoke::tf_stack },	//205
    { "QMouseEvent*", 101, Smoke::t_class|Smoke::tf_ptr },	//206
    { "QMoveEvent*", 102, Smoke::t_class|Smoke::tf_ptr },	//207
    { "QObject*", 103, Smoke::t_class|Smoke::tf_ptr },	//208
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//209
    { "QPaintEngine*", 104, Smoke::t_class|Smoke::tf_ptr },	//210
    { "QPaintEvent*", 105, Smoke::t_class|Smoke::tf_ptr },	//211
    { "QPainter*", 106, Smoke::t_class|Smoke::tf_ptr },	//212
    { "QPainterPath", 107, Smoke::t_class|Smoke::tf_stack },	//213
    { "QPainterPath&", 107, Smoke::t_class|Smoke::tf_ref },	//214
    { "QPalette&", 108, Smoke::t_class|Smoke::tf_ref },	//215
    { "QPixmap", 109, Smoke::t_class|Smoke::tf_stack },	//216
    { "QPixmap&", 109, Smoke::t_class|Smoke::tf_ref },	//217
    { "QPoint", 110, Smoke::t_class|Smoke::tf_stack },	//218
    { "QPoint&", 110, Smoke::t_class|Smoke::tf_ref },	//219
    { "QPointF", 111, Smoke::t_class|Smoke::tf_stack },	//220
    { "QPointF&", 111, Smoke::t_class|Smoke::tf_ref },	//221
    { "QPolygon", 112, Smoke::t_class|Smoke::tf_stack },	//222
    { "QPolygon&", 112, Smoke::t_class|Smoke::tf_ref },	//223
    { "QPolygonF", 113, Smoke::t_class|Smoke::tf_stack },	//224
    { "QPolygonF&", 113, Smoke::t_class|Smoke::tf_ref },	//225
    { "QProgressBar*", 114, Smoke::t_class|Smoke::tf_ptr },	//226
    { "QRect", 115, Smoke::t_class|Smoke::tf_stack },	//227
    { "QRect&", 115, Smoke::t_class|Smoke::tf_ref },	//228
    { "QRectF&", 116, Smoke::t_class|Smoke::tf_ref },	//229
    { "QRegExp&", 117, Smoke::t_class|Smoke::tf_ref },	//230
    { "QRegion", 118, Smoke::t_class|Smoke::tf_stack },	//231
    { "QRegion&", 118, Smoke::t_class|Smoke::tf_ref },	//232
    { "QResizeEvent*", 119, Smoke::t_class|Smoke::tf_ptr },	//233
    { "QShowEvent*", 120, Smoke::t_class|Smoke::tf_ptr },	//234
    { "QSize", 121, Smoke::t_class|Smoke::tf_stack },	//235
    { "QSize&", 121, Smoke::t_class|Smoke::tf_ref },	//236
    { "QSizeF&", 122, Smoke::t_class|Smoke::tf_ref },	//237
    { "QSizePolicy&", 123, Smoke::t_class|Smoke::tf_ref },	//238
    { "QSizePolicy::ControlType", 123, Smoke::t_enum|Smoke::tf_stack },	//239
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//240
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//241
    { "QString*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//242
    { "QString::Null", 125, Smoke::t_class|Smoke::tf_stack },	//243
    { "QString::SectionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//244
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//245
    { "QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref },	//246
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "QStyle&", 127, Smoke::t_class|Smoke::tf_ref },	//248
    { "QStyle::StateFlag", 127, Smoke::t_enum|Smoke::tf_stack },	//249
    { "QStyle::SubControl", 127, Smoke::t_enum|Smoke::tf_stack },	//250
    { "QStyleOptionButton::ButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//251
    { "QStyleOptionFrameV2::FrameFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//252
    { "QStyleOptionTab::CornerWidget", 0, Smoke::t_enum|Smoke::tf_stack },	//253
    { "QStyleOptionToolBar::ToolBarFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//254
    { "QStyleOptionToolButton::ToolButtonFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//255
    { "QStyleOptionViewItem", 128, Smoke::t_class|Smoke::tf_stack },	//256
    { "QStyleOptionViewItem::Position", 128, Smoke::t_enum|Smoke::tf_stack },	//257
    { "QStyleOptionViewItemV2::ViewItemFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//258
    { "QTabletEvent*", 129, Smoke::t_class|Smoke::tf_ptr },	//259
    { "QTextCodec::ConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//260
    { "QTextStream&", 130, Smoke::t_class|Smoke::tf_ref },	//261
    { "QTextStream&(*)(QTextStream&)", 130, Smoke::t_class|Smoke::tf_ref },	//262
    { "QTextStream::NumberFlag", 130, Smoke::t_enum|Smoke::tf_stack },	//263
    { "QTextStreamManipulator", 131, Smoke::t_class|Smoke::tf_stack },	//264
    { "QTime", 132, Smoke::t_class|Smoke::tf_stack },	//265
    { "QTime&", 132, Smoke::t_class|Smoke::tf_ref },	//266
    { "QTimerEvent*", 133, Smoke::t_class|Smoke::tf_ptr },	//267
    { "QTransform", 134, Smoke::t_class|Smoke::tf_stack },	//268
    { "QTransform&", 134, Smoke::t_class|Smoke::tf_ref },	//269
    { "QUrl&", 136, Smoke::t_class|Smoke::tf_ref },	//270
    { "QUrl::FormattingOption", 136, Smoke::t_enum|Smoke::tf_stack },	//271
    { "QUuid&", 137, Smoke::t_class|Smoke::tf_ref },	//272
    { "QVariant", 138, Smoke::t_class|Smoke::tf_stack },	//273
    { "QVariant&", 138, Smoke::t_class|Smoke::tf_ref },	//274
    { "QVariant::Type&", 138, Smoke::t_enum|Smoke::tf_ref },	//275
    { "QWheelEvent*", 140, Smoke::t_class|Smoke::tf_ptr },	//276
    { "QWidget*", 141, Smoke::t_class|Smoke::tf_ptr },	//277
    { "QWidget::RenderFlag", 141, Smoke::t_enum|Smoke::tf_stack },	//278
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//279
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//280
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//281
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//282
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//283
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//284
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//285
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//286
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//287
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//288
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//289
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//290
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//291
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//292
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//293
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//294
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//295
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//296
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//297
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//298
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//299
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//300
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//301
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//302
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//303
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//304
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//305
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//306
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//307
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//308
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//309
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//310
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//311
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//312
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//313
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//314
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//315
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//316
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//317
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//318
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//319
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//320
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//321
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//322
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//323
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//324
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//325
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//326
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//327
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//328
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//329
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//330
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//331
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//332
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//333
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//334
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//335
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//336
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//337
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//338
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//339
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//340
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//341
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//342
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//343
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//344
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//345
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//346
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//347
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//348
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//349
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//350
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//351
    { "QtConcurrent::ReduceOptions::enum_type", 0, Smoke::t_voidp|Smoke::tf_stack },	//352
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//353
    { "QtMsgType", 78, Smoke::t_enum|Smoke::tf_stack },	//354
    { "QtValidLicenseForActiveQtModule", 78, Smoke::t_enum|Smoke::tf_stack },	//355
    { "QtValidLicenseForCoreModule", 78, Smoke::t_enum|Smoke::tf_stack },	//356
    { "QtValidLicenseForDBusModule", 78, Smoke::t_enum|Smoke::tf_stack },	//357
    { "QtValidLicenseForDeclarativeModule", 78, Smoke::t_enum|Smoke::tf_stack },	//358
    { "QtValidLicenseForGuiModule", 78, Smoke::t_enum|Smoke::tf_stack },	//359
    { "QtValidLicenseForHelpModule", 78, Smoke::t_enum|Smoke::tf_stack },	//360
    { "QtValidLicenseForMultimediaModule", 78, Smoke::t_enum|Smoke::tf_stack },	//361
    { "QtValidLicenseForNetworkModule", 78, Smoke::t_enum|Smoke::tf_stack },	//362
    { "QtValidLicenseForOpenGLModule", 78, Smoke::t_enum|Smoke::tf_stack },	//363
    { "QtValidLicenseForOpenVGModule", 78, Smoke::t_enum|Smoke::tf_stack },	//364
    { "QtValidLicenseForQt3SupportLightModule", 78, Smoke::t_enum|Smoke::tf_stack },	//365
    { "QtValidLicenseForQt3SupportModule", 78, Smoke::t_enum|Smoke::tf_stack },	//366
    { "QtValidLicenseForScriptModule", 78, Smoke::t_enum|Smoke::tf_stack },	//367
    { "QtValidLicenseForScriptToolsModule", 78, Smoke::t_enum|Smoke::tf_stack },	//368
    { "QtValidLicenseForSqlModule", 78, Smoke::t_enum|Smoke::tf_stack },	//369
    { "QtValidLicenseForSvgModule", 78, Smoke::t_enum|Smoke::tf_stack },	//370
    { "QtValidLicenseForTestModule", 78, Smoke::t_enum|Smoke::tf_stack },	//371
    { "QtValidLicenseForXmlModule", 78, Smoke::t_enum|Smoke::tf_stack },	//372
    { "QtValidLicenseForXmlPatternsModule", 78, Smoke::t_enum|Smoke::tf_stack },	//373
    { "Solid::Device", 142, Smoke::t_class|Smoke::tf_stack },	//374
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//375
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//376
    { "char", 0, Smoke::t_char|Smoke::tf_stack },	//377
    { "const KACL&", 1, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//378
    { "const KAbstractFileWidget&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//379
    { "const KComponentData&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//380
    { "const KConfigGroup&", 12, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//381
    { "const KFile&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//382
    { "const KFile::FileView&", 18, Smoke::t_enum|Smoke::tf_ref|Smoke::tf_const },	//383
    { "const KFileItem&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//384
    { "const KFileItemList&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//385
    { "const KIO::UDSEntry&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//386
    { "const KUrl&", 39, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//387
    { "const KUrl*", 39, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//388
    { "const KUrl::List&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//389
    { "const QBitArray&", 48, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//390
    { "const QBrush&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//391
    { "const QByteArray", 51, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//392
    { "const QByteArray&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//393
    { "const QChar&", 52, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//394
    { "const QColor&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//395
    { "const QCursor&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//396
    { "const QDBusArgument&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//397
    { "const QDBusObjectPath&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//398
    { "const QDBusSignature&", 61, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//399
    { "const QDBusVariant&", 62, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//400
    { "const QDate&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//401
    { "const QDateTime&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//402
    { "const QDomNode&", 67, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//403
    { "const QEasingCurve&", 72, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//404
    { "const QEvent*", 73, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//405
    { "const QFileInfo&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//406
    { "const QFlags<QDir::SortFlag>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//407
    { "const QFont&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//408
    { "const QHash<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//409
    { "const QHashDummyValue&", 79, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//410
    { "const QIcon&", 81, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//411
    { "const QImage&", 82, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//412
    { "const QItemSelection&", 85, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//413
    { "const QKeySequence&", 88, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//414
    { "const QLatin1String&", 89, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//415
    { "const QLine&", 90, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//416
    { "const QLineF&", 92, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//417
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//418
    { "const QList<QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//419
    { "const QLocale&", 94, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//420
    { "const QMap<QString,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//421
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//422
    { "const QMargins&", 95, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//423
    { "const QMatrix&", 96, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//424
    { "const QMetaObject&", 98, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//425
    { "const QMetaObject*", 98, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//426
    { "const QMimeData*", 99, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//427
    { "const QModelIndex&", 100, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//428
    { "const QObject*", 103, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//429
    { "const QPainterPath&", 107, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//430
    { "const QPalette&", 108, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//431
    { "const QPixmap&", 109, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//432
    { "const QPoint", 110, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//433
    { "const QPoint&", 110, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//434
    { "const QPointF", 111, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//435
    { "const QPointF&", 111, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//436
    { "const QPolygon&", 112, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//437
    { "const QPolygonF&", 113, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//438
    { "const QRect&", 115, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//439
    { "const QRectF&", 116, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//440
    { "const QRegExp&", 117, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//441
    { "const QRegion&", 118, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//442
    { "const QSize", 121, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//443
    { "const QSize&", 121, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//444
    { "const QSizeF", 122, Smoke::t_class|Smoke::tf_stack|Smoke::tf_const },	//445
    { "const QSizeF&", 122, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//446
    { "const QSizePolicy&", 123, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//447
    { "const QString", 0, Smoke::t_voidp|Smoke::tf_stack|Smoke::tf_const },	//448
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//449
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//450
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//451
    { "const QStringRef&", 126, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//452
    { "const QStyleOptionViewItem&", 128, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//453
    { "const QTime&", 132, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//454
    { "const QTransform&", 134, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//455
    { "const QUrl&", 136, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//456
    { "const QUuid&", 137, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//457
    { "const QVariant&", 138, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//458
    { "const QVariant::Type", 138, Smoke::t_enum|Smoke::tf_stack|Smoke::tf_const },	//459
    { "const QVariantComparisonHelper&", 139, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//460
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//461
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//462
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//463
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//464
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//465
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//466
    { "mode_t", 0, Smoke::t_voidp|Smoke::tf_stack },	//467
    { "std::bidirectional_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//468
    { "std::forward_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//469
    { "std::random_access_iterator_tag", 0, Smoke::t_voidp|Smoke::tf_stack },	//470
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//471
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//472
    { "unsigned long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//473
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//474
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//475
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//476
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    387, 376, 0,	//1  const KUrl&, bool
    449, 0,	//4  const QString&
    3, 0,	//6  KAbstractFileWidget::OperationMode
    376, 0,	//8  bool
    450, 449, 0,	//10  const QStringList&, const QString&
    55, 0,	//13  KPreviewWidgetBase*
    122, 0,	//15  QFlags<KFile::Mode>
    277, 0,	//17  QWidget*
    449, 277, 0,	//19  const QString&, QWidget*
    465, 474, 0,	//22  int, void*
    379, 0,	//25  const KAbstractFileWidget&
    387, 0,	//27  const KUrl&
    450, 0,	//29  const QStringList&
    465, 333, 0,	//31  int, Qt::SortOrder
    428, 428, 0,	//34  const QModelIndex&, const QModelIndex&
    194, 0,	//37  QLineEdit*
    450, 376, 0,	//39  const QStringList&, bool
    449, 376, 0,	//42  const QString&, bool
    472, 376, 376, 0,	//45  unsigned long, bool, bool
    276, 0,	//49  QWheelEvent*
    9, 376, 0,	//51  KCompletion*, bool
    40, 0,	//54  KGlobalSettings::Completion
    93, 0,	//56  QCloseEvent*
    189, 0,	//58  QKeyEvent*
    465, 0,	//60  int
    461, 0,	//62  const char*
    461, 461, 0,	//64  const char*, const char*
    461, 461, 465, 0,	//67  const char*, const char*, int
    203, 465, 475, 0,	//71  QMetaObject::Call, int, void**
    387, 277, 0,	//75  const KUrl&, QWidget*
    384, 0,	//78  const KFileItem&
    385, 0,	//80  const KFileItemList&
    76, 0,	//82  QAbstractItemView*
    24, 0,	//84  KFile::FileView
    139, 0,	//86  QFlags<QDir::SortFlag>
    13, 0,	//88  KConfigGroup&
    381, 0,	//90  const KConfigGroup&
    385, 277, 376, 376, 0,	//92  const KFileItemList&, QWidget*, bool, bool
    471, 0,	//97  unsigned int
    257, 0,	//99  QStyleOptionViewItem::Position
    277, 24, 0,	//101  QWidget*, KFile::FileView
    17, 0,	//104  KDirLister*
    233, 0,	//106  QResizeEvent*
    384, 434, 0,	//108  const KFileItem&, const QPoint&
    113, 0,	//111  QEvent*
    208, 113, 0,	//113  QObject*, QEvent*
    465, 465, 0,	//116  int, int
    384, 111, 389, 0,	//119  const KFileItem&, QDropEvent*, const KUrl::List&
    384, 202, 0,	//123  const KFileItem&, QMenu*
    385, 277, 0,	//126  const KFileItemList&, QWidget*
    385, 277, 376, 0,	//129  const KFileItemList&, QWidget*, bool
    387, 376, 277, 0,	//133  const KUrl&, bool, QWidget*
    387, 376, 277, 449, 0,	//137  const KUrl&, bool, QWidget*, const QString&
    180, 0,	//142  QHideEvent*
    208, 0,	//144  QObject*
    428, 0,	//146  const QModelIndex&
    406, 0,	//148  const QFileInfo&
    407, 0,	//150  const QFlags<QDir::SortFlag>&
    383, 0,	//152  const KFile::FileView&
    382, 0,	//154  const KFile&
    449, 387, 449, 449, 0,	//156  const QString&, const KUrl&, const QString&, const QString&
    449, 387, 449, 449, 428, 0,	//161  const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&
    428, 449, 387, 449, 449, 0,	//167  const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&
    428, 376, 0,	//173  const QModelIndex&, bool
    428, 465, 0,	//176  const QModelIndex&, int
    465, 465, 428, 0,	//179  int, int, const QModelIndex&
    418, 0,	//183  const QList<QModelIndex>&
    427, 301, 465, 465, 428, 0,	//185  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    449, 387, 0,	//191  const QString&, const KUrl&
    449, 387, 449, 0,	//194  const QString&, const KUrl&, const QString&
    428, 449, 387, 0,	//198  const QModelIndex&, const QString&, const KUrl&
    428, 449, 387, 449, 0,	//202  const QModelIndex&, const QString&, const KUrl&, const QString&
    75, 0,	//207  QAbstractItemModel*
    95, 0,	//209  QContextMenuEvent*
    234, 0,	//211  QShowEvent*
    108, 0,	//213  QDragEnterEvent*
    109, 0,	//215  QDragLeaveEvent*
    110, 0,	//217  QDragMoveEvent*
    111, 0,	//219  QDropEvent*
    211, 0,	//221  QPaintEvent*
    428, 465, 465, 0,	//223  const QModelIndex&, int, int
    387, 111, 277, 0,	//227  const KUrl&, QDropEvent*, QWidget*
    4, 80, 0,	//231  KAbstractViewAdapter*, QAbstractProxyModel*
    387, 241, 0,	//234  const KUrl&, QString&
    387, 241, 241, 0,	//237  const KUrl&, QString&, QString&
    32, 387, 277, 0,	//241  KFilePlacesModel*, const KUrl&, QWidget*
    393, 0,	//245  const QByteArray&
    387, 111, 0,	//247  const KUrl&, QDropEvent*
    389, 387, 0,	//250  const KUrl::List&, const KUrl&
    206, 0,	//253  QMouseEvent*
    428, 458, 465, 0,	//255  const QModelIndex&, const QVariant&, int
    465, 325, 465, 0,	//259  int, Qt::Orientation, int
    465, 325, 458, 465, 0,	//263  int, Qt::Orientation, const QVariant&, int
    428, 422, 0,	//268  const QModelIndex&, const QMap<int,QVariant>&
    428, 465, 458, 465, 169, 0,	//271  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    187, 0,	//277  QItemSelectionModel*
    313, 0,	//279  Qt::InputMethodQuery
    277, 74, 0,	//281  QWidget*, QAbstractItemDelegate::EndEditHint
    428, 78, 113, 0,	//284  const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*
    428, 405, 0,	//288  const QModelIndex&, const QEvent*
    163, 0,	//291  QFlags<Qt::DropAction>
    178, 0,	//293  QFocusEvent*
    185, 0,	//295  QInputMethodEvent*
    390, 390, 0,	//297  const QBitArray&, const QBitArray&
    299, 465, 0,	//300  Qt::DockWidgetArea, int
    434, 463, 0,	//303  const QPoint&, double
    463, 436, 0,	//306  double, const QPointF&
    323, 170, 0,	//309  Qt::MouseButton, QFlags<Qt::MouseButton>
    423, 423, 0,	//312  const QMargins&, const QMargins&
    463, 446, 0,	//315  double, const QSizeF&
    106, 465, 0,	//318  QDir::SortFlag, int
    78, 78, 0,	//321  QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger
    102, 183, 0,	//324  QDataStream&, QImage&
    102, 447, 0,	//327  QDataStream&, const QSizePolicy&
    254, 465, 0,	//330  QStyleOptionToolBar::ToolBarFeature, int
    312, 465, 0,	//333  Qt::InputMethodHint, int
    25, 465, 0,	//336  KFile::Mode, int
    439, 439, 0,	//339  const QRect&, const QRect&
    444, 444, 0,	//342  const QSize&, const QSize&
    102, 455, 0,	//345  QDataStream&, const QTransform&
    260, 260, 0,	//348  QTextCodec::ConversionFlag, QTextCodec::ConversionFlag
    105, 138, 0,	//351  QDir::Filter, QFlags<QDir::Filter>
    436, 424, 0,	//354  const QPointF&, const QMatrix&
    98, 440, 0,	//357  QDBusArgument&, const QRectF&
    416, 455, 0,	//360  const QLine&, const QTransform&
    114, 141, 0,	//363  QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>
    349, 175, 0,	//366  Qt::WindowState, QFlags<Qt::WindowState>
    446, 463, 0,	//369  const QSizeF&, double
    102, 416, 0,	//372  QDataStream&, const QLine&
    105, 465, 0,	//375  QDir::Filter, int
    461, 415, 0,	//378  const char*, const QLatin1String&
    446, 446, 0,	//381  const QSizeF&, const QSizeF&
    393, 393, 0,	//384  const QByteArray&, const QByteArray&
    415, 452, 0,	//387  const QLatin1String&, const QStringRef&
    323, 323, 0,	//390  Qt::MouseButton, Qt::MouseButton
    65, 127, 0,	//393  KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>
    65, 65, 0,	//396  KUrl::CleanPathOption, KUrl::CleanPathOption
    458, 460, 0,	//399  const QVariant&, const QVariantComparisonHelper&
    86, 86, 0,	//402  QBool, QBool
    12, 465, 0,	//405  KConfigBase::WriteConfigFlag, int
    253, 253, 0,	//408  QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget
    279, 161, 0,	//411  Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>
    243, 243, 0,	//414  QString::Null, QString::Null
    51, 51, 0,	//417  KJob::Capability, KJob::Capability
    397, 274, 0,	//420  const QDBusArgument&, QVariant&
    102, 440, 0,	//423  QDataStream&, const QRectF&
    102, 198, 0,	//426  QDataStream&, QLocale&
    250, 465, 0,	//429  QStyle::SubControl, int
    90, 449, 0,	//432  QChar, const QString&
    181, 143, 0,	//435  QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>
    15, 15, 0,	//438  KDialog::ButtonCode, KDialog::ButtonCode
    105, 105, 0,	//441  QDir::Filter, QDir::Filter
    102, 431, 0,	//444  QDataStream&, const QPalette&
    18, 465, 0,	//447  KDirLister::OpenUrlFlag, int
    50, 0,	//450  KIconLoader::Group&
    102, 393, 0,	//452  QDataStream&, const QByteArray&
    399, 399, 0,	//455  const QDBusSignature&, const QDBusSignature&
    98, 416, 0,	//458  QDBusArgument&, const QLine&
    438, 455, 0,	//461  const QPolygonF&, const QTransform&
    102, 47, 0,	//464  QDataStream&, KIO::UDSEntry&
    340, 340, 0,	//467  Qt::ToolBarArea, Qt::ToolBarArea
    70, 465, 0,	//470  KUrl::QueryItemsOption, int
    278, 465, 0,	//473  QWidget::RenderFlag, int
    301, 465, 0,	//476  Qt::DropAction, int
    102, 450, 0,	//479  QDataStream&, const QStringList&
    67, 67, 0,	//482  KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption
    11, 117, 0,	//485  KConfig::OpenFlag, QFlags<KConfig::OpenFlag>
    73, 73, 0,	//488  QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag
    5, 465, 0,	//491  KAction::ShortcutType, int
    102, 384, 0,	//494  QDataStream&, const KFileItem&
    279, 279, 0,	//497  Qt::AlignmentFlag, Qt::AlignmentFlag
    102, 94, 0,	//500  QDataStream&, QColor&
    107, 465, 0,	//503  QDirIterator::IteratorFlag, int
    41, 125, 0,	//506  KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>
    102, 441, 0,	//509  QDataStream&, const QRegExp&
    271, 465, 0,	//512  QUrl::FormattingOption, int
    393, 461, 0,	//515  const QByteArray&, const char*
    107, 140, 0,	//518  QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>
    66, 66, 0,	//521  KUrl::DirectoryOption, KUrl::DirectoryOption
    41, 41, 0,	//524  KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect
    299, 162, 0,	//527  Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>
    16, 16, 0,	//530  KDialog::CaptionFlag, KDialog::CaptionFlag
    416, 424, 0,	//533  const QLine&, const QMatrix&
    66, 128, 0,	//536  KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>
    417, 424, 0,	//539  const QLineF&, const QMatrix&
    325, 325, 0,	//542  Qt::Orientation, Qt::Orientation
    430, 424, 0,	//545  const QPainterPath&, const QMatrix&
    340, 465, 0,	//548  Qt::ToolBarArea, int
    102, 221, 0,	//551  QDataStream&, QPointF&
    102, 414, 0,	//554  QDataStream&, const QKeySequence&
    321, 465, 0,	//557  Qt::MatchFlag, int
    449, 461, 0,	//560  const QString&, const char*
    397, 237, 0,	//563  const QDBusArgument&, QSizeF&
    188, 465, 0,	//566  QItemSelectionModel::SelectionFlag, int
    102, 396, 0,	//569  QDataStream&, const QCursor&
    306, 306, 0,	//572  Qt::GestureFlag, Qt::GestureFlag
    102, 103, 0,	//575  QDataStream&, QDate&
    25, 25, 0,	//578  KFile::Mode, KFile::Mode
    181, 181, 0,	//581  QIODevice::OpenModeFlag, QIODevice::OpenModeFlag
    377, 393, 0,	//584  char, const QByteArray&
    114, 465, 0,	//587  QEventLoop::ProcessEventsFlag, int
    101, 101, 0,	//590  QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag
    461, 449, 0,	//593  const char*, const QString&
    461, 393, 0,	//596  const char*, const QByteArray&
    397, 104, 0,	//599  const QDBusArgument&, QDateTime&
    102, 272, 0,	//602  QDataStream&, QUuid&
    102, 89, 0,	//605  QDataStream&, QByteArray&
    102, 274, 0,	//608  QDataStream&, QVariant&
    15, 465, 0,	//611  KDialog::ButtonCode, int
    102, 230, 0,	//614  QDataStream&, QRegExp&
    436, 436, 0,	//617  const QPointF&, const QPointF&
    455, 463, 0,	//620  const QTransform&, double
    81, 134, 0,	//623  QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>
    18, 18, 0,	//626  KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag
    398, 398, 0,	//629  const QDBusObjectPath&, const QDBusObjectPath&
    251, 251, 0,	//632  QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature
    31, 465, 0,	//635  KFileMetaInfo::What, int
    452, 452, 0,	//638  const QStringRef&, const QStringRef&
    251, 465, 0,	//641  QStyleOptionButton::ButtonFeature, int
    115, 465, 0,	//644  QFile::Permission, int
    90, 90, 0,	//647  QChar, QChar
    430, 455, 0,	//650  const QPainterPath&, const QTransform&
    102, 391, 0,	//653  QDataStream&, const QBrush&
    81, 81, 0,	//656  QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag
    249, 465, 0,	//659  QStyle::StateFlag, int
    15, 119, 0,	//662  KDialog::ButtonCode, QFlags<KDialog::ButtonCode>
    99, 99, 0,	//665  QDBusConnection::RegisterOption, QDBusConnection::RegisterOption
    102, 232, 0,	//668  QDataStream&, QRegion&
    253, 465, 0,	//671  QStyleOptionTab::CornerWidget, int
    263, 158, 0,	//674  QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>
    102, 85, 0,	//677  QDataStream&, QBitArray&
    436, 463, 0,	//680  const QPointF&, double
    67, 465, 0,	//683  KUrl::EncodedPathAndQueryOption, int
    397, 221, 0,	//686  const QDBusArgument&, QPointF&
    73, 132, 0,	//689  QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>
    102, 401, 0,	//692  QDataStream&, const QDate&
    100, 136, 0,	//695  QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>
    400, 400, 0,	//698  const QDBusVariant&, const QDBusVariant&
    321, 169, 0,	//701  Qt::MatchFlag, QFlags<Qt::MatchFlag>
    98, 401, 0,	//704  QDBusArgument&, const QDate&
    306, 465, 0,	//707  Qt::GestureFlag, int
    239, 239, 0,	//710  QSizePolicy::ControlType, QSizePolicy::ControlType
    260, 465, 0,	//713  QTextCodec::ConversionFlag, int
    102, 96, 0,	//716  QDataStream&, QCursor&
    318, 168, 0,	//719  Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>
    321, 321, 0,	//722  Qt::MatchFlag, Qt::MatchFlag
    102, 269, 0,	//725  QDataStream&, QTransform&
    437, 424, 0,	//728  const QPolygon&, const QMatrix&
    253, 153, 0,	//731  QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>
    449, 243, 0,	//734  const QString&, QString::Null
    255, 255, 0,	//737  QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature
    191, 465, 0,	//740  QLibrary::LoadHint, int
    102, 237, 0,	//743  QDataStream&, QSizeF&
    436, 0,	//746  const QPointF&
    315, 315, 0,	//748  Qt::ItemFlag, Qt::ItemFlag
    102, 432, 0,	//751  QDataStream&, const QPixmap&
    393, 449, 0,	//754  const QByteArray&, const QString&
    350, 176, 0,	//757  Qt::WindowType, QFlags<Qt::WindowType>
    436, 455, 0,	//760  const QPointF&, const QTransform&
    315, 167, 0,	//763  Qt::ItemFlag, QFlags<Qt::ItemFlag>
    343, 174, 0,	//766  Qt::TouchPointState, QFlags<Qt::TouchPointState>
    449, 377, 0,	//769  const QString&, char
    102, 456, 0,	//772  QDataStream&, const QUrl&
    102, 29, 0,	//775  QDataStream&, KFileItem&
    239, 147, 0,	//778  QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>
    397, 196, 0,	//781  const QDBusArgument&, QLineF&
    102, 458, 0,	//784  QDataStream&, const QVariant&
    102, 193, 0,	//787  QDataStream&, QLine&
    51, 465, 0,	//790  KJob::Capability, int
    102, 378, 0,	//793  QDataStream&, const KACL&
    81, 465, 0,	//796  QAbstractSpinBox::StepEnabledFlag, int
    318, 318, 0,	//799  Qt::KeyboardModifier, Qt::KeyboardModifier
    279, 465, 0,	//802  Qt::AlignmentFlag, int
    434, 424, 0,	//805  const QPoint&, const QMatrix&
    318, 465, 0,	//808  Qt::KeyboardModifier, int
    397, 266, 0,	//811  const QDBusArgument&, QTime&
    315, 465, 0,	//814  Qt::ItemFlag, int
    310, 165, 0,	//817  Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>
    98, 436, 0,	//820  QDBusArgument&, const QPointF&
    434, 434, 0,	//823  const QPoint&, const QPoint&
    244, 465, 0,	//826  QString::SectionFlag, int
    350, 465, 0,	//829  Qt::WindowType, int
    278, 278, 0,	//832  QWidget::RenderFlag, QWidget::RenderFlag
    452, 449, 0,	//835  const QStringRef&, const QString&
    415, 415, 0,	//838  const QLatin1String&, const QLatin1String&
    410, 410, 0,	//841  const QHashDummyValue&, const QHashDummyValue&
    68, 68, 0,	//844  KUrl::EqualsOption, KUrl::EqualsOption
    271, 271, 0,	//847  QUrl::FormattingOption, QUrl::FormattingOption
    102, 182, 0,	//850  QDataStream&, QIcon&
    102, 437, 0,	//853  QDataStream&, const QPolygon&
    343, 465, 0,	//856  Qt::TouchPointState, int
    16, 120, 0,	//859  KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>
    278, 160, 0,	//862  QWidget::RenderFlag, QFlags<QWidget::RenderFlag>
    78, 465, 0,	//865  QAbstractItemView::EditTrigger, int
    452, 461, 0,	//868  const QStringRef&, const char*
    261, 262, 0,	//871  QTextStream&, QTextStream&(*)(QTextStream&)
    249, 149, 0,	//874  QStyle::StateFlag, QFlags<QStyle::StateFlag>
    65, 465, 0,	//877  KUrl::CleanPathOption, int
    255, 155, 0,	//880  QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>
    102, 112, 0,	//883  QDataStream&, QEasingCurve&
    70, 70, 0,	//886  KUrl::QueryItemsOption, KUrl::QueryItemsOption
    12, 12, 0,	//889  KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag
    11, 465, 0,	//892  KConfig::OpenFlag, int
    102, 417, 0,	//895  QDataStream&, const QLineF&
    115, 142, 0,	//898  QFile::Permission, QFlags<QFile::Permission>
    102, 87, 0,	//901  QDataStream&, QBrush&
    102, 436, 0,	//904  QDataStream&, const QPointF&
    434, 464, 0,	//907  const QPoint&, float
    199, 465, 0,	//910  QLocale::NumberOption, int
    449, 449, 0,	//913  const QString&, const QString&
    255, 465, 0,	//916  QStyleOptionToolButton::ToolButtonFeature, int
    102, 1, 0,	//919  QDataStream&, KACL&
    449, 452, 0,	//922  const QString&, const QStringRef&
    31, 123, 0,	//925  KFileMetaInfo::What, QFlags<KFileMetaInfo::What>
    68, 465, 0,	//928  KUrl::EqualsOption, int
    16, 465, 0,	//931  KDialog::CaptionFlag, int
    239, 465, 0,	//934  QSizePolicy::ControlType, int
    102, 238, 0,	//937  QDataStream&, QSizePolicy&
    461, 452, 0,	//940  const char*, const QStringRef&
    102, 201, 0,	//943  QDataStream&, QMatrix&
    323, 465, 0,	//946  Qt::MouseButton, int
    102, 236, 0,	//949  QDataStream&, QSize&
    312, 312, 0,	//952  Qt::InputMethodHint, Qt::InputMethodHint
    107, 107, 0,	//955  QDirIterator::IteratorFlag, QDirIterator::IteratorFlag
    98, 444, 0,	//958  QDBusArgument&, const QSize&
    263, 263, 0,	//961  QTextStream::NumberFlag, QTextStream::NumberFlag
    102, 275, 0,	//964  QDataStream&, QVariant::Type&
    337, 172, 0,	//967  Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>
    417, 455, 0,	//970  const QLineF&, const QTransform&
    452, 415, 0,	//973  const QStringRef&, const QLatin1String&
    102, 438, 0,	//976  QDataStream&, const QPolygonF&
    102, 446, 0,	//979  QDataStream&, const QSizeF&
    340, 173, 0,	//982  Qt::ToolBarArea, QFlags<Qt::ToolBarArea>
    102, 408, 0,	//985  QDataStream&, const QFont&
    68, 130, 0,	//988  KUrl::EqualsOption, QFlags<KUrl::EqualsOption>
    250, 150, 0,	//991  QStyle::SubControl, QFlags<QStyle::SubControl>
    397, 228, 0,	//994  const QDBusArgument&, QRect&
    5, 116, 0,	//997  KAction::ShortcutType, QFlags<KAction::ShortcutType>
    102, 424, 0,	//1000  QDataStream&, const QMatrix&
    377, 449, 0,	//1003  char, const QString&
    191, 191, 0,	//1006  QLibrary::LoadHint, QLibrary::LoadHint
    100, 465, 0,	//1009  QDBusConnection::VirtualObjectRegisterOption, int
    349, 349, 0,	//1012  Qt::WindowState, Qt::WindowState
    271, 159, 0,	//1015  QUrl::FormattingOption, QFlags<QUrl::FormattingOption>
    102, 225, 0,	//1018  QDataStream&, QPolygonF&
    102, 215, 0,	//1021  QDataStream&, QPalette&
    102, 430, 0,	//1024  QDataStream&, const QPainterPath&
    440, 440, 0,	//1027  const QRectF&, const QRectF&
    463, 444, 0,	//1030  double, const QSize&
    115, 115, 0,	//1033  QFile::Permission, QFile::Permission
    250, 250, 0,	//1036  QStyle::SubControl, QStyle::SubControl
    98, 439, 0,	//1039  QDBusArgument&, const QRect&
    78, 133, 0,	//1042  QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>
    258, 258, 0,	//1045  QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature
    102, 390, 0,	//1048  QDataStream&, const QBitArray&
    99, 135, 0,	//1051  QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>
    463, 434, 0,	//1054  double, const QPoint&
    102, 434, 0,	//1057  QDataStream&, const QPoint&
    102, 412, 0,	//1060  QDataStream&, const QImage&
    393, 377, 0,	//1063  const QByteArray&, char
    101, 137, 0,	//1066  QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>
    101, 465, 0,	//1069  QDBusServiceWatcher::WatchModeFlag, int
    102, 179, 0,	//1072  QDataStream&, QFont&
    106, 139, 0,	//1075  QDir::SortFlag, QFlags<QDir::SortFlag>
    244, 148, 0,	//1078  QString::SectionFlag, QFlags<QString::SectionFlag>
    102, 444, 0,	//1081  QDataStream&, const QSize&
    188, 144, 0,	//1084  QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>
    102, 229, 0,	//1087  QDataStream&, QRectF&
    98, 421, 0,	//1090  QDBusArgument&, const QMap<QString,QVariant>&
    260, 157, 0,	//1093  QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>
    102, 394, 0,	//1096  QDataStream&, const QChar&
    376, 86, 0,	//1099  bool, QBool
    70, 131, 0,	//1102  KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>
    437, 455, 0,	//1105  const QPolygon&, const QTransform&
    86, 376, 0,	//1108  QBool, bool
    349, 465, 0,	//1111  Qt::WindowState, int
    258, 156, 0,	//1114  QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>
    98, 402, 0,	//1117  QDBusArgument&, const QDateTime&
    102, 246, 0,	//1120  QDataStream&, QStringList&
    397, 229, 0,	//1123  const QDBusArgument&, QRectF&
    102, 439, 0,	//1126  QDataStream&, const QRect&
    66, 465, 0,	//1129  KUrl::DirectoryOption, int
    5, 5, 0,	//1132  KAction::ShortcutType, KAction::ShortcutType
    102, 442, 0,	//1135  QDataStream&, const QRegion&
    299, 299, 0,	//1138  Qt::DockWidgetArea, Qt::DockWidgetArea
    199, 146, 0,	//1141  QLocale::NumberOption, QFlags<QLocale::NumberOption>
    102, 395, 0,	//1144  QDataStream&, const QColor&
    350, 350, 0,	//1147  Qt::WindowType, Qt::WindowType
    444, 463, 0,	//1150  const QSize&, double
    243, 449, 0,	//1153  QString::Null, const QString&
    106, 106, 0,	//1156  QDir::SortFlag, QDir::SortFlag
    312, 166, 0,	//1159  Qt::InputMethodHint, QFlags<Qt::InputMethodHint>
    11, 11, 0,	//1162  KConfig::OpenFlag, KConfig::OpenFlag
    102, 219, 0,	//1165  QDataStream&, QPoint&
    252, 252, 0,	//1168  QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature
    102, 104, 0,	//1171  QDataStream&, QDateTime&
    98, 446, 0,	//1174  QDBusArgument&, const QSizeF&
    98, 419, 0,	//1177  QDBusArgument&, const QList<QVariant>&
    25, 122, 0,	//1180  KFile::Mode, QFlags<KFile::Mode>
    102, 454, 0,	//1183  QDataStream&, const QTime&
    102, 190, 0,	//1186  QDataStream&, QKeySequence&
    100, 100, 0,	//1189  QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption
    98, 409, 0,	//1192  QDBusArgument&, const QHash<QString,QVariant>&
    102, 386, 0,	//1195  QDataStream&, const KIO::UDSEntry&
    98, 417, 0,	//1198  QDBusArgument&, const QLineF&
    102, 457, 0,	//1201  QDataStream&, const QUuid&
    31, 31, 0,	//1204  KFileMetaInfo::What, KFileMetaInfo::What
    261, 264, 0,	//1207  QTextStream&, QTextStreamManipulator
    442, 455, 0,	//1210  const QRegion&, const QTransform&
    397, 219, 0,	//1213  const QDBusArgument&, QPoint&
    244, 244, 0,	//1216  QString::SectionFlag, QString::SectionFlag
    263, 465, 0,	//1219  QTextStream::NumberFlag, int
    181, 465, 0,	//1222  QIODevice::OpenModeFlag, int
    465, 434, 0,	//1225  int, const QPoint&
    306, 164, 0,	//1228  Qt::GestureFlag, QFlags<Qt::GestureFlag>
    438, 424, 0,	//1231  const QPolygonF&, const QMatrix&
    434, 0,	//1234  const QPoint&
    102, 223, 0,	//1236  QDataStream&, QPolygon&
    98, 434, 0,	//1239  QDBusArgument&, const QPoint&
    261, 403, 0,	//1242  QTextStream&, const QDomNode&
    67, 129, 0,	//1245  KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>
    102, 241, 0,	//1248  QDataStream&, QString&
    188, 188, 0,	//1251  QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag
    102, 449, 0,	//1254  QDataStream&, const QString&
    102, 404, 0,	//1257  QDataStream&, const QEasingCurve&
    102, 91, 0,	//1260  QDataStream&, QChar&
    249, 249, 0,	//1263  QStyle::StateFlag, QStyle::StateFlag
    337, 337, 0,	//1266  Qt::TextInteractionFlag, Qt::TextInteractionFlag
    98, 454, 0,	//1269  QDBusArgument&, const QTime&
    102, 217, 0,	//1272  QDataStream&, QPixmap&
    12, 118, 0,	//1275  KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>
    449, 393, 0,	//1278  const QString&, const QByteArray&
    114, 114, 0,	//1281  QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag
    102, 228, 0,	//1284  QDataStream&, QRect&
    73, 465, 0,	//1287  QAbstractFileEngine::FileFlag, int
    310, 465, 0,	//1290  Qt::ImageConversionFlag, int
    251, 151, 0,	//1293  QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>
    102, 411, 0,	//1296  QDataStream&, const QIcon&
    102, 459, 0,	//1299  QDataStream&, const QVariant::Type
    258, 465, 0,	//1302  QStyleOptionViewItemV2::ViewItemFeature, int
    102, 196, 0,	//1305  QDataStream&, QLineF&
    102, 214, 0,	//1308  QDataStream&, QPainterPath&
    397, 193, 0,	//1311  const QDBusArgument&, QLine&
    39, 39, 0,	//1314  KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption
    41, 465, 0,	//1317  KGlobalSettings::GraphicEffect, int
    18, 121, 0,	//1320  KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>
    343, 343, 0,	//1323  Qt::TouchPointState, Qt::TouchPointState
    337, 465, 0,	//1326  Qt::TextInteractionFlag, int
    434, 455, 0,	//1329  const QPoint&, const QTransform&
    252, 465, 0,	//1332  QStyleOptionFrameV2::FrameFeature, int
    99, 465, 0,	//1335  QDBusConnection::RegisterOption, int
    254, 254, 0,	//1338  QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature
    51, 126, 0,	//1341  KJob::Capability, QFlags<KJob::Capability>
    102, 402, 0,	//1344  QDataStream&, const QDateTime&
    102, 266, 0,	//1347  QDataStream&, QTime&
    434, 465, 0,	//1350  const QPoint&, int
    310, 310, 0,	//1353  Qt::ImageConversionFlag, Qt::ImageConversionFlag
    252, 152, 0,	//1356  QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>
    301, 163, 0,	//1359  Qt::DropAction, QFlags<Qt::DropAction>
    301, 301, 0,	//1362  Qt::DropAction, Qt::DropAction
    325, 465, 0,	//1365  Qt::Orientation, int
    39, 465, 0,	//1368  KGlobalSettings::ActivateOption, int
    397, 103, 0,	//1371  const QDBusArgument&, QDate&
    442, 424, 0,	//1374  const QRegion&, const QMatrix&
    464, 434, 0,	//1377  float, const QPoint&
    102, 270, 0,	//1380  QDataStream&, QUrl&
    191, 145, 0,	//1383  QLibrary::LoadHint, QFlags<QLibrary::LoadHint>
    449, 90, 0,	//1386  const QString&, QChar
    39, 124, 0,	//1389  KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>
    325, 171, 0,	//1392  Qt::Orientation, QFlags<Qt::Orientation>
    254, 154, 0,	//1395  QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>
    397, 236, 0,	//1398  const QDBusArgument&, QSize&
    199, 199, 0,	//1401  QLocale::NumberOption, QLocale::NumberOption
    102, 420, 0,	//1404  QDataStream&, const QLocale&
    50, 465, 0,	//1407  KIconLoader::Group&, int
    428, 79, 0,	//1410  const QModelIndex&, QAbstractItemView::ScrollHint
    267, 0,	//1413  QTimerEvent*
    77, 168, 0,	//1415  QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>
    439, 144, 0,	//1418  const QRect&, QFlags<QItemSelectionModel::SelectionFlag>
    413, 0,	//1421  const QItemSelection&
    413, 413, 0,	//1423  const QItemSelection&, const QItemSelection&
    92, 0,	//1426  QChildEvent*
    465, 428, 0,	//1428  int, const QModelIndex&
    212, 453, 428, 0,	//1431  QPainter*, const QStyleOptionViewItem&, const QModelIndex&
    212, 439, 428, 0,	//1435  QPainter*, const QRect&, const QModelIndex&
    207, 0,	//1439  QMoveEvent*
    259, 0,	//1441  QTabletEvent*
    83, 0,	//1443  QActionEvent*
    375, 0,	//1445  _XEvent*
    209, 0,	//1447  QPaintDevice::PaintDeviceMetric
    248, 0,	//1449  QStyle&
    431, 0,	//1451  const QPalette&
    408, 0,	//1453  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AboveItem",	//1
    "Accepted",	//2
    "Adjust",	//3
    "AdjustToContents",	//4
    "AdjustToContentsOnFirstShow",	//5
    "AdjustToMinimumContentsLength",	//6
    "AdjustToMinimumContentsLengthWithIcon",	//7
    "AllActions",	//8
    "AllEditTriggers",	//9
    "AnimatingState",	//10
    "AnyKeyPressed",	//11
    "AppNameCaption",	//12
    "Apply",	//13
    "Batched",	//14
    "BelowItem",	//15
    "Box",	//16
    "Cancel",	//17
    "CapacityBarRecommendedRole",	//18
    "CategoryDisplayRole",	//19
    "CategorySortRole",	//20
    "Close",	//21
    "CollapsingState",	//22
    "ContiguousSelection",	//23
    "CurrentChanged",	//24
    "Default",	//25
    "DelayedPopup",	//26
    "Detail",	//27
    "DetailTree",	//28
    "Details",	//29
    "Directory",	//30
    "DoubleClicked",	//31
    "DragDrop",	//32
    "DragOnly",	//33
    "DragSelectingState",	//34
    "DraggingState",	//35
    "DrawChildren",	//36
    "DrawWindowBackground",	//37
    "DropOnly",	//38
    "EditKeyPressed",	//39
    "EditingState",	//40
    "EnsureVisible",	//41
    "ExistingOnly",	//42
    "ExpandingState",	//43
    "Extended",	//44
    "ExtendedSelection",	//45
    "File",	//46
    "FileActions",	//47
    "FileViewMax",	//48
    "Files",	//49
    "Fixed",	//50
    "FixedDeviceRole",	//51
    "Free",	//52
    "HIGCompliantCaption",	//53
    "HLine",	//54
    "Help",	//55
    "HiddenRole",	//56
    "IconMode",	//57
    "IgnoreMask",	//58
    "InsertAfterCurrent",	//59
    "InsertAlphabetically",	//60
    "InsertAtBottom",	//61
    "InsertAtCurrent",	//62
    "InsertAtTop",	//63
    "InsertBeforeCurrent",	//64
    "InstantPopup",	//65
    "InternalMove",	//66
    "KAbstractFileWidget",	//67
    "KAbstractFileWidget#",	//68
    "KDirOperator",	//69
    "KDirOperator#",	//70
    "KDirOperator##",	//71
    "KDirSelectDialog",	//72
    "KDirSelectDialog#",	//73
    "KDirSelectDialog#$",	//74
    "KDirSelectDialog#$#",	//75
    "KDirSortFilterProxyModel",	//76
    "KDirSortFilterProxyModel#",	//77
    "KFile",	//78
    "KFile#",	//79
    "KFileFilterCombo",	//80
    "KFileFilterCombo#",	//81
    "KFilePlacesModel",	//82
    "KFilePlacesModel#",	//83
    "KFilePlacesView",	//84
    "KFilePlacesView#",	//85
    "KFilePreviewGenerator",	//86
    "KFilePreviewGenerator#",	//87
    "KFilePreviewGenerator##",	//88
    "KFileTreeView",	//89
    "KFileTreeView#",	//90
    "KFileWidget",	//91
    "KFileWidget##",	//92
    "KST_CTimeInfo",	//93
    "KST_KCustom",	//94
    "KST_KDEDesktopMimeType",	//95
    "KST_KFolderMimeType",	//96
    "KST_KImageIO",	//97
    "KST_KImageIOFormat",	//98
    "KST_KMimeType",	//99
    "KST_KMimeTypeEntry",	//100
    "KST_KMimeTypeFactory",	//101
    "KST_KProtocolInfo",	//102
    "KST_KProtocolInfoFactory",	//103
    "KST_KService",	//104
    "KST_KServiceFactory",	//105
    "KST_KServiceGroup",	//106
    "KST_KServiceGroupFactory",	//107
    "KST_KServiceSeparator",	//108
    "KST_KServiceType",	//109
    "KST_KServiceTypeFactory",	//110
    "KST_KSycocaEntry",	//111
    "KUrlNavigator",	//112
    "KUrlNavigator#",	//113
    "KUrlNavigator###",	//114
    "LeftToRight",	//115
    "LicensedActiveQt",	//116
    "LicensedCore",	//117
    "LicensedDBus",	//118
    "LicensedDeclarative",	//119
    "LicensedGui",	//120
    "LicensedHelp",	//121
    "LicensedMultimedia",	//122
    "LicensedNetwork",	//123
    "LicensedOpenGL",	//124
    "LicensedOpenVG",	//125
    "LicensedQt3Support",	//126
    "LicensedQt3SupportLight",	//127
    "LicensedScript",	//128
    "LicensedScriptTools",	//129
    "LicensedSql",	//130
    "LicensedSvg",	//131
    "LicensedTest",	//132
    "LicensedXml",	//133
    "LicensedXmlPatterns",	//134
    "ListMode",	//135
    "LocalOnly",	//136
    "ModeMax",	//137
    "ModifiedCaption",	//138
    "MoveDown",	//139
    "MoveEnd",	//140
    "MoveHome",	//141
    "MoveLeft",	//142
    "MoveNext",	//143
    "MovePageDown",	//144
    "MovePageUp",	//145
    "MovePrevious",	//146
    "MoveRight",	//147
    "MoveUp",	//148
    "Multi",	//149
    "MultiSelection",	//150
    "NavActions",	//151
    "NextCompletionMatch",	//152
    "No",	//153
    "NoCaptionFlags",	//154
    "NoDefault",	//155
    "NoDragDrop",	//156
    "NoEditTriggers",	//157
    "NoFrame",	//158
    "NoInsert",	//159
    "NoSelection",	//160
    "NoState",	//161
    "None",	//162
    "Ok",	//163
    "OnItem",	//164
    "OnViewport",	//165
    "Opening",	//166
    "Other",	//167
    "Panel",	//168
    "Plain",	//169
    "PositionAtBottom",	//170
    "PositionAtCenter",	//171
    "PositionAtTop",	//172
    "PrevCompletionMatch",	//173
    "PreviewContents",	//174
    "PreviewInfo",	//175
    "Q_COMPLEX_TYPE",	//176
    "Q_DUMMY_TYPE",	//177
    "Q_MOVABLE_TYPE",	//178
    "Q_PRIMITIVE_TYPE",	//179
    "Q_STATIC_TYPE",	//180
    "QtCriticalMsg",	//181
    "QtDebugMsg",	//182
    "QtFatalMsg",	//183
    "QtSystemMsg",	//184
    "QtWarningMsg",	//185
    "Raised",	//186
    "Rejected",	//187
    "Reset",	//188
    "Saving",	//189
    "ScrollPerItem",	//190
    "ScrollPerPixel",	//191
    "SelectColumns",	//192
    "SelectItems",	//193
    "SelectRows",	//194
    "SelectedClicked",	//195
    "SeparateDirs",	//196
    "SetupNeededRole",	//197
    "Shadow_Mask",	//198
    "Shape_Mask",	//199
    "Simple",	//200
    "Single",	//201
    "SinglePass",	//202
    "SingleSelection",	//203
    "Snap",	//204
    "SortActions",	//205
    "Static",	//206
    "StyledPanel",	//207
    "SubstringCompletion",	//208
    "Sunken",	//209
    "TextCompletion",	//210
    "TopToBottom",	//211
    "Tree",	//212
    "Try",	//213
    "UrlRole",	//214
    "User1",	//215
    "User2",	//216
    "User3",	//217
    "VLine",	//218
    "ViewActions",	//219
    "WinPanel",	//220
    "Yes",	//221
    "accept",	//222
    "accepted",	//223
    "actionCollection",	//224
    "actionEvent",	//225
    "activated",	//226
    "activated#",	//227
    "activatedMenu",	//228
    "activatedMenu##",	//229
    "addPlace",	//230
    "addPlace$#",	//231
    "addPlace$#$",	//232
    "addPlace$#$$",	//233
    "addPlace$#$$#",	//234
    "back",	//235
    "baseUrl",	//236
    "bookmarkForIndex",	//237
    "bookmarkForIndex#",	//238
    "buddy",	//239
    "canFetchMore",	//240
    "canFetchMore#",	//241
    "cancelButton",	//242
    "cancelPreviews",	//243
    "cdUp",	//244
    "changeEvent",	//245
    "changeEvent#",	//246
    "checkPreviewSupport",	//247
    "childEvent",	//248
    "clearFilter",	//249
    "clearHistory",	//250
    "close",	//251
    "closeEditor",	//252
    "closeEvent",	//253
    "closestItem",	//254
    "closestItem#",	//255
    "columnCount",	//256
    "columnCount#",	//257
    "commitData",	//258
    "compareCategories",	//259
    "completion",	//260
    "completion$",	//261
    "completionObject",	//262
    "connectNotify",	//263
    "contextMenuAboutToShow",	//264
    "contextMenuAboutToShow##",	//265
    "contextMenuEvent",	//266
    "contextMenuEvent#",	//267
    "create",	//268
    "createView",	//269
    "createView#$",	//270
    "currentChanged",	//271
    "currentChanged#",	//272
    "currentFilter",	//273
    "currentFilterMimeType",	//274
    "currentIconSizeChanged",	//275
    "currentIconSizeChanged$",	//276
    "currentMimeFilter",	//277
    "currentUrl",	//278
    "customEvent",	//279
    "customProtocols",	//280
    "data",	//281
    "data#$",	//282
    "dataChanged",	//283
    "dataChanged##",	//284
    "decorationPosition",	//285
    "defaultFilter",	//286
    "del",	//287
    "del#",	//288
    "del##",	//289
    "del##$",	//290
    "del##$$",	//291
    "deleteSelected",	//292
    "devType",	//293
    "deviceForIndex",	//294
    "deviceForIndex#",	//295
    "dirActivated",	//296
    "dirActivated#",	//297
    "dirCompletionObject",	//298
    "dirHighlighting",	//299
    "dirLister",	//300
    "dirOnlyMode",	//301
    "dirOnlyMode$",	//302
    "dirOperator",	//303
    "disconnectNotify",	//304
    "doItemsLayout",	//305
    "done",	//306
    "dragEnterEvent",	//307
    "dragEnterEvent#",	//308
    "dragLeaveEvent",	//309
    "dragLeaveEvent#",	//310
    "dragMoveEvent",	//311
    "dragMoveEvent#",	//312
    "drawBranches",	//313
    "drawRow",	//314
    "dropEvent",	//315
    "dropEvent#",	//316
    "dropMimeData",	//317
    "dropMimeData#$$$#",	//318
    "dropped",	//319
    "dropped##?",	//320
    "edit",	//321
    "editPlace",	//322
    "editPlace#$#",	//323
    "editPlace#$#$",	//324
    "editPlace#$#$$",	//325
    "editableStateChanged",	//326
    "editableStateChanged$",	//327
    "editor",	//328
    "editorDestroyed",	//329
    "ejectActionForIndex",	//330
    "ejectActionForIndex#",	//331
    "enabledChange",	//332
    "enabledPlugins",	//333
    "enterEvent",	//334
    "errorMessage",	//335
    "errorMessage$",	//336
    "event",	//337
    "eventFilter",	//338
    "eventFilter##",	//339
    "fetchMore",	//340
    "fileHighlighted",	//341
    "fileHighlighted#",	//342
    "fileHighlighted$",	//343
    "fileSelected",	//344
    "fileSelected#",	//345
    "fileSelected$",	//346
    "filterAcceptsColumn",	//347
    "filterAcceptsRow",	//348
    "filterChanged",	//349
    "filterChanged$",	//350
    "filterWidget",	//351
    "filters",	//352
    "finishedLoading",	//353
    "flags",	//354
    "flags#",	//355
    "focusInEvent",	//356
    "focusNextPrevChild",	//357
    "focusOutEvent",	//358
    "fontChange",	//359
    "forward",	//360
    "getStartUrl",	//361
    "getStartUrl#$",	//362
    "getStartUrl#$$",	//363
    "goBack",	//364
    "goForward",	//365
    "goHome",	//366
    "goUp",	//367
    "hasChildren",	//368
    "hasChildren#",	//369
    "headerData",	//370
    "heightForWidth",	//371
    "hiddenCount",	//372
    "hideEvent",	//373
    "hideEvent#",	//374
    "hidePopup",	//375
    "highlightFile",	//376
    "highlightFile#",	//377
    "historyChanged",	//378
    "historyIndex",	//379
    "historySize",	//380
    "historyUrl",	//381
    "historyUrl$",	//382
    "home",	//383
    "homeUrl",	//384
    "horizontalOffset",	//385
    "horizontalScrollbarAction",	//386
    "horizontalScrollbarValueChanged",	//387
    "icon",	//388
    "icon#",	//389
    "iconsZoom",	//390
    "index",	//391
    "index$$",	//392
    "index$$#",	//393
    "indexAt",	//394
    "inputMethodEvent",	//395
    "inputMethodQuery",	//396
    "insertColumns",	//397
    "insertRows",	//398
    "isActive",	//399
    "isAutoResizeItemsEnabled",	//400
    "isDefaultView",	//401
    "isDefaultView$",	//402
    "isDetailTreeView",	//403
    "isDetailTreeView$",	//404
    "isDetailView",	//405
    "isDetailView$",	//406
    "isDevice",	//407
    "isDevice#",	//408
    "isDropOnPlaceEnabled",	//409
    "isHidden",	//410
    "isHidden#",	//411
    "isIndexHidden",	//412
    "isInlinePreviewShown",	//413
    "isMimeFilter",	//414
    "isPlacesSelectorVisible",	//415
    "isPreviewContents",	//416
    "isPreviewContents$",	//417
    "isPreviewInfo",	//418
    "isPreviewInfo$",	//419
    "isPreviewShown",	//420
    "isRoot",	//421
    "isSaving",	//422
    "isSelected",	//423
    "isSelected#",	//424
    "isSeparateDirs",	//425
    "isSeparateDirs$",	//426
    "isSimpleView",	//427
    "isSimpleView$",	//428
    "isSortByDate",	//429
    "isSortByDate#",	//430
    "isSortByName",	//431
    "isSortByName#",	//432
    "isSortBySize",	//433
    "isSortBySize#",	//434
    "isSortByType",	//435
    "isSortByType#",	//436
    "isSortCaseInsensitive",	//437
    "isSortCaseInsensitive#",	//438
    "isSortDirsFirst",	//439
    "isSortDirsFirst#",	//440
    "isTreeView",	//441
    "isTreeView$",	//442
    "isUrlEditable",	//443
    "itemData",	//444
    "keepsLocation",	//445
    "keyPressEvent",	//446
    "keyPressEvent#",	//447
    "keyReleaseEvent",	//448
    "keyReleaseEvent#",	//449
    "keyboardSearch",	//450
    "languageChange",	//451
    "leaveEvent",	//452
    "lessThan",	//453
    "localOnly",	//454
    "locationEdit",	//455
    "locationState",	//456
    "locationState$",	//457
    "locationUrl",	//458
    "locationUrl$",	//459
    "makeCompletion",	//460
    "makeCompletion$",	//461
    "makeDirCompletion",	//462
    "makeDirCompletion$",	//463
    "mapFromSource",	//464
    "mapSelectionFromSource",	//465
    "mapSelectionToSource",	//466
    "mapToSource",	//467
    "match",	//468
    "metaObject",	//469
    "metric",	//470
    "mimeData",	//471
    "mimeData?",	//472
    "mimeFilter",	//473
    "mimeTypes",	//474
    "minimumSizeHint",	//475
    "mkdir",	//476
    "mkdir$",	//477
    "mkdir$$",	//478
    "mode",	//479
    "mouseDoubleClickEvent",	//480
    "mouseMoveEvent",	//481
    "mousePressEvent",	//482
    "mouseReleaseEvent",	//483
    "mouseReleaseEvent#",	//484
    "moveCursor",	//485
    "moveEvent",	//486
    "nameFilter",	//487
    "newFileMenuSupportedMimeTypes",	//488
    "numDirs",	//489
    "numFiles",	//490
    "okButton",	//491
    "onlyDoubleClickSelectsFiles",	//492
    "operationMode",	//493
    "operator!=",	//494
    "operator!=##",	//495
    "operator!=#$",	//496
    "operator!=$#",	//497
    "operator!=$$",	//498
    "operator&",	//499
    "operator&##",	//500
    "operator*",	//501
    "operator*##",	//502
    "operator*#$",	//503
    "operator*$#",	//504
    "operator+",	//505
    "operator+##",	//506
    "operator+#$",	//507
    "operator+$#",	//508
    "operator+$$",	//509
    "operator++",	//510
    "operator++$",	//511
    "operator++$$",	//512
    "operator-",	//513
    "operator-#",	//514
    "operator-##",	//515
    "operator-#$",	//516
    "operator/",	//517
    "operator/#$",	//518
    "operator<",	//519
    "operator<##",	//520
    "operator<#$",	//521
    "operator<$#",	//522
    "operator<$$",	//523
    "operator<<",	//524
    "operator<<##",	//525
    "operator<<#$",	//526
    "operator<<#?",	//527
    "operator<=",	//528
    "operator<=##",	//529
    "operator<=#$",	//530
    "operator<=$#",	//531
    "operator<=$$",	//532
    "operator==",	//533
    "operator==##",	//534
    "operator==#$",	//535
    "operator==$#",	//536
    "operator==$$",	//537
    "operator>",	//538
    "operator>##",	//539
    "operator>#$",	//540
    "operator>$#",	//541
    "operator>$$",	//542
    "operator>=",	//543
    "operator>=##",	//544
    "operator>=#$",	//545
    "operator>=$#",	//546
    "operator>=$$",	//547
    "operator>>",	//548
    "operator>>##",	//549
    "operator>>#$",	//550
    "operator>>#?",	//551
    "operator^",	//552
    "operator^##",	//553
    "operator|",	//554
    "operator|##",	//555
    "operator|$$",	//556
    "paintEngine",	//557
    "paintEvent",	//558
    "paintEvent#",	//559
    "paletteChange",	//560
    "parent",	//561
    "parent#",	//562
    "pathChanged",	//563
    "pointsForPermissions",	//564
    "pointsForPermissions#",	//565
    "prepareCompletionObjects",	//566
    "previewGenerator",	//567
    "progressBar",	//568
    "qt_metacall",	//569
    "qt_metacall$$?",	//570
    "qt_metacast",	//571
    "qt_metacast$",	//572
    "readConfig",	//573
    "readConfig#",	//574
    "reject",	//575
    "removeColumns",	//576
    "removePlace",	//577
    "removePlace#",	//578
    "removeRows",	//579
    "requestActivation",	//580
    "requestEject",	//581
    "requestEject#",	//582
    "requestSetup",	//583
    "requestSetup#",	//584
    "requestTeardown",	//585
    "requestTeardown#",	//586
    "rereadDir",	//587
    "reset",	//588
    "resetCursor",	//589
    "resizeEvent",	//590
    "resizeEvent#",	//591
    "returnPressed",	//592
    "revert",	//593
    "rootUrl",	//594
    "rowCount",	//595
    "rowCount#",	//596
    "rowsAboutToBeRemoved",	//597
    "rowsInserted",	//598
    "rowsInserted#$$",	//599
    "saveLocationState",	//600
    "saveLocationState#",	//601
    "savePosition",	//602
    "savePosition$$",	//603
    "saveRootUrl",	//604
    "saveRootUrl#",	//605
    "savedPosition",	//606
    "savedRootUrl",	//607
    "scrollContentsBy",	//608
    "scrollTo",	//609
    "selectAll",	//610
    "selectDir",	//611
    "selectDir#",	//612
    "selectDirectory",	//613
    "selectDirectory#",	//614
    "selectDirectory#$",	//615
    "selectDirectory#$#",	//616
    "selectDirectory#$#$",	//617
    "selectFile",	//618
    "selectFile#",	//619
    "selectedFile",	//620
    "selectedFiles",	//621
    "selectedIndexes",	//622
    "selectedItems",	//623
    "selectedUrl",	//624
    "selectedUrls",	//625
    "selectionChanged",	//626
    "selectionCommand",	//627
    "setAcceptDrops",	//628
    "setAcceptDrops$",	//629
    "setActive",	//630
    "setActive$",	//631
    "setAutoCompletion",	//632
    "setAutoResizeItemsEnabled",	//633
    "setAutoResizeItemsEnabled$",	//634
    "setCaption",	//635
    "setCompletedItems",	//636
    "setCompletedText",	//637
    "setCompletionMode",	//638
    "setCompletionObject",	//639
    "setConfirmOverwrite",	//640
    "setConfirmOverwrite$",	//641
    "setContextMenuEnabled",	//642
    "setCurrentFilter",	//643
    "setCurrentFilter$",	//644
    "setCurrentItem",	//645
    "setCurrentItem#",	//646
    "setCurrentItem$",	//647
    "setCurrentItems",	//648
    "setCurrentItems#",	//649
    "setCurrentItems?",	//650
    "setCurrentUrl",	//651
    "setCurrentUrl#",	//652
    "setCustomProtocols",	//653
    "setCustomProtocols?",	//654
    "setCustomWidget",	//655
    "setCustomWidget#",	//656
    "setCustomWidget$#",	//657
    "setData",	//658
    "setDecorationPosition",	//659
    "setDecorationPosition$",	//660
    "setDefaultFilter",	//661
    "setDefaultFilter$",	//662
    "setDirLister",	//663
    "setDirLister#",	//664
    "setDirOnlyMode",	//665
    "setDirOnlyMode$",	//666
    "setDropOnPlaceEnabled",	//667
    "setDropOnPlaceEnabled$",	//668
    "setDropOptions",	//669
    "setDropOptions$",	//670
    "setEnableDirHighlighting",	//671
    "setEnableDirHighlighting$",	//672
    "setEnabledPlugins",	//673
    "setEnabledPlugins?",	//674
    "setFilter",	//675
    "setFilter$",	//676
    "setFocus",	//677
    "setHandleSignals",	//678
    "setHeaderData",	//679
    "setHomeUrl",	//680
    "setHomeUrl#",	//681
    "setHomeUrl$",	//682
    "setIconsZoom",	//683
    "setIconsZoom$",	//684
    "setInlinePreviewShown",	//685
    "setInlinePreviewShown$",	//686
    "setIsSaving",	//687
    "setIsSaving$",	//688
    "setItemData",	//689
    "setKeepLocation",	//690
    "setKeepLocation$",	//691
    "setLineEdit",	//692
    "setLocationLabel",	//693
    "setLocationLabel$",	//694
    "setLocationUrl",	//695
    "setLocationUrl#",	//696
    "setMimeFilter",	//697
    "setMimeFilter?",	//698
    "setMimeFilter?$",	//699
    "setMode",	//700
    "setMode$",	//701
    "setModel",	//702
    "setModel#",	//703
    "setNameFilter",	//704
    "setNameFilter$",	//705
    "setNewFileMenuSupportedMimeTypes",	//706
    "setNewFileMenuSupportedMimeTypes?",	//707
    "setOnlyDoubleClickSelectsFiles",	//708
    "setOnlyDoubleClickSelectsFiles$",	//709
    "setOperationMode",	//710
    "setOperationMode$",	//711
    "setPlaceHidden",	//712
    "setPlaceHidden#$",	//713
    "setPlacesSelectorVisible",	//714
    "setPlacesSelectorVisible$",	//715
    "setPlainCaption",	//716
    "setPreviewShown",	//717
    "setPreviewShown$",	//718
    "setPreviewWidget",	//719
    "setPreviewWidget#",	//720
    "setRootIndex",	//721
    "setRootUrl",	//722
    "setRootUrl#",	//723
    "setSelection",	//724
    "setSelection$",	//725
    "setSelectionModel",	//726
    "setShowAll",	//727
    "setShowAll$",	//728
    "setShowFullPath",	//729
    "setShowFullPath$",	//730
    "setShowHiddenFiles",	//731
    "setShowHiddenFiles$",	//732
    "setSortFoldersFirst",	//733
    "setSortFoldersFirst$",	//734
    "setSorting",	//735
    "setSorting$",	//736
    "setSourceModel",	//737
    "setStartDir",	//738
    "setStartDir#",	//739
    "setUrl",	//740
    "setUrl#",	//741
    "setUrl#$",	//742
    "setUrlEditable",	//743
    "setUrlEditable$",	//744
    "setView",	//745
    "setView#",	//746
    "setView$",	//747
    "setViewConfig",	//748
    "setViewConfig#",	//749
    "setVisible",	//750
    "setupActions",	//751
    "setupDone",	//752
    "setupDone#$",	//753
    "setupMenu",	//754
    "setupMenu$",	//755
    "setupNeeded",	//756
    "setupNeeded#",	//757
    "showEvent",	//758
    "showEvent#",	//759
    "showFullPath",	//760
    "showHiddenFiles",	//761
    "showPopup",	//762
    "showsAllTypes",	//763
    "sizeHint",	//764
    "sizeHintForColumn",	//765
    "sizeHintForRow",	//766
    "slotButtonClicked",	//767
    "slotCancel",	//768
    "slotCompletionMatch",	//769
    "slotCompletionMatch$",	//770
    "slotOk",	//771
    "sort",	//772
    "sortByDate",	//773
    "sortByName",	//774
    "sortBySize",	//775
    "sortByType",	//776
    "sortFoldersFirst",	//777
    "sortReversed",	//778
    "sorting",	//779
    "span",	//780
    "startDir",	//781
    "startDrag",	//782
    "staticMetaObject",	//783
    "styleChange",	//784
    "subSortLessThan",	//785
    "subSortLessThan##",	//786
    "submit",	//787
    "supportedDropActions",	//788
    "tabRequested",	//789
    "tabRequested#",	//790
    "tabletEvent",	//791
    "teardownActionForIndex",	//792
    "teardownActionForIndex#",	//793
    "text",	//794
    "text#",	//795
    "timerEvent",	//796
    "toggleDirsFirst",	//797
    "toggleIgnoreCase",	//798
    "toolBar",	//799
    "tr",	//800
    "tr$",	//801
    "tr$$",	//802
    "tr$$$",	//803
    "trUtf8",	//804
    "trUtf8$",	//805
    "trUtf8$$",	//806
    "trUtf8$$$",	//807
    "trash",	//808
    "trash##",	//809
    "trash##$",	//810
    "trash##$$",	//811
    "trashSelected",	//812
    "uncommittedUrl",	//813
    "updateDir",	//814
    "updateEditorData",	//815
    "updateEditorGeometries",	//816
    "updateGeometries",	//817
    "updateIcons",	//818
    "updateInformation",	//819
    "updateInformation$$",	//820
    "updatePreviews",	//821
    "updateSelectionDependentActions",	//822
    "updateSortActions",	//823
    "updateViewActions",	//824
    "url",	//825
    "url#",	//826
    "url$",	//827
    "urlAboutToBeChanged",	//828
    "urlAboutToBeChanged#",	//829
    "urlChanged",	//830
    "urlChanged#",	//831
    "urlEntered",	//832
    "urlEntered#",	//833
    "urlsDropped",	//834
    "urlsDropped##",	//835
    "urlsDropped###",	//836
    "urlsDropped?#",	//837
    "verticalOffset",	//838
    "verticalScrollbarAction",	//839
    "verticalScrollbarValueChanged",	//840
    "view",	//841
    "viewChanged",	//842
    "viewChanged#",	//843
    "viewConfigGroup",	//844
    "viewOptions",	//845
    "viewportEvent",	//846
    "virtual_hook",	//847
    "virtual_hook$$",	//848
    "visualRect",	//849
    "visualRegionForSelection",	//850
    "wheelEvent",	//851
    "wheelEvent#",	//852
    "windowActivationChange",	//853
    "writeConfig",	//854
    "writeConfig#",	//855
    "x11Event",	//856
    "~KAbstractFileWidget",	//857
    "~KDirOperator",	//858
    "~KDirSelectDialog",	//859
    "~KDirSortFilterProxyModel",	//860
    "~KFile",	//861
    "~KFileFilterCombo",	//862
    "~KFilePlacesModel",	//863
    "~KFilePlacesView",	//864
    "~KFilePreviewGenerator",	//865
    "~KFileTreeView",	//866
    "~KFileWidget",	//867
    "~KUrlNavigator",	//868
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {2, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 1},	//1 KAbstractFileWidget::selectedUrl() const [pure virtual]
    {2, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 69, 2},	//2 KAbstractFileWidget::selectedUrls() const [pure virtual]
    {2, 236, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 64, 3},	//3 KAbstractFileWidget::baseUrl() const [pure virtual]
    {2, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 4},	//4 KAbstractFileWidget::selectedFile() const [pure virtual]
    {2, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 245, 5},	//5 KAbstractFileWidget::selectedFiles() const [pure virtual]
    {2, 740, 1, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 6},	//6 KAbstractFileWidget::setUrl(const KUrl&, bool) [pure virtual]
    {2, 724, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 7},	//7 KAbstractFileWidget::setSelection(const QString&) [pure virtual]
    {2, 710, 6, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 8},	//8 KAbstractFileWidget::setOperationMode(KAbstractFileWidget::OperationMode) [pure virtual]
    {2, 493, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 3, 9},	//9 KAbstractFileWidget::operationMode() const [pure virtual]
    {2, 690, 8, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 10},	//10 KAbstractFileWidget::setKeepLocation(bool) [pure virtual]
    {2, 445, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 376, 11},	//11 KAbstractFileWidget::keepsLocation() const [pure virtual]
    {2, 675, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 12},	//12 KAbstractFileWidget::setFilter(const QString&) [pure virtual]
    {2, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 13},	//13 KAbstractFileWidget::currentFilter() const [pure virtual]
    {2, 274, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 58, 14},	//14 KAbstractFileWidget::currentFilterMimeType() [pure virtual]
    {2, 697, 10, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 15},	//15 KAbstractFileWidget::setMimeFilter(const QStringList&, const QString&) [pure virtual]
    {2, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 240, 16},	//16 KAbstractFileWidget::currentMimeFilter() const [pure virtual]
    {2, 249, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 17},	//17 KAbstractFileWidget::clearFilter() [pure virtual]
    {2, 719, 13, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 18},	//18 KAbstractFileWidget::setPreviewWidget(KPreviewWidgetBase*) [pure virtual]
    {2, 700, 15, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 19},	//19 KAbstractFileWidget::setMode(QFlags<KFile::Mode>) [pure virtual]
    {2, 479, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 122, 20},	//20 KAbstractFileWidget::mode() const [pure virtual]
    {2, 693, 4, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 21},	//21 KAbstractFileWidget::setLocationLabel(const QString&) [pure virtual]
    {2, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 63, 22},	//22 KAbstractFileWidget::toolBar() const [pure virtual]
    {2, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 23},	//23 KAbstractFileWidget::okButton() const [pure virtual]
    {2, 242, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 56, 24},	//24 KAbstractFileWidget::cancelButton() const [pure virtual]
    {2, 455, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 71, 25},	//25 KAbstractFileWidget::locationEdit() const [pure virtual]
    {2, 351, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 27, 26},	//26 KAbstractFileWidget::filterWidget() const [pure virtual]
    {2, 224, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 6, 27},	//27 KAbstractFileWidget::actionCollection() const [pure virtual]
    {2, 655, 17, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 28},	//28 KAbstractFileWidget::setCustomWidget(QWidget*) [pure virtual]
    {2, 655, 19, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 29},	//29 KAbstractFileWidget::setCustomWidget(const QString&, QWidget*) [pure virtual]
    {2, 771, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 30},	//30 KAbstractFileWidget::slotOk() [pure virtual]
    {2, 222, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 31},	//31 KAbstractFileWidget::accept() [pure virtual]
    {2, 768, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 32},	//32 KAbstractFileWidget::slotCancel() [pure virtual]
    {2, 847, 22, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 33},	//33 KAbstractFileWidget::virtual_hook(int, void*) [pure virtual]
    {2, 640, 8, 1, 0, 0, 34},	//34 KAbstractFileWidget::setConfirmOverwrite(bool)
    {2, 685, 8, 1, 0, 0, 35},	//35 KAbstractFileWidget::setInlinePreviewShown(bool)
    {2, 67, 0, 0, Smoke::mf_ctor, 2, 36},	//36 KAbstractFileWidget::KAbstractFileWidget()
    {2, 67, 25, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 37},	//37 KAbstractFileWidget::KAbstractFileWidget(const KAbstractFileWidget&)
    {2, 740, 27, 1, 0, 0, 38},	//38 KAbstractFileWidget::setUrl(const KUrl&)
    {2, 697, 29, 1, 0, 0, 39},	//39 KAbstractFileWidget::setMimeFilter(const QStringList&)
    {2, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 40},	//40 KAbstractFileWidget::Other (enum)
    {2, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 41},	//41 KAbstractFileWidget::Opening (enum)
    {2, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 3, 42},	//42 KAbstractFileWidget::Saving (enum)
    {2, 857, 0, 0, Smoke::mf_dtor, 0, 43 },	//43 KAbstractFileWidget::~KAbstractFileWidget()
    {6, 772, 31, 2, Smoke::mf_virtual, 0, 0},	//44 KCategorizedSortFilterProxyModel::sort(int, Qt::SortOrder)
    {6, 453, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//45 KCategorizedSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {6, 259, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//46 KCategorizedSortFilterProxyModel::compareCategories(const QModelIndex&, const QModelIndex&) const
    {8, 632, 8, 1, Smoke::mf_property|Smoke::mf_virtual, 0, 0},	//47 KComboBox::setAutoCompletion(bool)
    {8, 642, 8, 1, Smoke::mf_virtual, 0, 0},	//48 KComboBox::setContextMenuEnabled(bool)
    {8, 692, 37, 1, Smoke::mf_virtual, 0, 0},	//49 KComboBox::setLineEdit(QLineEdit*)
    {8, 637, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//50 KComboBox::setCompletedText(const QString&)
    {8, 636, 39, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//51 KComboBox::setCompletedItems(const QStringList&, bool)
    {8, 460, 4, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//52 KComboBox::makeCompletion(const QString&)
    {8, 637, 42, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//53 KComboBox::setCompletedText(const QString&, bool)
    {8, 268, 45, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//54 KComboBox::create(unsigned long, bool, bool)
    {8, 851, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//55 KComboBox::wheelEvent(QWheelEvent*)
    {8, 475, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 235, 0},	//56 KComboBox::minimumSizeHint() const
    {10, 639, 51, 2, Smoke::mf_virtual, 0, 0},	//57 KCompletionBase::setCompletionObject(KCompletion*, bool)
    {10, 678, 8, 1, Smoke::mf_virtual, 0, 0},	//58 KCompletionBase::setHandleSignals(bool)
    {10, 638, 54, 1, Smoke::mf_virtual, 0, 0},	//59 KCompletionBase::setCompletionMode(KGlobalSettings::Completion)
    {10, 847, 22, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//60 KCompletionBase::virtual_hook(int, void*)
    {13, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//61 KDialog::sizeHint() const
    {13, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//62 KDialog::minimumSizeHint() const
    {13, 635, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//63 KDialog::setCaption(const QString&)
    {13, 635, 42, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//64 KDialog::setCaption(const QString&, bool)
    {13, 716, 4, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//65 KDialog::setPlainCaption(const QString&)
    {13, 253, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//66 KDialog::closeEvent(QCloseEvent*)
    {13, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//67 KDialog::keyPressEvent(QKeyEvent*)
    {13, 767, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//68 KDialog::slotButtonClicked(int)
    {13, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 9},	//69 KDialog::None (enum)
    {13, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 10},	//70 KDialog::Help (enum)
    {13, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 11},	//71 KDialog::Default (enum)
    {13, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 12},	//72 KDialog::Ok (enum)
    {13, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 13},	//73 KDialog::Apply (enum)
    {13, 213, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 14},	//74 KDialog::Try (enum)
    {13, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 15},	//75 KDialog::Cancel (enum)
    {13, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 16},	//76 KDialog::Close (enum)
    {13, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 17},	//77 KDialog::No (enum)
    {13, 221, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 18},	//78 KDialog::Yes (enum)
    {13, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 19},	//79 KDialog::Reset (enum)
    {13, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 20},	//80 KDialog::Details (enum)
    {13, 215, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 21},	//81 KDialog::User1 (enum)
    {13, 216, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 22},	//82 KDialog::User2 (enum)
    {13, 217, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 23},	//83 KDialog::User3 (enum)
    {13, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 15, 24},	//84 KDialog::NoDefault (enum)
    {13, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 25},	//85 KDialog::NoCaptionFlags (enum)
    {13, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 26},	//86 KDialog::AppNameCaption (enum)
    {13, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 27},	//87 KDialog::ModifiedCaption (enum)
    {13, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 16, 28},	//88 KDialog::HIGCompliantCaption (enum)
    {15, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//89 KDirOperator::metaObject() const
    {15, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//90 KDirOperator::qt_metacast(const char*)
    {15, 800, 64, 2, Smoke::mf_static, 240, 3},	//91 KDirOperator::tr(const char*, const char*)
    {15, 804, 64, 2, Smoke::mf_static, 240, 4},	//92 KDirOperator::trUtf8(const char*, const char*)
    {15, 800, 67, 3, Smoke::mf_static, 240, 5},	//93 KDirOperator::tr(const char*, const char*, int)
    {15, 804, 67, 3, Smoke::mf_static, 240, 6},	//94 KDirOperator::trUtf8(const char*, const char*, int)
    {15, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//95 KDirOperator::qt_metacall(QMetaObject::Call, int, void**)
    {15, 69, 75, 2, Smoke::mf_ctor, 19, 8},	//96 KDirOperator::KDirOperator(const KUrl&, QWidget*)
    {15, 731, 8, 1, Smoke::mf_virtual, 0, 9},	//97 KDirOperator::setShowHiddenFiles(bool)
    {15, 761, 0, 0, Smoke::mf_const, 376, 10},	//98 KDirOperator::showHiddenFiles() const
    {15, 251, 0, 0, 0, 0, 11},	//99 KDirOperator::close()
    {15, 704, 4, 1, 0, 0, 12},	//100 KDirOperator::setNameFilter(const QString&)
    {15, 487, 0, 0, Smoke::mf_const, 240, 13},	//101 KDirOperator::nameFilter() const
    {15, 697, 29, 1, 0, 0, 14},	//102 KDirOperator::setMimeFilter(const QStringList&)
    {15, 473, 0, 0, Smoke::mf_const, 245, 15},	//103 KDirOperator::mimeFilter() const
    {15, 706, 29, 1, 0, 0, 16},	//104 KDirOperator::setNewFileMenuSupportedMimeTypes(const QStringList&)
    {15, 488, 0, 0, Smoke::mf_const, 245, 17},	//105 KDirOperator::newFileMenuSupportedMimeTypes() const
    {15, 249, 0, 0, 0, 0, 18},	//106 KDirOperator::clearFilter()
    {15, 825, 0, 0, Smoke::mf_const, 64, 19},	//107 KDirOperator::url() const
    {15, 740, 1, 2, Smoke::mf_virtual, 0, 20},	//108 KDirOperator::setUrl(const KUrl&, bool)
    {15, 645, 4, 1, 0, 0, 21},	//109 KDirOperator::setCurrentItem(const QString&)
    {15, 645, 78, 1, 0, 0, 22},	//110 KDirOperator::setCurrentItem(const KFileItem&)
    {15, 648, 29, 1, 0, 0, 23},	//111 KDirOperator::setCurrentItems(const QStringList&)
    {15, 648, 80, 1, 0, 0, 24},	//112 KDirOperator::setCurrentItems(const KFileItemList&)
    {15, 745, 82, 1, Smoke::mf_virtual, 0, 25},	//113 KDirOperator::setView(QAbstractItemView*)
    {15, 841, 0, 0, Smoke::mf_const, 76, 26},	//114 KDirOperator::view() const
    {15, 745, 84, 1, Smoke::mf_virtual, 0, 27},	//115 KDirOperator::setView(KFile::FileView)
    {15, 735, 86, 1, 0, 0, 28},	//116 KDirOperator::setSorting(QFlags<QDir::SortFlag>)
    {15, 779, 0, 0, Smoke::mf_const, 139, 29},	//117 KDirOperator::sorting() const
    {15, 421, 0, 0, Smoke::mf_const, 376, 30},	//118 KDirOperator::isRoot() const
    {15, 300, 0, 0, Smoke::mf_const, 17, 31},	//119 KDirOperator::dirLister() const
    {15, 568, 0, 0, Smoke::mf_const, 226, 32},	//120 KDirOperator::progressBar() const
    {15, 700, 15, 1, Smoke::mf_virtual, 0, 33},	//121 KDirOperator::setMode(QFlags<KFile::Mode>)
    {15, 479, 0, 0, Smoke::mf_const, 122, 34},	//122 KDirOperator::mode() const
    {15, 719, 13, 1, Smoke::mf_virtual, 0, 35},	//123 KDirOperator::setPreviewWidget(KPreviewWidgetBase*)
    {15, 623, 0, 0, Smoke::mf_const, 30, 36},	//124 KDirOperator::selectedItems() const
    {15, 423, 78, 1, Smoke::mf_const, 376, 37},	//125 KDirOperator::isSelected(const KFileItem&) const
    {15, 489, 0, 0, Smoke::mf_const, 465, 38},	//126 KDirOperator::numDirs() const
    {15, 490, 0, 0, Smoke::mf_const, 465, 39},	//127 KDirOperator::numFiles() const
    {15, 262, 0, 0, Smoke::mf_const, 9, 40},	//128 KDirOperator::completionObject() const
    {15, 298, 0, 0, Smoke::mf_const, 9, 41},	//129 KDirOperator::dirCompletionObject() const
    {15, 224, 0, 0, Smoke::mf_const, 6, 42},	//130 KDirOperator::actionCollection() const
    {15, 748, 88, 1, Smoke::mf_virtual, 0, 43},	//131 KDirOperator::setViewConfig(KConfigGroup&)
    {15, 844, 0, 0, Smoke::mf_const, 14, 44},	//132 KDirOperator::viewConfigGroup() const
    {15, 573, 90, 1, Smoke::mf_virtual, 0, 45},	//133 KDirOperator::readConfig(const KConfigGroup&)
    {15, 854, 88, 1, Smoke::mf_virtual, 0, 46},	//134 KDirOperator::writeConfig(KConfigGroup&)
    {15, 708, 8, 1, 0, 0, 47},	//135 KDirOperator::setOnlyDoubleClickSelectsFiles(bool)
    {15, 492, 0, 0, Smoke::mf_const, 376, 48},	//136 KDirOperator::onlyDoubleClickSelectsFiles() const
    {15, 476, 42, 2, Smoke::mf_virtual, 376, 49},	//137 KDirOperator::mkdir(const QString&, bool)
    {15, 287, 92, 4, Smoke::mf_virtual, 45, 50},	//138 KDirOperator::del(const KFileItemList&, QWidget*, bool, bool)
    {15, 250, 0, 0, 0, 0, 51},	//139 KDirOperator::clearHistory()
    {15, 671, 8, 1, Smoke::mf_virtual, 0, 52},	//140 KDirOperator::setEnableDirHighlighting(bool)
    {15, 299, 0, 0, Smoke::mf_const, 376, 53},	//141 KDirOperator::dirHighlighting() const
    {15, 301, 0, 0, Smoke::mf_const, 376, 54},	//142 KDirOperator::dirOnlyMode() const
    {15, 301, 97, 1, Smoke::mf_static, 376, 55},	//143 KDirOperator::dirOnlyMode(unsigned int)
    {15, 754, 60, 1, 0, 0, 56},	//144 KDirOperator::setupMenu(int)
    {15, 628, 8, 1, Smoke::mf_virtual, 0, 57},	//145 KDirOperator::setAcceptDrops(bool)
    {15, 669, 60, 1, Smoke::mf_virtual, 0, 58},	//146 KDirOperator::setDropOptions(int)
    {15, 808, 92, 4, Smoke::mf_virtual, 44, 59},	//147 KDirOperator::trash(const KFileItemList&, QWidget*, bool, bool)
    {15, 567, 0, 0, Smoke::mf_const, 35, 60},	//148 KDirOperator::previewGenerator() const
    {15, 685, 8, 1, 0, 0, 61},	//149 KDirOperator::setInlinePreviewShown(bool)
    {15, 285, 0, 0, Smoke::mf_const, 257, 62},	//150 KDirOperator::decorationPosition() const
    {15, 659, 99, 1, 0, 0, 63},	//151 KDirOperator::setDecorationPosition(QStyleOptionViewItem::Position)
    {15, 413, 0, 0, Smoke::mf_const, 376, 64},	//152 KDirOperator::isInlinePreviewShown() const
    {15, 390, 0, 0, Smoke::mf_const, 465, 65},	//153 KDirOperator::iconsZoom() const
    {15, 687, 8, 1, 0, 0, 66},	//154 KDirOperator::setIsSaving(bool)
    {15, 422, 0, 0, Smoke::mf_const, 376, 67},	//155 KDirOperator::isSaving() const
    {15, 269, 101, 2, Smoke::mf_protected|Smoke::mf_virtual, 76, 68},	//156 KDirOperator::createView(QWidget*, KFile::FileView)
    {15, 663, 104, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 69},	//157 KDirOperator::setDirLister(KDirLister*)
    {15, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 70},	//158 KDirOperator::resizeEvent(QResizeEvent*)
    {15, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 71},	//159 KDirOperator::keyPressEvent(QKeyEvent*)
    {15, 751, 0, 0, Smoke::mf_protected, 0, 72},	//160 KDirOperator::setupActions()
    {15, 823, 0, 0, Smoke::mf_protected, 0, 73},	//161 KDirOperator::updateSortActions()
    {15, 824, 0, 0, Smoke::mf_protected, 0, 74},	//162 KDirOperator::updateViewActions()
    {15, 754, 0, 0, Smoke::mf_protected, 0, 75},	//163 KDirOperator::setupMenu()
    {15, 566, 0, 0, Smoke::mf_protected, 0, 76},	//164 KDirOperator::prepareCompletionObjects()
    {15, 247, 0, 0, Smoke::mf_protected, 376, 77},	//165 KDirOperator::checkPreviewSupport()
    {15, 228, 108, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 78},	//166 KDirOperator::activatedMenu(const KFileItem&, const QPoint&)
    {15, 245, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 79},	//167 KDirOperator::changeEvent(QEvent*)
    {15, 338, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 80},	//168 KDirOperator::eventFilter(QObject*, QEvent*)
    {15, 235, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 81},	//169 KDirOperator::back()
    {15, 360, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 82},	//170 KDirOperator::forward()
    {15, 383, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 83},	//171 KDirOperator::home()
    {15, 244, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 84},	//172 KDirOperator::cdUp()
    {15, 814, 0, 0, Smoke::mf_slot, 0, 85},	//173 KDirOperator::updateDir()
    {15, 587, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 86},	//174 KDirOperator::rereadDir()
    {15, 476, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 87},	//175 KDirOperator::mkdir()
    {15, 292, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 88},	//176 KDirOperator::deleteSelected()
    {15, 822, 0, 0, Smoke::mf_slot, 0, 89},	//177 KDirOperator::updateSelectionDependentActions()
    {15, 460, 4, 1, Smoke::mf_slot, 240, 90},	//178 KDirOperator::makeCompletion(const QString&)
    {15, 462, 4, 1, Smoke::mf_slot, 240, 91},	//179 KDirOperator::makeDirCompletion(const QString&)
    {15, 812, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 92},	//180 KDirOperator::trashSelected()
    {15, 683, 60, 1, Smoke::mf_slot, 0, 93},	//181 KDirOperator::setIconsZoom(int)
    {15, 589, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 94},	//182 KDirOperator::resetCursor()
    {15, 563, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 95},	//183 KDirOperator::pathChanged()
    {15, 611, 78, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 96},	//184 KDirOperator::selectDir(const KFileItem&)
    {15, 618, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 97},	//185 KDirOperator::selectFile(const KFileItem&)
    {15, 376, 78, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 98},	//186 KDirOperator::highlightFile(const KFileItem&)
    {15, 774, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 99},	//187 KDirOperator::sortByName()
    {15, 775, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 100},	//188 KDirOperator::sortBySize()
    {15, 773, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 101},	//189 KDirOperator::sortByDate()
    {15, 776, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 102},	//190 KDirOperator::sortByType()
    {15, 778, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 103},	//191 KDirOperator::sortReversed()
    {15, 797, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 104},	//192 KDirOperator::toggleDirsFirst()
    {15, 798, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 105},	//193 KDirOperator::toggleIgnoreCase()
    {15, 769, 4, 1, Smoke::mf_protected|Smoke::mf_slot, 0, 106},	//194 KDirOperator::slotCompletionMatch(const QString&)
    {15, 832, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 107},	//195 KDirOperator::urlEntered(const KUrl&)
    {15, 819, 116, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 108},	//196 KDirOperator::updateInformation(int, int)
    {15, 260, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 109},	//197 KDirOperator::completion(const QString&)
    {15, 353, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 110},	//198 KDirOperator::finishedLoading()
    {15, 842, 82, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 111},	//199 KDirOperator::viewChanged(QAbstractItemView*)
    {15, 341, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 112},	//200 KDirOperator::fileHighlighted(const KFileItem&)
    {15, 296, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 113},	//201 KDirOperator::dirActivated(const KFileItem&)
    {15, 344, 78, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 114},	//202 KDirOperator::fileSelected(const KFileItem&)
    {15, 319, 119, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 115},	//203 KDirOperator::dropped(const KFileItem&, QDropEvent*, const KUrl::List&)
    {15, 264, 123, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 116},	//204 KDirOperator::contextMenuAboutToShow(const KFileItem&, QMenu*)
    {15, 275, 60, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 117},	//205 KDirOperator::currentIconSizeChanged(int)
    {15, 800, 62, 1, Smoke::mf_static, 240, 118},	//206 KDirOperator::tr(const char*)
    {15, 804, 62, 1, Smoke::mf_static, 240, 119},	//207 KDirOperator::trUtf8(const char*)
    {15, 69, 0, 0, Smoke::mf_ctor, 19, 120},	//208 KDirOperator::KDirOperator()
    {15, 69, 27, 1, Smoke::mf_ctor, 19, 121},	//209 KDirOperator::KDirOperator(const KUrl&)
    {15, 476, 4, 1, 0, 376, 122},	//210 KDirOperator::mkdir(const QString&)
    {15, 287, 80, 1, 0, 45, 123},	//211 KDirOperator::del(const KFileItemList&)
    {15, 287, 126, 2, 0, 45, 124},	//212 KDirOperator::del(const KFileItemList&, QWidget*)
    {15, 287, 129, 3, 0, 45, 125},	//213 KDirOperator::del(const KFileItemList&, QWidget*, bool)
    {15, 808, 126, 2, 0, 44, 126},	//214 KDirOperator::trash(const KFileItemList&, QWidget*)
    {15, 808, 129, 3, 0, 44, 127},	//215 KDirOperator::trash(const KFileItemList&, QWidget*, bool)
    {15, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 128},	//216 KDirOperator::staticMetaObject() const
    {15, 205, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 129},	//217 KDirOperator::SortActions (enum)
    {15, 219, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 130},	//218 KDirOperator::ViewActions (enum)
    {15, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 131},	//219 KDirOperator::NavActions (enum)
    {15, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 132},	//220 KDirOperator::FileActions (enum)
    {15, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 20, 133},	//221 KDirOperator::AllActions (enum)
    {15, 858, 0, 0, Smoke::mf_dtor, 0, 134 },	//222 KDirOperator::~KDirOperator()
    {16, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//223 KDirSelectDialog::metaObject() const
    {16, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//224 KDirSelectDialog::qt_metacast(const char*)
    {16, 800, 64, 2, Smoke::mf_static, 240, 3},	//225 KDirSelectDialog::tr(const char*, const char*)
    {16, 804, 64, 2, Smoke::mf_static, 240, 4},	//226 KDirSelectDialog::trUtf8(const char*, const char*)
    {16, 800, 67, 3, Smoke::mf_static, 240, 5},	//227 KDirSelectDialog::tr(const char*, const char*, int)
    {16, 804, 67, 3, Smoke::mf_static, 240, 6},	//228 KDirSelectDialog::trUtf8(const char*, const char*, int)
    {16, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//229 KDirSelectDialog::qt_metacall(QMetaObject::Call, int, void**)
    {16, 72, 133, 3, Smoke::mf_ctor, 21, 8},	//230 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool, QWidget*)
    {16, 825, 0, 0, Smoke::mf_const, 64, 9},	//231 KDirSelectDialog::url() const
    {16, 841, 0, 0, Smoke::mf_const, 76, 10},	//232 KDirSelectDialog::view() const
    {16, 454, 0, 0, Smoke::mf_const, 376, 11},	//233 KDirSelectDialog::localOnly() const
    {16, 613, 137, 4, Smoke::mf_static, 64, 12},	//234 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*, const QString&)
    {16, 781, 0, 0, Smoke::mf_const, 64, 13},	//235 KDirSelectDialog::startDir() const
    {16, 651, 27, 1, Smoke::mf_slot, 0, 14},	//236 KDirSelectDialog::setCurrentUrl(const KUrl&)
    {16, 222, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 15},	//237 KDirSelectDialog::accept()
    {16, 373, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 16},	//238 KDirSelectDialog::hideEvent(QHideEvent*)
    {16, 800, 62, 1, Smoke::mf_static, 240, 17},	//239 KDirSelectDialog::tr(const char*)
    {16, 804, 62, 1, Smoke::mf_static, 240, 18},	//240 KDirSelectDialog::trUtf8(const char*)
    {16, 72, 0, 0, Smoke::mf_ctor, 21, 19},	//241 KDirSelectDialog::KDirSelectDialog()
    {16, 72, 27, 1, Smoke::mf_ctor, 21, 20},	//242 KDirSelectDialog::KDirSelectDialog(const KUrl&)
    {16, 72, 1, 2, Smoke::mf_ctor, 21, 21},	//243 KDirSelectDialog::KDirSelectDialog(const KUrl&, bool)
    {16, 613, 0, 0, Smoke::mf_static, 64, 22},	//244 KDirSelectDialog::selectDirectory()
    {16, 613, 27, 1, Smoke::mf_static, 64, 23},	//245 KDirSelectDialog::selectDirectory(const KUrl&)
    {16, 613, 1, 2, Smoke::mf_static, 64, 24},	//246 KDirSelectDialog::selectDirectory(const KUrl&, bool)
    {16, 613, 133, 3, Smoke::mf_static, 64, 25},	//247 KDirSelectDialog::selectDirectory(const KUrl&, bool, QWidget*)
    {16, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 26},	//248 KDirSelectDialog::staticMetaObject() const
    {16, 859, 0, 0, Smoke::mf_dtor, 0, 27 },	//249 KDirSelectDialog::~KDirSelectDialog()
    {17, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//250 KDirSortFilterProxyModel::metaObject() const
    {17, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//251 KDirSortFilterProxyModel::qt_metacast(const char*)
    {17, 800, 64, 2, Smoke::mf_static, 240, 3},	//252 KDirSortFilterProxyModel::tr(const char*, const char*)
    {17, 804, 64, 2, Smoke::mf_static, 240, 4},	//253 KDirSortFilterProxyModel::trUtf8(const char*, const char*)
    {17, 800, 67, 3, Smoke::mf_static, 240, 5},	//254 KDirSortFilterProxyModel::tr(const char*, const char*, int)
    {17, 804, 67, 3, Smoke::mf_static, 240, 6},	//255 KDirSortFilterProxyModel::trUtf8(const char*, const char*, int)
    {17, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//256 KDirSortFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {17, 76, 144, 1, Smoke::mf_ctor, 22, 8},	//257 KDirSortFilterProxyModel::KDirSortFilterProxyModel(QObject*)
    {17, 368, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 9},	//258 KDirSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {17, 240, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 10},	//259 KDirSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {17, 564, 148, 1, Smoke::mf_static, 465, 11},	//260 KDirSortFilterProxyModel::pointsForPermissions(const QFileInfo&)
    {17, 733, 8, 1, 0, 0, 12},	//261 KDirSortFilterProxyModel::setSortFoldersFirst(bool)
    {17, 777, 0, 0, Smoke::mf_const, 376, 13},	//262 KDirSortFilterProxyModel::sortFoldersFirst() const
    {17, 785, 34, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 14},	//263 KDirSortFilterProxyModel::subSortLessThan(const QModelIndex&, const QModelIndex&) const
    {17, 800, 62, 1, Smoke::mf_static, 240, 15},	//264 KDirSortFilterProxyModel::tr(const char*)
    {17, 804, 62, 1, Smoke::mf_static, 240, 16},	//265 KDirSortFilterProxyModel::trUtf8(const char*)
    {17, 76, 0, 0, Smoke::mf_ctor, 22, 17},	//266 KDirSortFilterProxyModel::KDirSortFilterProxyModel()
    {17, 368, 0, 0, Smoke::mf_const, 376, 18},	//267 KDirSortFilterProxyModel::hasChildren() const
    {17, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 19},	//268 KDirSortFilterProxyModel::staticMetaObject() const
    {17, 860, 0, 0, Smoke::mf_dtor, 0, 20 },	//269 KDirSortFilterProxyModel::~KDirSortFilterProxyModel()
    {18, 431, 150, 1, Smoke::mf_static, 376, 1},	//270 KFile::isSortByName(const QFlags<QDir::SortFlag>&)
    {18, 433, 150, 1, Smoke::mf_static, 376, 2},	//271 KFile::isSortBySize(const QFlags<QDir::SortFlag>&)
    {18, 429, 150, 1, Smoke::mf_static, 376, 3},	//272 KFile::isSortByDate(const QFlags<QDir::SortFlag>&)
    {18, 435, 150, 1, Smoke::mf_static, 376, 4},	//273 KFile::isSortByType(const QFlags<QDir::SortFlag>&)
    {18, 439, 150, 1, Smoke::mf_static, 376, 5},	//274 KFile::isSortDirsFirst(const QFlags<QDir::SortFlag>&)
    {18, 437, 150, 1, Smoke::mf_static, 376, 6},	//275 KFile::isSortCaseInsensitive(const QFlags<QDir::SortFlag>&)
    {18, 401, 152, 1, Smoke::mf_static, 376, 7},	//276 KFile::isDefaultView(const KFile::FileView&)
    {18, 427, 152, 1, Smoke::mf_static, 376, 8},	//277 KFile::isSimpleView(const KFile::FileView&)
    {18, 405, 152, 1, Smoke::mf_static, 376, 9},	//278 KFile::isDetailView(const KFile::FileView&)
    {18, 425, 152, 1, Smoke::mf_static, 376, 10},	//279 KFile::isSeparateDirs(const KFile::FileView&)
    {18, 416, 152, 1, Smoke::mf_static, 376, 11},	//280 KFile::isPreviewContents(const KFile::FileView&)
    {18, 418, 152, 1, Smoke::mf_static, 376, 12},	//281 KFile::isPreviewInfo(const KFile::FileView&)
    {18, 441, 152, 1, Smoke::mf_static, 376, 13},	//282 KFile::isTreeView(const KFile::FileView&)
    {18, 403, 152, 1, Smoke::mf_static, 376, 14},	//283 KFile::isDetailTreeView(const KFile::FileView&)
    {18, 78, 154, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 15},	//284 KFile::KFile(const KFile&)
    {18, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 16},	//285 KFile::staticMetaObject() const
    {18, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 17},	//286 KFile::File (enum)
    {18, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 18},	//287 KFile::Directory (enum)
    {18, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 19},	//288 KFile::Files (enum)
    {18, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 20},	//289 KFile::ExistingOnly (enum)
    {18, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 21},	//290 KFile::LocalOnly (enum)
    {18, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 25, 22},	//291 KFile::ModeMax (enum)
    {18, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 23},	//292 KFile::Default (enum)
    {18, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 24},	//293 KFile::Simple (enum)
    {18, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 25},	//294 KFile::Detail (enum)
    {18, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 26},	//295 KFile::SeparateDirs (enum)
    {18, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 27},	//296 KFile::PreviewContents (enum)
    {18, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 28},	//297 KFile::PreviewInfo (enum)
    {18, 212, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 29},	//298 KFile::Tree (enum)
    {18, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 30},	//299 KFile::DetailTree (enum)
    {18, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 24, 31},	//300 KFile::FileViewMax (enum)
    {18, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 32},	//301 KFile::Single (enum)
    {18, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 33},	//302 KFile::Multi (enum)
    {18, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 34},	//303 KFile::Extended (enum)
    {18, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 26, 35},	//304 KFile::NoSelection (enum)
    {18, 861, 0, 0, Smoke::mf_dtor, 0, 36 },	//305 KFile::~KFile()
    {19, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//306 KFileFilterCombo::metaObject() const
    {19, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//307 KFileFilterCombo::qt_metacast(const char*)
    {19, 800, 64, 2, Smoke::mf_static, 240, 3},	//308 KFileFilterCombo::tr(const char*, const char*)
    {19, 804, 64, 2, Smoke::mf_static, 240, 4},	//309 KFileFilterCombo::trUtf8(const char*, const char*)
    {19, 800, 67, 3, Smoke::mf_static, 240, 5},	//310 KFileFilterCombo::tr(const char*, const char*, int)
    {19, 804, 67, 3, Smoke::mf_static, 240, 6},	//311 KFileFilterCombo::trUtf8(const char*, const char*, int)
    {19, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//312 KFileFilterCombo::qt_metacall(QMetaObject::Call, int, void**)
    {19, 80, 17, 1, Smoke::mf_ctor, 27, 8},	//313 KFileFilterCombo::KFileFilterCombo(QWidget*)
    {19, 675, 4, 1, 0, 0, 9},	//314 KFileFilterCombo::setFilter(const QString&)
    {19, 273, 0, 0, Smoke::mf_const, 240, 10},	//315 KFileFilterCombo::currentFilter() const
    {19, 643, 4, 1, 0, 0, 11},	//316 KFileFilterCombo::setCurrentFilter(const QString&)
    {19, 697, 10, 2, 0, 0, 12},	//317 KFileFilterCombo::setMimeFilter(const QStringList&, const QString&)
    {19, 763, 0, 0, Smoke::mf_const, 376, 13},	//318 KFileFilterCombo::showsAllTypes() const
    {19, 661, 4, 1, 0, 0, 14},	//319 KFileFilterCombo::setDefaultFilter(const QString&)
    {19, 286, 0, 0, Smoke::mf_const, 240, 15},	//320 KFileFilterCombo::defaultFilter() const
    {19, 352, 0, 0, Smoke::mf_const, 245, 16},	//321 KFileFilterCombo::filters() const
    {19, 414, 0, 0, Smoke::mf_const, 376, 17},	//322 KFileFilterCombo::isMimeFilter() const
    {19, 338, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 18},	//323 KFileFilterCombo::eventFilter(QObject*, QEvent*)
    {19, 349, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//324 KFileFilterCombo::filterChanged()
    {19, 800, 62, 1, Smoke::mf_static, 240, 20},	//325 KFileFilterCombo::tr(const char*)
    {19, 804, 62, 1, Smoke::mf_static, 240, 21},	//326 KFileFilterCombo::trUtf8(const char*)
    {19, 80, 0, 0, Smoke::mf_ctor, 27, 22},	//327 KFileFilterCombo::KFileFilterCombo()
    {19, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 23},	//328 KFileFilterCombo::staticMetaObject() const
    {19, 862, 0, 0, Smoke::mf_dtor, 0, 24 },	//329 KFileFilterCombo::~KFileFilterCombo()
    {22, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//330 KFilePlacesModel::metaObject() const
    {22, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//331 KFilePlacesModel::qt_metacast(const char*)
    {22, 800, 64, 2, Smoke::mf_static, 240, 3},	//332 KFilePlacesModel::tr(const char*, const char*)
    {22, 804, 64, 2, Smoke::mf_static, 240, 4},	//333 KFilePlacesModel::trUtf8(const char*, const char*)
    {22, 800, 67, 3, Smoke::mf_static, 240, 5},	//334 KFilePlacesModel::tr(const char*, const char*, int)
    {22, 804, 67, 3, Smoke::mf_static, 240, 6},	//335 KFilePlacesModel::trUtf8(const char*, const char*, int)
    {22, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//336 KFilePlacesModel::qt_metacall(QMetaObject::Call, int, void**)
    {22, 82, 144, 1, Smoke::mf_ctor, 32, 8},	//337 KFilePlacesModel::KFilePlacesModel(QObject*)
    {22, 825, 146, 1, Smoke::mf_const, 64, 9},	//338 KFilePlacesModel::url(const QModelIndex&) const
    {22, 756, 146, 1, Smoke::mf_const, 376, 10},	//339 KFilePlacesModel::setupNeeded(const QModelIndex&) const
    {22, 388, 146, 1, Smoke::mf_const, 48, 11},	//340 KFilePlacesModel::icon(const QModelIndex&) const
    {22, 794, 146, 1, Smoke::mf_const, 240, 12},	//341 KFilePlacesModel::text(const QModelIndex&) const
    {22, 410, 146, 1, Smoke::mf_const, 376, 13},	//342 KFilePlacesModel::isHidden(const QModelIndex&) const
    {22, 407, 146, 1, Smoke::mf_const, 376, 14},	//343 KFilePlacesModel::isDevice(const QModelIndex&) const
    {22, 294, 146, 1, Smoke::mf_const, 374, 15},	//344 KFilePlacesModel::deviceForIndex(const QModelIndex&) const
    {22, 237, 146, 1, Smoke::mf_const, 7, 16},	//345 KFilePlacesModel::bookmarkForIndex(const QModelIndex&) const
    {22, 792, 146, 1, Smoke::mf_const, 82, 17},	//346 KFilePlacesModel::teardownActionForIndex(const QModelIndex&) const
    {22, 330, 146, 1, Smoke::mf_const, 82, 18},	//347 KFilePlacesModel::ejectActionForIndex(const QModelIndex&) const
    {22, 585, 146, 1, 0, 0, 19},	//348 KFilePlacesModel::requestTeardown(const QModelIndex&)
    {22, 581, 146, 1, 0, 0, 20},	//349 KFilePlacesModel::requestEject(const QModelIndex&)
    {22, 583, 146, 1, 0, 0, 21},	//350 KFilePlacesModel::requestSetup(const QModelIndex&)
    {22, 230, 156, 4, 0, 0, 22},	//351 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&)
    {22, 230, 161, 5, 0, 0, 23},	//352 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&, const QString&, const QModelIndex&)
    {22, 322, 167, 5, 0, 0, 24},	//353 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&, const QString&)
    {22, 577, 146, 1, Smoke::mf_const, 0, 25},	//354 KFilePlacesModel::removePlace(const QModelIndex&) const
    {22, 712, 173, 2, 0, 0, 26},	//355 KFilePlacesModel::setPlaceHidden(const QModelIndex&, bool)
    {22, 372, 0, 0, Smoke::mf_const, 465, 27},	//356 KFilePlacesModel::hiddenCount() const
    {22, 281, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 273, 28},	//357 KFilePlacesModel::data(const QModelIndex&, int) const
    {22, 391, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 205, 29},	//358 KFilePlacesModel::index(int, int, const QModelIndex&) const
    {22, 561, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 30},	//359 KFilePlacesModel::parent(const QModelIndex&) const
    {22, 595, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 31},	//360 KFilePlacesModel::rowCount(const QModelIndex&) const
    {22, 256, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 32},	//361 KFilePlacesModel::columnCount(const QModelIndex&) const
    {22, 254, 27, 1, Smoke::mf_const, 205, 33},	//362 KFilePlacesModel::closestItem(const KUrl&) const
    {22, 788, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 34},	//363 KFilePlacesModel::supportedDropActions() const
    {22, 354, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 35},	//364 KFilePlacesModel::flags(const QModelIndex&) const
    {22, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 36},	//365 KFilePlacesModel::mimeTypes() const
    {22, 471, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 204, 37},	//366 KFilePlacesModel::mimeData(const QList<QModelIndex>&) const
    {22, 317, 185, 5, Smoke::mf_virtual, 376, 38},	//367 KFilePlacesModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {22, 335, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 39},	//368 KFilePlacesModel::errorMessage(const QString&)
    {22, 752, 173, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//369 KFilePlacesModel::setupDone(const QModelIndex&, bool)
    {22, 800, 62, 1, Smoke::mf_static, 240, 41},	//370 KFilePlacesModel::tr(const char*)
    {22, 804, 62, 1, Smoke::mf_static, 240, 42},	//371 KFilePlacesModel::trUtf8(const char*)
    {22, 82, 0, 0, Smoke::mf_ctor, 32, 43},	//372 KFilePlacesModel::KFilePlacesModel()
    {22, 230, 191, 2, 0, 0, 44},	//373 KFilePlacesModel::addPlace(const QString&, const KUrl&)
    {22, 230, 194, 3, 0, 0, 45},	//374 KFilePlacesModel::addPlace(const QString&, const KUrl&, const QString&)
    {22, 322, 198, 3, 0, 0, 46},	//375 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&)
    {22, 322, 202, 4, 0, 0, 47},	//376 KFilePlacesModel::editPlace(const QModelIndex&, const QString&, const KUrl&, const QString&)
    {22, 391, 116, 2, Smoke::mf_const, 205, 48},	//377 KFilePlacesModel::index(int, int) const
    {22, 595, 0, 0, Smoke::mf_const, 465, 49},	//378 KFilePlacesModel::rowCount() const
    {22, 256, 0, 0, Smoke::mf_const, 465, 50},	//379 KFilePlacesModel::columnCount() const
    {22, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 51},	//380 KFilePlacesModel::staticMetaObject() const
    {22, 214, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 52},	//381 KFilePlacesModel::UrlRole (enum)
    {22, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 53},	//382 KFilePlacesModel::HiddenRole (enum)
    {22, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 54},	//383 KFilePlacesModel::SetupNeededRole (enum)
    {22, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 55},	//384 KFilePlacesModel::FixedDeviceRole (enum)
    {22, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 56},	//385 KFilePlacesModel::CapacityBarRecommendedRole (enum)
    {22, 863, 0, 0, Smoke::mf_dtor, 0, 57 },	//386 KFilePlacesModel::~KFilePlacesModel()
    {23, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//387 KFilePlacesView::metaObject() const
    {23, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//388 KFilePlacesView::qt_metacast(const char*)
    {23, 800, 64, 2, Smoke::mf_static, 240, 3},	//389 KFilePlacesView::tr(const char*, const char*)
    {23, 804, 64, 2, Smoke::mf_static, 240, 4},	//390 KFilePlacesView::trUtf8(const char*, const char*)
    {23, 800, 67, 3, Smoke::mf_static, 240, 5},	//391 KFilePlacesView::tr(const char*, const char*, int)
    {23, 804, 67, 3, Smoke::mf_static, 240, 6},	//392 KFilePlacesView::trUtf8(const char*, const char*, int)
    {23, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//393 KFilePlacesView::qt_metacall(QMetaObject::Call, int, void**)
    {23, 84, 17, 1, Smoke::mf_ctor, 34, 8},	//394 KFilePlacesView::KFilePlacesView(QWidget*)
    {23, 667, 8, 1, 0, 0, 9},	//395 KFilePlacesView::setDropOnPlaceEnabled(bool)
    {23, 409, 0, 0, Smoke::mf_const, 376, 10},	//396 KFilePlacesView::isDropOnPlaceEnabled() const
    {23, 633, 8, 1, 0, 0, 11},	//397 KFilePlacesView::setAutoResizeItemsEnabled(bool)
    {23, 400, 0, 0, Smoke::mf_const, 376, 12},	//398 KFilePlacesView::isAutoResizeItemsEnabled() const
    {23, 740, 27, 1, Smoke::mf_slot, 0, 13},	//399 KFilePlacesView::setUrl(const KUrl&)
    {23, 727, 8, 1, Smoke::mf_slot, 0, 14},	//400 KFilePlacesView::setShowAll(bool)
    {23, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_slot, 235, 15},	//401 KFilePlacesView::sizeHint() const
    {23, 702, 207, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 16},	//402 KFilePlacesView::setModel(QAbstractItemModel*)
    {23, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 17},	//403 KFilePlacesView::keyPressEvent(QKeyEvent*)
    {23, 266, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 18},	//404 KFilePlacesView::contextMenuEvent(QContextMenuEvent*)
    {23, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 19},	//405 KFilePlacesView::resizeEvent(QResizeEvent*)
    {23, 758, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 20},	//406 KFilePlacesView::showEvent(QShowEvent*)
    {23, 373, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//407 KFilePlacesView::hideEvent(QHideEvent*)
    {23, 307, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 22},	//408 KFilePlacesView::dragEnterEvent(QDragEnterEvent*)
    {23, 309, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 23},	//409 KFilePlacesView::dragLeaveEvent(QDragLeaveEvent*)
    {23, 311, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 24},	//410 KFilePlacesView::dragMoveEvent(QDragMoveEvent*)
    {23, 315, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 25},	//411 KFilePlacesView::dropEvent(QDropEvent*)
    {23, 558, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 26},	//412 KFilePlacesView::paintEvent(QPaintEvent*)
    {23, 598, 223, 3, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 27},	//413 KFilePlacesView::rowsInserted(const QModelIndex&, int, int)
    {23, 283, 34, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 28},	//414 KFilePlacesView::dataChanged(const QModelIndex&, const QModelIndex&)
    {23, 830, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//415 KFilePlacesView::urlChanged(const KUrl&)
    {23, 834, 227, 3, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//416 KFilePlacesView::urlsDropped(const KUrl&, QDropEvent*, QWidget*)
    {23, 800, 62, 1, Smoke::mf_static, 240, 31},	//417 KFilePlacesView::tr(const char*)
    {23, 804, 62, 1, Smoke::mf_static, 240, 32},	//418 KFilePlacesView::trUtf8(const char*)
    {23, 84, 0, 0, Smoke::mf_ctor, 34, 33},	//419 KFilePlacesView::KFilePlacesView()
    {23, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 34},	//420 KFilePlacesView::staticMetaObject() const
    {23, 864, 0, 0, Smoke::mf_dtor, 0, 35 },	//421 KFilePlacesView::~KFilePlacesView()
    {24, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//422 KFilePreviewGenerator::metaObject() const
    {24, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//423 KFilePreviewGenerator::qt_metacast(const char*)
    {24, 800, 64, 2, Smoke::mf_static, 240, 3},	//424 KFilePreviewGenerator::tr(const char*, const char*)
    {24, 804, 64, 2, Smoke::mf_static, 240, 4},	//425 KFilePreviewGenerator::trUtf8(const char*, const char*)
    {24, 800, 67, 3, Smoke::mf_static, 240, 5},	//426 KFilePreviewGenerator::tr(const char*, const char*, int)
    {24, 804, 67, 3, Smoke::mf_static, 240, 6},	//427 KFilePreviewGenerator::trUtf8(const char*, const char*, int)
    {24, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//428 KFilePreviewGenerator::qt_metacall(QMetaObject::Call, int, void**)
    {24, 86, 82, 1, Smoke::mf_ctor, 35, 8},	//429 KFilePreviewGenerator::KFilePreviewGenerator(QAbstractItemView*)
    {24, 86, 231, 2, Smoke::mf_ctor, 35, 9},	//430 KFilePreviewGenerator::KFilePreviewGenerator(KAbstractViewAdapter*, QAbstractProxyModel*)
    {24, 717, 8, 1, 0, 0, 10},	//431 KFilePreviewGenerator::setPreviewShown(bool)
    {24, 420, 0, 0, Smoke::mf_const, 376, 11},	//432 KFilePreviewGenerator::isPreviewShown() const
    {24, 821, 0, 0, 0, 0, 12},	//433 KFilePreviewGenerator::updatePreviews()
    {24, 818, 0, 0, 0, 0, 13},	//434 KFilePreviewGenerator::updateIcons()
    {24, 243, 0, 0, 0, 0, 14},	//435 KFilePreviewGenerator::cancelPreviews()
    {24, 673, 29, 1, 0, 0, 15},	//436 KFilePreviewGenerator::setEnabledPlugins(const QStringList&)
    {24, 333, 0, 0, Smoke::mf_const, 245, 16},	//437 KFilePreviewGenerator::enabledPlugins() const
    {24, 800, 62, 1, Smoke::mf_static, 240, 17},	//438 KFilePreviewGenerator::tr(const char*)
    {24, 804, 62, 1, Smoke::mf_static, 240, 18},	//439 KFilePreviewGenerator::trUtf8(const char*)
    {24, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 19},	//440 KFilePreviewGenerator::staticMetaObject() const
    {24, 865, 0, 0, Smoke::mf_dtor, 0, 20 },	//441 KFilePreviewGenerator::~KFilePreviewGenerator()
    {25, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//442 KFileTreeView::metaObject() const
    {25, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//443 KFileTreeView::qt_metacast(const char*)
    {25, 800, 64, 2, Smoke::mf_static, 240, 3},	//444 KFileTreeView::tr(const char*, const char*)
    {25, 804, 64, 2, Smoke::mf_static, 240, 4},	//445 KFileTreeView::trUtf8(const char*, const char*)
    {25, 800, 67, 3, Smoke::mf_static, 240, 5},	//446 KFileTreeView::tr(const char*, const char*, int)
    {25, 804, 67, 3, Smoke::mf_static, 240, 6},	//447 KFileTreeView::trUtf8(const char*, const char*, int)
    {25, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//448 KFileTreeView::qt_metacall(QMetaObject::Call, int, void**)
    {25, 89, 17, 1, Smoke::mf_ctor, 36, 8},	//449 KFileTreeView::KFileTreeView(QWidget*)
    {25, 278, 0, 0, Smoke::mf_const, 64, 9},	//450 KFileTreeView::currentUrl() const
    {25, 624, 0, 0, Smoke::mf_const, 64, 10},	//451 KFileTreeView::selectedUrl() const
    {25, 625, 0, 0, Smoke::mf_const, 69, 11},	//452 KFileTreeView::selectedUrls() const
    {25, 594, 0, 0, Smoke::mf_const, 64, 12},	//453 KFileTreeView::rootUrl() const
    {25, 761, 0, 0, Smoke::mf_const, 376, 13},	//454 KFileTreeView::showHiddenFiles() const
    {25, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 14},	//455 KFileTreeView::sizeHint() const
    {25, 665, 8, 1, Smoke::mf_slot, 0, 15},	//456 KFileTreeView::setDirOnlyMode(bool)
    {25, 731, 8, 1, Smoke::mf_slot, 0, 16},	//457 KFileTreeView::setShowHiddenFiles(bool)
    {25, 651, 27, 1, Smoke::mf_slot, 0, 17},	//458 KFileTreeView::setCurrentUrl(const KUrl&)
    {25, 722, 27, 1, Smoke::mf_slot, 0, 18},	//459 KFileTreeView::setRootUrl(const KUrl&)
    {25, 226, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//460 KFileTreeView::activated(const KUrl&)
    {25, 271, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//461 KFileTreeView::currentChanged(const KUrl&)
    {25, 266, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 21},	//462 KFileTreeView::contextMenuEvent(QContextMenuEvent*)
    {25, 800, 62, 1, Smoke::mf_static, 240, 22},	//463 KFileTreeView::tr(const char*)
    {25, 804, 62, 1, Smoke::mf_static, 240, 23},	//464 KFileTreeView::trUtf8(const char*)
    {25, 89, 0, 0, Smoke::mf_ctor, 36, 24},	//465 KFileTreeView::KFileTreeView()
    {25, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 25},	//466 KFileTreeView::staticMetaObject() const
    {25, 866, 0, 0, Smoke::mf_dtor, 0, 26 },	//467 KFileTreeView::~KFileTreeView()
    {26, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//468 KFileWidget::metaObject() const
    {26, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//469 KFileWidget::qt_metacast(const char*)
    {26, 800, 64, 2, Smoke::mf_static, 240, 3},	//470 KFileWidget::tr(const char*, const char*)
    {26, 804, 64, 2, Smoke::mf_static, 240, 4},	//471 KFileWidget::trUtf8(const char*, const char*)
    {26, 800, 67, 3, Smoke::mf_static, 240, 5},	//472 KFileWidget::tr(const char*, const char*, int)
    {26, 804, 67, 3, Smoke::mf_static, 240, 6},	//473 KFileWidget::trUtf8(const char*, const char*, int)
    {26, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//474 KFileWidget::qt_metacall(QMetaObject::Call, int, void**)
    {26, 91, 75, 2, Smoke::mf_ctor, 37, 8},	//475 KFileWidget::KFileWidget(const KUrl&, QWidget*)
    {26, 624, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 64, 9},	//476 KFileWidget::selectedUrl() const
    {26, 625, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 69, 10},	//477 KFileWidget::selectedUrls() const
    {26, 236, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 64, 11},	//478 KFileWidget::baseUrl() const
    {26, 620, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 12},	//479 KFileWidget::selectedFile() const
    {26, 621, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 13},	//480 KFileWidget::selectedFiles() const
    {26, 740, 1, 2, Smoke::mf_virtual, 0, 14},	//481 KFileWidget::setUrl(const KUrl&, bool)
    {26, 724, 4, 1, Smoke::mf_virtual, 0, 15},	//482 KFileWidget::setSelection(const QString&)
    {26, 710, 6, 1, Smoke::mf_virtual, 0, 16},	//483 KFileWidget::setOperationMode(KAbstractFileWidget::OperationMode)
    {26, 493, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 3, 17},	//484 KFileWidget::operationMode() const
    {26, 690, 8, 1, Smoke::mf_virtual, 0, 18},	//485 KFileWidget::setKeepLocation(bool)
    {26, 445, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 376, 19},	//486 KFileWidget::keepsLocation() const
    {26, 675, 4, 1, Smoke::mf_virtual, 0, 20},	//487 KFileWidget::setFilter(const QString&)
    {26, 273, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 21},	//488 KFileWidget::currentFilter() const
    {26, 274, 0, 0, Smoke::mf_virtual, 58, 22},	//489 KFileWidget::currentFilterMimeType()
    {26, 697, 10, 2, Smoke::mf_virtual, 0, 23},	//490 KFileWidget::setMimeFilter(const QStringList&, const QString&)
    {26, 277, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 24},	//491 KFileWidget::currentMimeFilter() const
    {26, 249, 0, 0, Smoke::mf_virtual, 0, 25},	//492 KFileWidget::clearFilter()
    {26, 719, 13, 1, Smoke::mf_virtual, 0, 26},	//493 KFileWidget::setPreviewWidget(KPreviewWidgetBase*)
    {26, 700, 15, 1, Smoke::mf_virtual, 0, 27},	//494 KFileWidget::setMode(QFlags<KFile::Mode>)
    {26, 479, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 122, 28},	//495 KFileWidget::mode() const
    {26, 693, 4, 1, Smoke::mf_virtual, 0, 29},	//496 KFileWidget::setLocationLabel(const QString&)
    {26, 799, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 30},	//497 KFileWidget::toolBar() const
    {26, 491, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 56, 31},	//498 KFileWidget::okButton() const
    {26, 242, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 56, 32},	//499 KFileWidget::cancelButton() const
    {26, 455, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 71, 33},	//500 KFileWidget::locationEdit() const
    {26, 351, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 27, 34},	//501 KFileWidget::filterWidget() const
    {26, 224, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 6, 35},	//502 KFileWidget::actionCollection() const
    {26, 361, 234, 2, Smoke::mf_static, 64, 36},	//503 KFileWidget::getStartUrl(const KUrl&, QString&)
    {26, 361, 237, 3, Smoke::mf_static, 64, 37},	//504 KFileWidget::getStartUrl(const KUrl&, QString&, QString&)
    {26, 738, 27, 1, Smoke::mf_static, 0, 38},	//505 KFileWidget::setStartDir(const KUrl&)
    {26, 655, 17, 1, Smoke::mf_virtual, 0, 39},	//506 KFileWidget::setCustomWidget(QWidget*)
    {26, 655, 19, 2, Smoke::mf_virtual, 0, 40},	//507 KFileWidget::setCustomWidget(const QString&, QWidget*)
    {26, 847, 22, 2, Smoke::mf_virtual, 0, 41},	//508 KFileWidget::virtual_hook(int, void*)
    {26, 771, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//509 KFileWidget::slotOk()
    {26, 222, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//510 KFileWidget::accept()
    {26, 768, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 44},	//511 KFileWidget::slotCancel()
    {26, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//512 KFileWidget::resizeEvent(QResizeEvent*)
    {26, 758, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//513 KFileWidget::showEvent(QShowEvent*)
    {26, 338, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 47},	//514 KFileWidget::eventFilter(QObject*, QEvent*)
    {26, 344, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//515 KFileWidget::fileSelected(const KUrl&)
    {26, 344, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//516 KFileWidget::fileSelected(const QString&)
    {26, 341, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//517 KFileWidget::fileHighlighted(const KUrl&)
    {26, 341, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//518 KFileWidget::fileHighlighted(const QString&)
    {26, 626, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//519 KFileWidget::selectionChanged()
    {26, 349, 4, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//520 KFileWidget::filterChanged(const QString&)
    {26, 223, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 54},	//521 KFileWidget::accepted()
    {26, 303, 0, 0, 0, 19, 55},	//522 KFileWidget::dirOperator()
    {26, 573, 88, 1, 0, 0, 56},	//523 KFileWidget::readConfig(KConfigGroup&)
    {26, 800, 62, 1, Smoke::mf_static, 240, 57},	//524 KFileWidget::tr(const char*)
    {26, 804, 62, 1, Smoke::mf_static, 240, 58},	//525 KFileWidget::trUtf8(const char*)
    {26, 740, 27, 1, 0, 0, 59},	//526 KFileWidget::setUrl(const KUrl&)
    {26, 697, 29, 1, 0, 0, 60},	//527 KFileWidget::setMimeFilter(const QStringList&)
    {26, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 61},	//528 KFileWidget::staticMetaObject() const
    {26, 867, 0, 0, Smoke::mf_dtor, 0, 62 },	//529 KFileWidget::~KFileWidget()
    {41, 469, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 426, 1},	//530 KUrlNavigator::metaObject() const
    {41, 571, 62, 1, Smoke::mf_virtual, 474, 2},	//531 KUrlNavigator::qt_metacast(const char*)
    {41, 800, 64, 2, Smoke::mf_static, 240, 3},	//532 KUrlNavigator::tr(const char*, const char*)
    {41, 804, 64, 2, Smoke::mf_static, 240, 4},	//533 KUrlNavigator::trUtf8(const char*, const char*)
    {41, 800, 67, 3, Smoke::mf_static, 240, 5},	//534 KUrlNavigator::tr(const char*, const char*, int)
    {41, 804, 67, 3, Smoke::mf_static, 240, 6},	//535 KUrlNavigator::trUtf8(const char*, const char*, int)
    {41, 569, 71, 3, Smoke::mf_virtual, 465, 7},	//536 KUrlNavigator::qt_metacall(QMetaObject::Call, int, void**)
    {41, 112, 17, 1, Smoke::mf_ctor, 72, 8},	//537 KUrlNavigator::KUrlNavigator(QWidget*)
    {41, 112, 241, 3, Smoke::mf_ctor, 72, 9},	//538 KUrlNavigator::KUrlNavigator(KFilePlacesModel*, const KUrl&, QWidget*)
    {41, 458, 60, 1, Smoke::mf_const, 64, 10},	//539 KUrlNavigator::locationUrl(int) const
    {41, 600, 245, 1, 0, 0, 11},	//540 KUrlNavigator::saveLocationState(const QByteArray&)
    {41, 456, 60, 1, Smoke::mf_const, 88, 12},	//541 KUrlNavigator::locationState(int) const
    {41, 364, 0, 0, 0, 376, 13},	//542 KUrlNavigator::goBack()
    {41, 365, 0, 0, 0, 376, 14},	//543 KUrlNavigator::goForward()
    {41, 367, 0, 0, 0, 376, 15},	//544 KUrlNavigator::goUp()
    {41, 366, 0, 0, 0, 0, 16},	//545 KUrlNavigator::goHome()
    {41, 680, 27, 1, 0, 0, 17},	//546 KUrlNavigator::setHomeUrl(const KUrl&)
    {41, 384, 0, 0, Smoke::mf_const, 64, 18},	//547 KUrlNavigator::homeUrl() const
    {41, 743, 8, 1, 0, 0, 19},	//548 KUrlNavigator::setUrlEditable(bool)
    {41, 443, 0, 0, Smoke::mf_const, 376, 20},	//549 KUrlNavigator::isUrlEditable() const
    {41, 729, 8, 1, 0, 0, 21},	//550 KUrlNavigator::setShowFullPath(bool)
    {41, 760, 0, 0, Smoke::mf_const, 376, 22},	//551 KUrlNavigator::showFullPath() const
    {41, 630, 8, 1, 0, 0, 23},	//552 KUrlNavigator::setActive(bool)
    {41, 399, 0, 0, Smoke::mf_const, 376, 24},	//553 KUrlNavigator::isActive() const
    {41, 714, 8, 1, 0, 0, 25},	//554 KUrlNavigator::setPlacesSelectorVisible(bool)
    {41, 415, 0, 0, Smoke::mf_const, 376, 26},	//555 KUrlNavigator::isPlacesSelectorVisible() const
    {41, 813, 0, 0, Smoke::mf_const, 64, 27},	//556 KUrlNavigator::uncommittedUrl() const
    {41, 380, 0, 0, Smoke::mf_const, 465, 28},	//557 KUrlNavigator::historySize() const
    {41, 379, 0, 0, Smoke::mf_const, 465, 29},	//558 KUrlNavigator::historyIndex() const
    {41, 328, 0, 0, Smoke::mf_const, 71, 30},	//559 KUrlNavigator::editor() const
    {41, 653, 29, 1, 0, 0, 31},	//560 KUrlNavigator::setCustomProtocols(const QStringList&)
    {41, 280, 0, 0, Smoke::mf_const, 245, 32},	//561 KUrlNavigator::customProtocols() const
    {41, 825, 0, 0, Smoke::mf_const, 387, 33},	//562 KUrlNavigator::url() const
    {41, 825, 60, 1, Smoke::mf_const, 64, 34},	//563 KUrlNavigator::url(int) const
    {41, 381, 60, 1, Smoke::mf_const, 64, 35},	//564 KUrlNavigator::historyUrl(int) const
    {41, 607, 0, 0, Smoke::mf_const, 387, 36},	//565 KUrlNavigator::savedRootUrl() const
    {41, 606, 0, 0, Smoke::mf_const, 218, 37},	//566 KUrlNavigator::savedPosition() const
    {41, 680, 4, 1, 0, 0, 38},	//567 KUrlNavigator::setHomeUrl(const QString&)
    {41, 695, 27, 1, Smoke::mf_slot, 0, 39},	//568 KUrlNavigator::setLocationUrl(const KUrl&)
    {41, 580, 0, 0, Smoke::mf_slot, 0, 40},	//569 KUrlNavigator::requestActivation()
    {41, 677, 0, 0, Smoke::mf_slot, 0, 41},	//570 KUrlNavigator::setFocus()
    {41, 740, 27, 1, Smoke::mf_slot, 0, 42},	//571 KUrlNavigator::setUrl(const KUrl&)
    {41, 604, 27, 1, Smoke::mf_slot, 0, 43},	//572 KUrlNavigator::saveRootUrl(const KUrl&)
    {41, 602, 116, 2, Smoke::mf_slot, 0, 44},	//573 KUrlNavigator::savePosition(int, int)
    {41, 226, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 45},	//574 KUrlNavigator::activated()
    {41, 830, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 46},	//575 KUrlNavigator::urlChanged(const KUrl&)
    {41, 828, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 47},	//576 KUrlNavigator::urlAboutToBeChanged(const KUrl&)
    {41, 326, 8, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 48},	//577 KUrlNavigator::editableStateChanged(bool)
    {41, 378, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 49},	//578 KUrlNavigator::historyChanged()
    {41, 834, 247, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 50},	//579 KUrlNavigator::urlsDropped(const KUrl&, QDropEvent*)
    {41, 592, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 51},	//580 KUrlNavigator::returnPressed()
    {41, 789, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 52},	//581 KUrlNavigator::tabRequested(const KUrl&)
    {41, 834, 250, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 53},	//582 KUrlNavigator::urlsDropped(const KUrl::List&, const KUrl&)
    {41, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//583 KUrlNavigator::keyPressEvent(QKeyEvent*)
    {41, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//584 KUrlNavigator::keyReleaseEvent(QKeyEvent*)
    {41, 483, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//585 KUrlNavigator::mouseReleaseEvent(QMouseEvent*)
    {41, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 57},	//586 KUrlNavigator::resizeEvent(QResizeEvent*)
    {41, 851, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 58},	//587 KUrlNavigator::wheelEvent(QWheelEvent*)
    {41, 338, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 59},	//588 KUrlNavigator::eventFilter(QObject*, QEvent*)
    {41, 800, 62, 1, Smoke::mf_static, 240, 60},	//589 KUrlNavigator::tr(const char*)
    {41, 804, 62, 1, Smoke::mf_static, 240, 61},	//590 KUrlNavigator::trUtf8(const char*)
    {41, 112, 0, 0, Smoke::mf_ctor, 72, 62},	//591 KUrlNavigator::KUrlNavigator()
    {41, 458, 0, 0, Smoke::mf_const, 64, 63},	//592 KUrlNavigator::locationUrl() const
    {41, 456, 0, 0, Smoke::mf_const, 88, 64},	//593 KUrlNavigator::locationState() const
    {41, 783, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 425, 65},	//594 KUrlNavigator::staticMetaObject() const
    {41, 868, 0, 0, Smoke::mf_dtor, 0, 66 },	//595 KUrlNavigator::~KUrlNavigator()
    {42, 368, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//596 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {42, 658, 255, 3, Smoke::mf_virtual, 376, 0},	//597 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {42, 370, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//598 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {42, 679, 263, 4, Smoke::mf_virtual, 376, 0},	//599 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {42, 444, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//600 QAbstractItemModel::itemData(const QModelIndex&) const
    {42, 689, 268, 2, Smoke::mf_virtual, 376, 0},	//601 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {42, 398, 179, 3, Smoke::mf_virtual, 376, 0},	//602 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {42, 397, 179, 3, Smoke::mf_virtual, 376, 0},	//603 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {42, 579, 179, 3, Smoke::mf_virtual, 376, 0},	//604 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {42, 576, 179, 3, Smoke::mf_virtual, 376, 0},	//605 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {42, 340, 146, 1, Smoke::mf_virtual, 0, 0},	//606 QAbstractItemModel::fetchMore(const QModelIndex&)
    {42, 240, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 376, 0},	//607 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {42, 772, 31, 2, Smoke::mf_virtual, 0, 0},	//608 QAbstractItemModel::sort(int, Qt::SortOrder)
    {42, 239, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//609 QAbstractItemModel::buddy(const QModelIndex&) const
    {42, 468, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//610 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {42, 780, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//611 QAbstractItemModel::span(const QModelIndex&) const
    {42, 787, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 376, 0},	//612 QAbstractItemModel::submit()
    {42, 593, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//613 QAbstractItemModel::revert()
    {43, 726, 277, 1, Smoke::mf_virtual, 0, 0},	//614 QAbstractItemView::setSelectionModel(QItemSelectionModel*)
    {43, 450, 4, 1, Smoke::mf_virtual, 0, 0},	//615 QAbstractItemView::keyboardSearch(const QString&)
    {43, 766, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//616 QAbstractItemView::sizeHintForRow(int) const
    {43, 765, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//617 QAbstractItemView::sizeHintForColumn(int) const
    {43, 396, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//618 QAbstractItemView::inputMethodQuery(Qt::InputMethodQuery) const
    {43, 610, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//619 QAbstractItemView::selectAll()
    {43, 815, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//620 QAbstractItemView::updateEditorData()
    {43, 816, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//621 QAbstractItemView::updateEditorGeometries()
    {43, 839, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//622 QAbstractItemView::verticalScrollbarAction(int)
    {43, 386, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//623 QAbstractItemView::horizontalScrollbarAction(int)
    {43, 840, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//624 QAbstractItemView::verticalScrollbarValueChanged(int)
    {43, 387, 60, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//625 QAbstractItemView::horizontalScrollbarValueChanged(int)
    {43, 252, 281, 2, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//626 QAbstractItemView::closeEditor(QWidget*, QAbstractItemDelegate::EndEditHint)
    {43, 258, 17, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//627 QAbstractItemView::commitData(QWidget*)
    {43, 329, 144, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//628 QAbstractItemView::editorDestroyed(QObject*)
    {43, 321, 284, 3, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//629 QAbstractItemView::edit(const QModelIndex&, QAbstractItemView::EditTrigger, QEvent*)
    {43, 627, 288, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 144, 0},	//630 QAbstractItemView::selectionCommand(const QModelIndex&, const QEvent*) const
    {43, 782, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//631 QAbstractItemView::startDrag(QFlags<Qt::DropAction>)
    {43, 845, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//632 QAbstractItemView::viewOptions() const
    {43, 357, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//633 QAbstractItemView::focusNextPrevChild(bool)
    {43, 337, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//634 QAbstractItemView::event(QEvent*)
    {43, 846, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//635 QAbstractItemView::viewportEvent(QEvent*)
    {43, 482, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QAbstractItemView::mousePressEvent(QMouseEvent*)
    {43, 480, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QAbstractItemView::mouseDoubleClickEvent(QMouseEvent*)
    {43, 307, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QAbstractItemView::dragEnterEvent(QDragEnterEvent*)
    {43, 309, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QAbstractItemView::dragLeaveEvent(QDragLeaveEvent*)
    {43, 315, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QAbstractItemView::dropEvent(QDropEvent*)
    {43, 356, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QAbstractItemView::focusInEvent(QFocusEvent*)
    {43, 358, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QAbstractItemView::focusOutEvent(QFocusEvent*)
    {43, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QAbstractItemView::resizeEvent(QResizeEvent*)
    {43, 395, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QAbstractItemView::inputMethodEvent(QInputMethodEvent*)
    {43, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 32},	//645 QAbstractItemView::EnsureVisible (enum)
    {43, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 33},	//646 QAbstractItemView::PositionAtTop (enum)
    {43, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 34},	//647 QAbstractItemView::PositionAtBottom (enum)
    {43, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 79, 35},	//648 QAbstractItemView::PositionAtCenter (enum)
    {43, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 36},	//649 QAbstractItemView::NoEditTriggers (enum)
    {43, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 37},	//650 QAbstractItemView::CurrentChanged (enum)
    {43, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 38},	//651 QAbstractItemView::DoubleClicked (enum)
    {43, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 39},	//652 QAbstractItemView::SelectedClicked (enum)
    {43, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 40},	//653 QAbstractItemView::EditKeyPressed (enum)
    {43, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 41},	//654 QAbstractItemView::AnyKeyPressed (enum)
    {43, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 78, 42},	//655 QAbstractItemView::AllEditTriggers (enum)
    {43, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 43},	//656 QAbstractItemView::MoveUp (enum)
    {43, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 44},	//657 QAbstractItemView::MoveDown (enum)
    {43, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 45},	//658 QAbstractItemView::MoveLeft (enum)
    {43, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 46},	//659 QAbstractItemView::MoveRight (enum)
    {43, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 47},	//660 QAbstractItemView::MoveHome (enum)
    {43, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 48},	//661 QAbstractItemView::MoveEnd (enum)
    {43, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 49},	//662 QAbstractItemView::MovePageUp (enum)
    {43, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 50},	//663 QAbstractItemView::MovePageDown (enum)
    {43, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 51},	//664 QAbstractItemView::MoveNext (enum)
    {43, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 77, 52},	//665 QAbstractItemView::MovePrevious (enum)
    {44, 787, 0, 0, Smoke::mf_virtual, 376, 0},	//666 QAbstractProxyModel::submit()
    {44, 593, 0, 0, Smoke::mf_virtual, 0, 0},	//667 QAbstractProxyModel::revert()
    {44, 444, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 200, 0},	//668 QAbstractProxyModel::itemData(const QModelIndex&) const
    {44, 689, 268, 2, Smoke::mf_virtual, 376, 0},	//669 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {45, 475, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//670 QAbstractScrollArea::minimumSizeHint() const
    {45, 851, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//671 QAbstractScrollArea::wheelEvent(QWheelEvent*)
    {56, 764, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//672 QComboBox::sizeHint() const
    {56, 762, 0, 0, Smoke::mf_virtual, 0, 0},	//673 QComboBox::showPopup()
    {56, 375, 0, 0, Smoke::mf_virtual, 0, 0},	//674 QComboBox::hidePopup()
    {56, 337, 111, 1, Smoke::mf_virtual, 376, 0},	//675 QComboBox::event(QEvent*)
    {56, 356, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//676 QComboBox::focusInEvent(QFocusEvent*)
    {56, 358, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//677 QComboBox::focusOutEvent(QFocusEvent*)
    {56, 245, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//678 QComboBox::changeEvent(QEvent*)
    {56, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//679 QComboBox::resizeEvent(QResizeEvent*)
    {56, 558, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//680 QComboBox::paintEvent(QPaintEvent*)
    {56, 758, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//681 QComboBox::showEvent(QShowEvent*)
    {56, 373, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//682 QComboBox::hideEvent(QHideEvent*)
    {56, 482, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//683 QComboBox::mousePressEvent(QMouseEvent*)
    {56, 483, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//684 QComboBox::mouseReleaseEvent(QMouseEvent*)
    {56, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//685 QComboBox::keyPressEvent(QKeyEvent*)
    {56, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//686 QComboBox::keyReleaseEvent(QKeyEvent*)
    {56, 266, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//687 QComboBox::contextMenuEvent(QContextMenuEvent*)
    {56, 395, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//688 QComboBox::inputMethodEvent(QInputMethodEvent*)
    {56, 396, 279, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 273, 0},	//689 QComboBox::inputMethodQuery(Qt::InputMethodQuery) const
    {66, 750, 8, 1, Smoke::mf_virtual, 0, 0},	//690 QDialog::setVisible(bool)
    {66, 306, 60, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//691 QDialog::done(int)
    {66, 575, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//692 QDialog::reject()
    {66, 758, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//693 QDialog::showEvent(QShowEvent*)
    {66, 590, 106, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//694 QDialog::resizeEvent(QResizeEvent*)
    {66, 266, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//695 QDialog::contextMenuEvent(QContextMenuEvent*)
    {66, 338, 113, 2, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//696 QDialog::eventFilter(QObject*, QEvent*)
    {77, 245, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//697 QFrame::changeEvent(QEvent*)
    {78, 499, 297, 2, Smoke::mf_static, 84, 1},	//698 QGlobalSpace::operator&(const QBitArray&, const QBitArray&)
    {78, 554, 300, 2, Smoke::mf_static, 184, 2},	//699 QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    {78, 501, 303, 2, Smoke::mf_static, 433, 3},	//700 QGlobalSpace::operator*(const QPoint&, double)
    {78, 501, 306, 2, Smoke::mf_static, 435, 4},	//701 QGlobalSpace::operator*(double, const QPointF&)
    {78, 554, 309, 2, Smoke::mf_static, 170, 5},	//702 QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    {78, 494, 312, 2, Smoke::mf_static, 376, 6},	//703 QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    {78, 501, 315, 2, Smoke::mf_static, 445, 7},	//704 QGlobalSpace::operator*(double, const QSizeF&)
    {78, 554, 318, 2, Smoke::mf_static, 184, 8},	//705 QGlobalSpace::operator|(QDir::SortFlag, int)
    {78, 554, 321, 2, Smoke::mf_static, 133, 9},	//706 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    {78, 548, 324, 2, Smoke::mf_static, 102, 10},	//707 QGlobalSpace::operator>>(QDataStream&, QImage&)
    {78, 524, 327, 2, Smoke::mf_static, 102, 11},	//708 QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    {78, 554, 330, 2, Smoke::mf_static, 184, 12},	//709 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    {78, 554, 333, 2, Smoke::mf_static, 184, 13},	//710 QGlobalSpace::operator|(Qt::InputMethodHint, int)
    {78, 554, 336, 2, Smoke::mf_static, 184, 14},	//711 QGlobalSpace::operator|(KFile::Mode, int)
    {78, 494, 339, 2, Smoke::mf_static, 376, 15},	//712 QGlobalSpace::operator!=(const QRect&, const QRect&)
    {78, 505, 342, 2, Smoke::mf_static, 443, 16},	//713 QGlobalSpace::operator+(const QSize&, const QSize&)
    {78, 524, 345, 2, Smoke::mf_static, 102, 17},	//714 QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    {78, 554, 348, 2, Smoke::mf_static, 157, 18},	//715 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    {78, 554, 351, 2, Smoke::mf_static, 138, 19},	//716 QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    {78, 501, 354, 2, Smoke::mf_static, 220, 20},	//717 QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    {78, 524, 357, 2, Smoke::mf_static, 98, 21},	//718 QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    {78, 501, 360, 2, Smoke::mf_static, 192, 22},	//719 QGlobalSpace::operator*(const QLine&, const QTransform&)
    {78, 554, 363, 2, Smoke::mf_static, 141, 23},	//720 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    {78, 533, 312, 2, Smoke::mf_static, 376, 24},	//721 QGlobalSpace::operator==(const QMargins&, const QMargins&)
    {78, 554, 366, 2, Smoke::mf_static, 175, 25},	//722 QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    {78, 501, 369, 2, Smoke::mf_static, 445, 26},	//723 QGlobalSpace::operator*(const QSizeF&, double)
    {78, 524, 372, 2, Smoke::mf_static, 102, 27},	//724 QGlobalSpace::operator<<(QDataStream&, const QLine&)
    {78, 554, 375, 2, Smoke::mf_static, 184, 28},	//725 QGlobalSpace::operator|(QDir::Filter, int)
    {78, 538, 378, 2, Smoke::mf_static, 376, 29},	//726 QGlobalSpace::operator>(const char*, const QLatin1String&)
    {78, 513, 381, 2, Smoke::mf_static, 445, 30},	//727 QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    {78, 543, 384, 2, Smoke::mf_static, 376, 31},	//728 QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    {78, 533, 387, 2, Smoke::mf_static, 376, 32},	//729 QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    {78, 554, 390, 2, Smoke::mf_static, 170, 33},	//730 QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    {78, 554, 393, 2, Smoke::mf_static, 127, 34},	//731 QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    {78, 554, 396, 2, Smoke::mf_static, 127, 35},	//732 QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    {78, 494, 399, 2, Smoke::mf_static, 376, 36},	//733 QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    {78, 533, 402, 2, Smoke::mf_static, 376, 37},	//734 QGlobalSpace::operator==(QBool, QBool)
    {78, 554, 405, 2, Smoke::mf_static, 184, 38},	//735 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    {78, 554, 408, 2, Smoke::mf_static, 153, 39},	//736 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    {78, 554, 411, 2, Smoke::mf_static, 161, 40},	//737 QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    {78, 533, 414, 2, Smoke::mf_static, 376, 41},	//738 QGlobalSpace::operator==(QString::Null, QString::Null)
    {78, 554, 417, 2, Smoke::mf_static, 126, 42},	//739 QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    {78, 548, 420, 2, Smoke::mf_static, 397, 43},	//740 QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    {78, 524, 423, 2, Smoke::mf_static, 102, 44},	//741 QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    {78, 548, 426, 2, Smoke::mf_static, 102, 45},	//742 QGlobalSpace::operator>>(QDataStream&, QLocale&)
    {78, 554, 429, 2, Smoke::mf_static, 184, 46},	//743 QGlobalSpace::operator|(QStyle::SubControl, int)
    {78, 505, 432, 2, Smoke::mf_static, 448, 47},	//744 QGlobalSpace::operator+(QChar, const QString&)
    {78, 554, 435, 2, Smoke::mf_static, 143, 48},	//745 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    {78, 554, 438, 2, Smoke::mf_static, 119, 49},	//746 QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    {78, 554, 441, 2, Smoke::mf_static, 138, 50},	//747 QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    {78, 524, 444, 2, Smoke::mf_static, 102, 51},	//748 QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    {78, 554, 447, 2, Smoke::mf_static, 184, 52},	//749 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    {78, 510, 450, 1, Smoke::mf_static, 50, 53},	//750 QGlobalSpace::operator++(KIconLoader::Group&)
    {78, 524, 452, 2, Smoke::mf_static, 102, 54},	//751 QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    {78, 519, 455, 2, Smoke::mf_static, 376, 55},	//752 QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    {78, 524, 458, 2, Smoke::mf_static, 98, 56},	//753 QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    {78, 501, 461, 2, Smoke::mf_static, 224, 57},	//754 QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    {78, 548, 464, 2, Smoke::mf_static, 102, 58},	//755 QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    {78, 554, 467, 2, Smoke::mf_static, 173, 59},	//756 QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    {78, 554, 470, 2, Smoke::mf_static, 184, 60},	//757 QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    {78, 505, 381, 2, Smoke::mf_static, 445, 61},	//758 QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    {78, 554, 473, 2, Smoke::mf_static, 184, 62},	//759 QGlobalSpace::operator|(QWidget::RenderFlag, int)
    {78, 533, 455, 2, Smoke::mf_static, 376, 63},	//760 QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    {78, 554, 476, 2, Smoke::mf_static, 184, 64},	//761 QGlobalSpace::operator|(Qt::DropAction, int)
    {78, 524, 479, 2, Smoke::mf_static, 102, 65},	//762 QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    {78, 554, 482, 2, Smoke::mf_static, 129, 66},	//763 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    {78, 554, 485, 2, Smoke::mf_static, 117, 67},	//764 QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    {78, 554, 488, 2, Smoke::mf_static, 132, 68},	//765 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    {78, 554, 491, 2, Smoke::mf_static, 184, 69},	//766 QGlobalSpace::operator|(KAction::ShortcutType, int)
    {78, 524, 494, 2, Smoke::mf_static, 102, 70},	//767 QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    {78, 554, 497, 2, Smoke::mf_static, 161, 71},	//768 QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    {78, 548, 500, 2, Smoke::mf_static, 102, 72},	//769 QGlobalSpace::operator>>(QDataStream&, QColor&)
    {78, 554, 503, 2, Smoke::mf_static, 184, 73},	//770 QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    {78, 554, 506, 2, Smoke::mf_static, 125, 74},	//771 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    {78, 524, 509, 2, Smoke::mf_static, 102, 75},	//772 QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    {78, 554, 512, 2, Smoke::mf_static, 184, 76},	//773 QGlobalSpace::operator|(QUrl::FormattingOption, int)
    {78, 519, 515, 2, Smoke::mf_static, 376, 77},	//774 QGlobalSpace::operator<(const QByteArray&, const char*)
    {78, 554, 518, 2, Smoke::mf_static, 140, 78},	//775 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    {78, 554, 521, 2, Smoke::mf_static, 128, 79},	//776 QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    {78, 554, 524, 2, Smoke::mf_static, 125, 80},	//777 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    {78, 554, 527, 2, Smoke::mf_static, 162, 81},	//778 QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    {78, 554, 530, 2, Smoke::mf_static, 120, 82},	//779 QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    {78, 501, 533, 2, Smoke::mf_static, 192, 83},	//780 QGlobalSpace::operator*(const QLine&, const QMatrix&)
    {78, 554, 536, 2, Smoke::mf_static, 128, 84},	//781 QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    {78, 501, 539, 2, Smoke::mf_static, 195, 85},	//782 QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    {78, 554, 542, 2, Smoke::mf_static, 171, 86},	//783 QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    {78, 501, 545, 2, Smoke::mf_static, 213, 87},	//784 QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    {78, 554, 548, 2, Smoke::mf_static, 184, 88},	//785 QGlobalSpace::operator|(Qt::ToolBarArea, int)
    {78, 548, 551, 2, Smoke::mf_static, 102, 89},	//786 QGlobalSpace::operator>>(QDataStream&, QPointF&)
    {78, 524, 554, 2, Smoke::mf_static, 102, 90},	//787 QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    {78, 554, 557, 2, Smoke::mf_static, 184, 91},	//788 QGlobalSpace::operator|(Qt::MatchFlag, int)
    {78, 505, 560, 2, Smoke::mf_static, 448, 92},	//789 QGlobalSpace::operator+(const QString&, const char*)
    {78, 548, 563, 2, Smoke::mf_static, 397, 93},	//790 QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    {78, 554, 566, 2, Smoke::mf_static, 184, 94},	//791 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    {78, 524, 569, 2, Smoke::mf_static, 102, 95},	//792 QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    {78, 554, 572, 2, Smoke::mf_static, 164, 96},	//793 QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    {78, 548, 575, 2, Smoke::mf_static, 102, 97},	//794 QGlobalSpace::operator>>(QDataStream&, QDate&)
    {78, 554, 578, 2, Smoke::mf_static, 122, 98},	//795 QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    {78, 554, 581, 2, Smoke::mf_static, 143, 99},	//796 QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    {78, 505, 584, 2, Smoke::mf_static, 392, 100},	//797 QGlobalSpace::operator+(char, const QByteArray&)
    {78, 554, 587, 2, Smoke::mf_static, 184, 101},	//798 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    {78, 517, 303, 2, Smoke::mf_static, 433, 102},	//799 QGlobalSpace::operator/(const QPoint&, double)
    {78, 554, 590, 2, Smoke::mf_static, 137, 103},	//800 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    {78, 505, 593, 2, Smoke::mf_static, 448, 104},	//801 QGlobalSpace::operator+(const char*, const QString&)
    {78, 533, 596, 2, Smoke::mf_static, 376, 105},	//802 QGlobalSpace::operator==(const char*, const QByteArray&)
    {78, 548, 599, 2, Smoke::mf_static, 397, 106},	//803 QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    {78, 548, 602, 2, Smoke::mf_static, 102, 107},	//804 QGlobalSpace::operator>>(QDataStream&, QUuid&)
    {78, 548, 605, 2, Smoke::mf_static, 102, 108},	//805 QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    {78, 548, 608, 2, Smoke::mf_static, 102, 109},	//806 QGlobalSpace::operator>>(QDataStream&, QVariant&)
    {78, 554, 611, 2, Smoke::mf_static, 184, 110},	//807 QGlobalSpace::operator|(KDialog::ButtonCode, int)
    {78, 548, 614, 2, Smoke::mf_static, 102, 111},	//808 QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    {78, 533, 617, 2, Smoke::mf_static, 376, 112},	//809 QGlobalSpace::operator==(const QPointF&, const QPointF&)
    {78, 517, 620, 2, Smoke::mf_static, 268, 113},	//810 QGlobalSpace::operator/(const QTransform&, double)
    {78, 554, 623, 2, Smoke::mf_static, 134, 114},	//811 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    {78, 528, 593, 2, Smoke::mf_static, 376, 115},	//812 QGlobalSpace::operator<=(const char*, const QString&)
    {78, 554, 626, 2, Smoke::mf_static, 121, 116},	//813 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    {78, 533, 629, 2, Smoke::mf_static, 376, 117},	//814 QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 554, 632, 2, Smoke::mf_static, 151, 118},	//815 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    {78, 554, 635, 2, Smoke::mf_static, 184, 119},	//816 QGlobalSpace::operator|(KFileMetaInfo::What, int)
    {78, 494, 638, 2, Smoke::mf_static, 376, 120},	//817 QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    {78, 554, 641, 2, Smoke::mf_static, 184, 121},	//818 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    {78, 554, 644, 2, Smoke::mf_static, 184, 122},	//819 QGlobalSpace::operator|(QFile::Permission, int)
    {78, 519, 647, 2, Smoke::mf_static, 376, 123},	//820 QGlobalSpace::operator<(QChar, QChar)
    {78, 501, 650, 2, Smoke::mf_static, 213, 124},	//821 QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    {78, 524, 653, 2, Smoke::mf_static, 102, 125},	//822 QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    {78, 543, 378, 2, Smoke::mf_static, 376, 126},	//823 QGlobalSpace::operator>=(const char*, const QLatin1String&)
    {78, 554, 656, 2, Smoke::mf_static, 134, 127},	//824 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    {78, 554, 659, 2, Smoke::mf_static, 184, 128},	//825 QGlobalSpace::operator|(QStyle::StateFlag, int)
    {78, 554, 662, 2, Smoke::mf_static, 119, 129},	//826 QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    {78, 554, 665, 2, Smoke::mf_static, 135, 130},	//827 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    {78, 548, 668, 2, Smoke::mf_static, 102, 131},	//828 QGlobalSpace::operator>>(QDataStream&, QRegion&)
    {78, 554, 671, 2, Smoke::mf_static, 184, 132},	//829 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    {78, 554, 674, 2, Smoke::mf_static, 158, 133},	//830 QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    {78, 548, 677, 2, Smoke::mf_static, 102, 134},	//831 QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    {78, 501, 680, 2, Smoke::mf_static, 435, 135},	//832 QGlobalSpace::operator*(const QPointF&, double)
    {78, 554, 683, 2, Smoke::mf_static, 184, 136},	//833 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    {78, 548, 686, 2, Smoke::mf_static, 397, 137},	//834 QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    {78, 533, 342, 2, Smoke::mf_static, 376, 138},	//835 QGlobalSpace::operator==(const QSize&, const QSize&)
    {78, 554, 689, 2, Smoke::mf_static, 132, 139},	//836 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    {78, 524, 692, 2, Smoke::mf_static, 102, 140},	//837 QGlobalSpace::operator<<(QDataStream&, const QDate&)
    {78, 554, 695, 2, Smoke::mf_static, 136, 141},	//838 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    {78, 533, 698, 2, Smoke::mf_static, 376, 142},	//839 QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    {78, 533, 378, 2, Smoke::mf_static, 376, 143},	//840 QGlobalSpace::operator==(const char*, const QLatin1String&)
    {78, 554, 701, 2, Smoke::mf_static, 169, 144},	//841 QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    {78, 524, 704, 2, Smoke::mf_static, 98, 145},	//842 QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    {78, 554, 707, 2, Smoke::mf_static, 184, 146},	//843 QGlobalSpace::operator|(Qt::GestureFlag, int)
    {78, 494, 384, 2, Smoke::mf_static, 376, 147},	//844 QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    {78, 554, 710, 2, Smoke::mf_static, 147, 148},	//845 QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    {78, 554, 713, 2, Smoke::mf_static, 184, 149},	//846 QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    {78, 548, 716, 2, Smoke::mf_static, 102, 150},	//847 QGlobalSpace::operator>>(QDataStream&, QCursor&)
    {78, 554, 719, 2, Smoke::mf_static, 168, 151},	//848 QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    {78, 517, 369, 2, Smoke::mf_static, 445, 152},	//849 QGlobalSpace::operator/(const QSizeF&, double)
    {78, 554, 722, 2, Smoke::mf_static, 169, 153},	//850 QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    {78, 548, 725, 2, Smoke::mf_static, 102, 154},	//851 QGlobalSpace::operator>>(QDataStream&, QTransform&)
    {78, 501, 728, 2, Smoke::mf_static, 222, 155},	//852 QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    {78, 538, 647, 2, Smoke::mf_static, 376, 156},	//853 QGlobalSpace::operator>(QChar, QChar)
    {78, 543, 596, 2, Smoke::mf_static, 376, 157},	//854 QGlobalSpace::operator>=(const char*, const QByteArray&)
    {78, 554, 731, 2, Smoke::mf_static, 153, 158},	//855 QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    {78, 533, 734, 2, Smoke::mf_static, 376, 159},	//856 QGlobalSpace::operator==(const QString&, QString::Null)
    {78, 519, 384, 2, Smoke::mf_static, 376, 160},	//857 QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    {78, 554, 737, 2, Smoke::mf_static, 155, 161},	//858 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    {78, 554, 740, 2, Smoke::mf_static, 184, 162},	//859 QGlobalSpace::operator|(QLibrary::LoadHint, int)
    {78, 548, 743, 2, Smoke::mf_static, 102, 163},	//860 QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    {78, 513, 746, 1, Smoke::mf_static, 435, 164},	//861 QGlobalSpace::operator-(const QPointF&)
    {78, 554, 748, 2, Smoke::mf_static, 167, 165},	//862 QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    {78, 524, 751, 2, Smoke::mf_static, 102, 166},	//863 QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    {78, 505, 754, 2, Smoke::mf_static, 448, 167},	//864 QGlobalSpace::operator+(const QByteArray&, const QString&)
    {78, 554, 757, 2, Smoke::mf_static, 176, 168},	//865 QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    {78, 501, 760, 2, Smoke::mf_static, 220, 169},	//866 QGlobalSpace::operator*(const QPointF&, const QTransform&)
    {78, 554, 763, 2, Smoke::mf_static, 167, 170},	//867 QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    {78, 554, 766, 2, Smoke::mf_static, 174, 171},	//868 QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    {78, 505, 769, 2, Smoke::mf_static, 448, 172},	//869 QGlobalSpace::operator+(const QString&, char)
    {78, 543, 638, 2, Smoke::mf_static, 376, 173},	//870 QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    {78, 533, 399, 2, Smoke::mf_static, 376, 174},	//871 QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    {78, 524, 772, 2, Smoke::mf_static, 102, 175},	//872 QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    {78, 548, 775, 2, Smoke::mf_static, 102, 176},	//873 QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    {78, 554, 778, 2, Smoke::mf_static, 147, 177},	//874 QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    {78, 548, 781, 2, Smoke::mf_static, 397, 178},	//875 QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    {78, 524, 784, 2, Smoke::mf_static, 102, 179},	//876 QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    {78, 548, 787, 2, Smoke::mf_static, 102, 180},	//877 QGlobalSpace::operator>>(QDataStream&, QLine&)
    {78, 554, 790, 2, Smoke::mf_static, 184, 181},	//878 QGlobalSpace::operator|(KJob::Capability, int)
    {78, 524, 793, 2, Smoke::mf_static, 102, 182},	//879 QGlobalSpace::operator<<(QDataStream&, const KACL&)
    {78, 554, 796, 2, Smoke::mf_static, 184, 183},	//880 QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    {78, 554, 799, 2, Smoke::mf_static, 168, 184},	//881 QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    {78, 519, 596, 2, Smoke::mf_static, 376, 185},	//882 QGlobalSpace::operator<(const char*, const QByteArray&)
    {78, 554, 802, 2, Smoke::mf_static, 184, 186},	//883 QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    {78, 501, 805, 2, Smoke::mf_static, 218, 187},	//884 QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    {78, 554, 808, 2, Smoke::mf_static, 184, 188},	//885 QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    {78, 548, 811, 2, Smoke::mf_static, 397, 189},	//886 QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    {78, 554, 814, 2, Smoke::mf_static, 184, 190},	//887 QGlobalSpace::operator|(Qt::ItemFlag, int)
    {78, 494, 342, 2, Smoke::mf_static, 376, 191},	//888 QGlobalSpace::operator!=(const QSize&, const QSize&)
    {78, 554, 817, 2, Smoke::mf_static, 165, 192},	//889 QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    {78, 524, 820, 2, Smoke::mf_static, 98, 193},	//890 QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    {78, 528, 515, 2, Smoke::mf_static, 376, 194},	//891 QGlobalSpace::operator<=(const QByteArray&, const char*)
    {78, 494, 823, 2, Smoke::mf_static, 376, 195},	//892 QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    {78, 554, 826, 2, Smoke::mf_static, 184, 196},	//893 QGlobalSpace::operator|(QString::SectionFlag, int)
    {78, 554, 829, 2, Smoke::mf_static, 184, 197},	//894 QGlobalSpace::operator|(Qt::WindowType, int)
    {78, 554, 832, 2, Smoke::mf_static, 160, 198},	//895 QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    {78, 533, 835, 2, Smoke::mf_static, 376, 199},	//896 QGlobalSpace::operator==(const QStringRef&, const QString&)
    {78, 543, 838, 2, Smoke::mf_static, 376, 200},	//897 QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    {78, 533, 841, 2, Smoke::mf_static, 376, 201},	//898 QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    {78, 554, 844, 2, Smoke::mf_static, 130, 202},	//899 QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    {78, 552, 297, 2, Smoke::mf_static, 84, 203},	//900 QGlobalSpace::operator^(const QBitArray&, const QBitArray&)
    {78, 554, 847, 2, Smoke::mf_static, 159, 204},	//901 QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    {78, 548, 850, 2, Smoke::mf_static, 102, 205},	//902 QGlobalSpace::operator>>(QDataStream&, QIcon&)
    {78, 524, 853, 2, Smoke::mf_static, 102, 206},	//903 QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    {78, 501, 620, 2, Smoke::mf_static, 268, 207},	//904 QGlobalSpace::operator*(const QTransform&, double)
    {78, 554, 856, 2, Smoke::mf_static, 184, 208},	//905 QGlobalSpace::operator|(Qt::TouchPointState, int)
    {78, 554, 859, 2, Smoke::mf_static, 120, 209},	//906 QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    {78, 554, 862, 2, Smoke::mf_static, 160, 210},	//907 QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    {78, 519, 638, 2, Smoke::mf_static, 376, 211},	//908 QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    {78, 554, 865, 2, Smoke::mf_static, 184, 212},	//909 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    {78, 494, 868, 2, Smoke::mf_static, 376, 213},	//910 QGlobalSpace::operator!=(const QStringRef&, const char*)
    {78, 548, 871, 2, Smoke::mf_static, 261, 214},	//911 QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    {78, 494, 596, 2, Smoke::mf_static, 376, 215},	//912 QGlobalSpace::operator!=(const char*, const QByteArray&)
    {78, 554, 874, 2, Smoke::mf_static, 149, 216},	//913 QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    {78, 538, 638, 2, Smoke::mf_static, 376, 217},	//914 QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    {78, 554, 877, 2, Smoke::mf_static, 184, 218},	//915 QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    {78, 554, 880, 2, Smoke::mf_static, 155, 219},	//916 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    {78, 548, 883, 2, Smoke::mf_static, 102, 220},	//917 QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    {78, 554, 886, 2, Smoke::mf_static, 131, 221},	//918 QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    {78, 554, 889, 2, Smoke::mf_static, 118, 222},	//919 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    {78, 554, 892, 2, Smoke::mf_static, 184, 223},	//920 QGlobalSpace::operator|(KConfig::OpenFlag, int)
    {78, 524, 895, 2, Smoke::mf_static, 102, 224},	//921 QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    {78, 554, 898, 2, Smoke::mf_static, 142, 225},	//922 QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    {78, 548, 901, 2, Smoke::mf_static, 102, 226},	//923 QGlobalSpace::operator>>(QDataStream&, QBrush&)
    {78, 524, 904, 2, Smoke::mf_static, 102, 227},	//924 QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    {78, 501, 907, 2, Smoke::mf_static, 433, 228},	//925 QGlobalSpace::operator*(const QPoint&, float)
    {78, 554, 910, 2, Smoke::mf_static, 184, 229},	//926 QGlobalSpace::operator|(QLocale::NumberOption, int)
    {78, 505, 913, 2, Smoke::mf_static, 448, 230},	//927 QGlobalSpace::operator+(const QString&, const QString&)
    {78, 554, 916, 2, Smoke::mf_static, 184, 231},	//928 QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    {78, 548, 919, 2, Smoke::mf_static, 102, 232},	//929 QGlobalSpace::operator>>(QDataStream&, KACL&)
    {78, 519, 593, 2, Smoke::mf_static, 376, 233},	//930 QGlobalSpace::operator<(const char*, const QString&)
    {78, 494, 593, 2, Smoke::mf_static, 376, 234},	//931 QGlobalSpace::operator!=(const char*, const QString&)
    {78, 494, 515, 2, Smoke::mf_static, 376, 235},	//932 QGlobalSpace::operator!=(const QByteArray&, const char*)
    {78, 494, 922, 2, Smoke::mf_static, 376, 236},	//933 QGlobalSpace::operator!=(const QString&, const QStringRef&)
    {78, 554, 925, 2, Smoke::mf_static, 123, 237},	//934 QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    {78, 554, 928, 2, Smoke::mf_static, 184, 238},	//935 QGlobalSpace::operator|(KUrl::EqualsOption, int)
    {78, 554, 931, 2, Smoke::mf_static, 184, 239},	//936 QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    {78, 554, 934, 2, Smoke::mf_static, 184, 240},	//937 QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    {78, 548, 937, 2, Smoke::mf_static, 102, 241},	//938 QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    {78, 538, 384, 2, Smoke::mf_static, 376, 242},	//939 QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    {78, 528, 378, 2, Smoke::mf_static, 376, 243},	//940 QGlobalSpace::operator<=(const char*, const QLatin1String&)
    {78, 533, 823, 2, Smoke::mf_static, 376, 244},	//941 QGlobalSpace::operator==(const QPoint&, const QPoint&)
    {78, 533, 940, 2, Smoke::mf_static, 376, 245},	//942 QGlobalSpace::operator==(const char*, const QStringRef&)
    {78, 554, 297, 2, Smoke::mf_static, 84, 246},	//943 QGlobalSpace::operator|(const QBitArray&, const QBitArray&)
    {78, 505, 596, 2, Smoke::mf_static, 392, 247},	//944 QGlobalSpace::operator+(const char*, const QByteArray&)
    {78, 548, 943, 2, Smoke::mf_static, 102, 248},	//945 QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    {78, 554, 946, 2, Smoke::mf_static, 184, 249},	//946 QGlobalSpace::operator|(Qt::MouseButton, int)
    {78, 528, 638, 2, Smoke::mf_static, 376, 250},	//947 QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    {78, 548, 949, 2, Smoke::mf_static, 102, 251},	//948 QGlobalSpace::operator>>(QDataStream&, QSize&)
    {78, 554, 952, 2, Smoke::mf_static, 166, 252},	//949 QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    {78, 554, 955, 2, Smoke::mf_static, 140, 253},	//950 QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    {78, 524, 958, 2, Smoke::mf_static, 98, 254},	//951 QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    {78, 554, 961, 2, Smoke::mf_static, 158, 255},	//952 QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    {78, 548, 964, 2, Smoke::mf_static, 102, 256},	//953 QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    {78, 533, 647, 2, Smoke::mf_static, 376, 257},	//954 QGlobalSpace::operator==(QChar, QChar)
    {78, 554, 967, 2, Smoke::mf_static, 172, 258},	//955 QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    {78, 494, 835, 2, Smoke::mf_static, 376, 259},	//956 QGlobalSpace::operator!=(const QStringRef&, const QString&)
    {78, 501, 970, 2, Smoke::mf_static, 195, 260},	//957 QGlobalSpace::operator*(const QLineF&, const QTransform&)
    {78, 494, 973, 2, Smoke::mf_static, 376, 261},	//958 QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    {78, 524, 976, 2, Smoke::mf_static, 102, 262},	//959 QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    {78, 524, 979, 2, Smoke::mf_static, 102, 263},	//960 QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    {78, 554, 982, 2, Smoke::mf_static, 173, 264},	//961 QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    {78, 524, 985, 2, Smoke::mf_static, 102, 265},	//962 QGlobalSpace::operator<<(QDataStream&, const QFont&)
    {78, 554, 988, 2, Smoke::mf_static, 130, 266},	//963 QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    {78, 554, 991, 2, Smoke::mf_static, 150, 267},	//964 QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    {78, 548, 994, 2, Smoke::mf_static, 397, 268},	//965 QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    {78, 554, 997, 2, Smoke::mf_static, 116, 269},	//966 QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    {78, 524, 1000, 2, Smoke::mf_static, 102, 270},	//967 QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    {78, 505, 1003, 2, Smoke::mf_static, 448, 271},	//968 QGlobalSpace::operator+(char, const QString&)
    {78, 494, 387, 2, Smoke::mf_static, 376, 272},	//969 QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    {78, 494, 647, 2, Smoke::mf_static, 376, 273},	//970 QGlobalSpace::operator!=(QChar, QChar)
    {78, 554, 1006, 2, Smoke::mf_static, 145, 274},	//971 QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    {78, 533, 838, 2, Smoke::mf_static, 376, 275},	//972 QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    {78, 554, 1009, 2, Smoke::mf_static, 184, 276},	//973 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    {78, 554, 1012, 2, Smoke::mf_static, 175, 277},	//974 QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    {78, 554, 1015, 2, Smoke::mf_static, 159, 278},	//975 QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    {78, 533, 381, 2, Smoke::mf_static, 376, 279},	//976 QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    {78, 548, 1018, 2, Smoke::mf_static, 102, 280},	//977 QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    {78, 548, 1021, 2, Smoke::mf_static, 102, 281},	//978 QGlobalSpace::operator>>(QDataStream&, QPalette&)
    {78, 524, 1024, 2, Smoke::mf_static, 102, 282},	//979 QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    {78, 533, 638, 2, Smoke::mf_static, 376, 283},	//980 QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    {78, 494, 1027, 2, Smoke::mf_static, 376, 284},	//981 QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    {78, 501, 1030, 2, Smoke::mf_static, 443, 285},	//982 QGlobalSpace::operator*(double, const QSize&)
    {78, 554, 1033, 2, Smoke::mf_static, 142, 286},	//983 QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    {78, 554, 1036, 2, Smoke::mf_static, 150, 287},	//984 QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    {78, 524, 1039, 2, Smoke::mf_static, 98, 288},	//985 QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    {78, 554, 1042, 2, Smoke::mf_static, 133, 289},	//986 QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    {78, 554, 1045, 2, Smoke::mf_static, 156, 290},	//987 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    {78, 524, 1048, 2, Smoke::mf_static, 102, 291},	//988 QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    {78, 554, 1051, 2, Smoke::mf_static, 135, 292},	//989 QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    {78, 543, 515, 2, Smoke::mf_static, 376, 293},	//990 QGlobalSpace::operator>=(const QByteArray&, const char*)
    {78, 501, 1054, 2, Smoke::mf_static, 433, 294},	//991 QGlobalSpace::operator*(double, const QPoint&)
    {78, 524, 1057, 2, Smoke::mf_static, 102, 295},	//992 QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    {78, 524, 1060, 2, Smoke::mf_static, 102, 296},	//993 QGlobalSpace::operator<<(QDataStream&, const QImage&)
    {78, 505, 1063, 2, Smoke::mf_static, 392, 297},	//994 QGlobalSpace::operator+(const QByteArray&, char)
    {78, 554, 1066, 2, Smoke::mf_static, 137, 298},	//995 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    {78, 517, 680, 2, Smoke::mf_static, 435, 299},	//996 QGlobalSpace::operator/(const QPointF&, double)
    {78, 543, 647, 2, Smoke::mf_static, 376, 300},	//997 QGlobalSpace::operator>=(QChar, QChar)
    {78, 528, 384, 2, Smoke::mf_static, 376, 301},	//998 QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    {78, 554, 1069, 2, Smoke::mf_static, 184, 302},	//999 QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    {78, 548, 1072, 2, Smoke::mf_static, 102, 303},	//1000 QGlobalSpace::operator>>(QDataStream&, QFont&)
    {78, 554, 1075, 2, Smoke::mf_static, 139, 304},	//1001 QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    {78, 494, 455, 2, Smoke::mf_static, 376, 305},	//1002 QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    {78, 528, 838, 2, Smoke::mf_static, 376, 306},	//1003 QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    {78, 554, 1078, 2, Smoke::mf_static, 148, 307},	//1004 QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    {78, 524, 1081, 2, Smoke::mf_static, 102, 308},	//1005 QGlobalSpace::operator<<(QDataStream&, const QSize&)
    {78, 554, 1084, 2, Smoke::mf_static, 144, 309},	//1006 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    {78, 538, 596, 2, Smoke::mf_static, 376, 310},	//1007 QGlobalSpace::operator>(const char*, const QByteArray&)
    {78, 548, 1087, 2, Smoke::mf_static, 102, 311},	//1008 QGlobalSpace::operator>>(QDataStream&, QRectF&)
    {78, 524, 1090, 2, Smoke::mf_static, 98, 312},	//1009 QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    {78, 554, 1093, 2, Smoke::mf_static, 157, 313},	//1010 QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    {78, 524, 1096, 2, Smoke::mf_static, 102, 314},	//1011 QGlobalSpace::operator<<(QDataStream&, const QChar&)
    {78, 533, 1027, 2, Smoke::mf_static, 376, 315},	//1012 QGlobalSpace::operator==(const QRectF&, const QRectF&)
    {78, 494, 1099, 2, Smoke::mf_static, 376, 316},	//1013 QGlobalSpace::operator!=(bool, QBool)
    {78, 554, 1102, 2, Smoke::mf_static, 131, 317},	//1014 QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    {78, 501, 1105, 2, Smoke::mf_static, 222, 318},	//1015 QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    {78, 494, 1108, 2, Smoke::mf_static, 376, 319},	//1016 QGlobalSpace::operator!=(QBool, bool)
    {78, 554, 1111, 2, Smoke::mf_static, 184, 320},	//1017 QGlobalSpace::operator|(Qt::WindowState, int)
    {78, 554, 1114, 2, Smoke::mf_static, 156, 321},	//1018 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    {78, 513, 823, 2, Smoke::mf_static, 433, 322},	//1019 QGlobalSpace::operator-(const QPoint&, const QPoint&)
    {78, 494, 629, 2, Smoke::mf_static, 376, 323},	//1020 QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 524, 1117, 2, Smoke::mf_static, 98, 324},	//1021 QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    {78, 548, 1120, 2, Smoke::mf_static, 102, 325},	//1022 QGlobalSpace::operator>>(QDataStream&, QStringList&)
    {78, 548, 1123, 2, Smoke::mf_static, 397, 326},	//1023 QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    {78, 505, 515, 2, Smoke::mf_static, 392, 327},	//1024 QGlobalSpace::operator+(const QByteArray&, const char*)
    {78, 524, 1126, 2, Smoke::mf_static, 102, 328},	//1025 QGlobalSpace::operator<<(QDataStream&, const QRect&)
    {78, 494, 381, 2, Smoke::mf_static, 376, 329},	//1026 QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    {78, 528, 596, 2, Smoke::mf_static, 376, 330},	//1027 QGlobalSpace::operator<=(const char*, const QByteArray&)
    {78, 554, 1129, 2, Smoke::mf_static, 184, 331},	//1028 QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    {78, 554, 1132, 2, Smoke::mf_static, 116, 332},	//1029 QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    {78, 524, 1135, 2, Smoke::mf_static, 102, 333},	//1030 QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    {78, 554, 1138, 2, Smoke::mf_static, 162, 334},	//1031 QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    {78, 533, 922, 2, Smoke::mf_static, 376, 335},	//1032 QGlobalSpace::operator==(const QString&, const QStringRef&)
    {78, 554, 1141, 2, Smoke::mf_static, 146, 336},	//1033 QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    {78, 494, 838, 2, Smoke::mf_static, 376, 337},	//1034 QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    {78, 524, 1144, 2, Smoke::mf_static, 102, 338},	//1035 QGlobalSpace::operator<<(QDataStream&, const QColor&)
    {78, 554, 1147, 2, Smoke::mf_static, 176, 339},	//1036 QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    {78, 501, 1150, 2, Smoke::mf_static, 443, 340},	//1037 QGlobalSpace::operator*(const QSize&, double)
    {78, 533, 1153, 2, Smoke::mf_static, 376, 341},	//1038 QGlobalSpace::operator==(QString::Null, const QString&)
    {78, 554, 1156, 2, Smoke::mf_static, 139, 342},	//1039 QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    {78, 519, 629, 2, Smoke::mf_static, 376, 343},	//1040 QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    {78, 554, 1159, 2, Smoke::mf_static, 166, 344},	//1041 QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    {78, 554, 1162, 2, Smoke::mf_static, 117, 345},	//1042 QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    {78, 548, 1165, 2, Smoke::mf_static, 102, 346},	//1043 QGlobalSpace::operator>>(QDataStream&, QPoint&)
    {78, 533, 515, 2, Smoke::mf_static, 376, 347},	//1044 QGlobalSpace::operator==(const QByteArray&, const char*)
    {78, 554, 1168, 2, Smoke::mf_static, 152, 348},	//1045 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    {78, 548, 1171, 2, Smoke::mf_static, 102, 349},	//1046 QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    {78, 524, 1174, 2, Smoke::mf_static, 98, 350},	//1047 QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    {78, 524, 1177, 2, Smoke::mf_static, 98, 351},	//1048 QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    {78, 538, 593, 2, Smoke::mf_static, 376, 352},	//1049 QGlobalSpace::operator>(const char*, const QString&)
    {78, 554, 1180, 2, Smoke::mf_static, 122, 353},	//1050 QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    {78, 524, 1183, 2, Smoke::mf_static, 102, 354},	//1051 QGlobalSpace::operator<<(QDataStream&, const QTime&)
    {78, 548, 1186, 2, Smoke::mf_static, 102, 355},	//1052 QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    {78, 554, 1189, 2, Smoke::mf_static, 136, 356},	//1053 QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    {78, 524, 1192, 2, Smoke::mf_static, 98, 357},	//1054 QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    {78, 538, 515, 2, Smoke::mf_static, 376, 358},	//1055 QGlobalSpace::operator>(const QByteArray&, const char*)
    {78, 519, 378, 2, Smoke::mf_static, 376, 359},	//1056 QGlobalSpace::operator<(const char*, const QLatin1String&)
    {78, 524, 1195, 2, Smoke::mf_static, 102, 360},	//1057 QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    {78, 524, 1198, 2, Smoke::mf_static, 98, 361},	//1058 QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    {78, 505, 823, 2, Smoke::mf_static, 433, 362},	//1059 QGlobalSpace::operator+(const QPoint&, const QPoint&)
    {78, 524, 1201, 2, Smoke::mf_static, 102, 363},	//1060 QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    {78, 554, 1204, 2, Smoke::mf_static, 123, 364},	//1061 QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    {78, 528, 647, 2, Smoke::mf_static, 376, 365},	//1062 QGlobalSpace::operator<=(QChar, QChar)
    {78, 524, 1207, 2, Smoke::mf_static, 261, 366},	//1063 QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    {78, 501, 1210, 2, Smoke::mf_static, 231, 367},	//1064 QGlobalSpace::operator*(const QRegion&, const QTransform&)
    {78, 494, 1153, 2, Smoke::mf_static, 376, 368},	//1065 QGlobalSpace::operator!=(QString::Null, const QString&)
    {78, 548, 1213, 2, Smoke::mf_static, 397, 369},	//1066 QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    {78, 538, 838, 2, Smoke::mf_static, 376, 370},	//1067 QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    {78, 554, 1216, 2, Smoke::mf_static, 148, 371},	//1068 QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    {78, 494, 734, 2, Smoke::mf_static, 376, 372},	//1069 QGlobalSpace::operator!=(const QString&, QString::Null)
    {78, 554, 1219, 2, Smoke::mf_static, 184, 373},	//1070 QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    {78, 554, 1222, 2, Smoke::mf_static, 184, 374},	//1071 QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    {78, 501, 1225, 2, Smoke::mf_static, 433, 375},	//1072 QGlobalSpace::operator*(int, const QPoint&)
    {78, 554, 1228, 2, Smoke::mf_static, 164, 376},	//1073 QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    {78, 501, 1231, 2, Smoke::mf_static, 224, 377},	//1074 QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    {78, 513, 1234, 1, Smoke::mf_static, 433, 378},	//1075 QGlobalSpace::operator-(const QPoint&)
    {78, 548, 1236, 2, Smoke::mf_static, 102, 379},	//1076 QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    {78, 524, 1239, 2, Smoke::mf_static, 98, 380},	//1077 QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    {78, 524, 1242, 2, Smoke::mf_static, 261, 381},	//1078 QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    {78, 554, 1245, 2, Smoke::mf_static, 129, 382},	//1079 QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    {78, 548, 1248, 2, Smoke::mf_static, 102, 383},	//1080 QGlobalSpace::operator>>(QDataStream&, QString&)
    {78, 533, 384, 2, Smoke::mf_static, 376, 384},	//1081 QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    {78, 554, 1251, 2, Smoke::mf_static, 144, 385},	//1082 QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    {78, 524, 1254, 2, Smoke::mf_static, 102, 386},	//1083 QGlobalSpace::operator<<(QDataStream&, const QString&)
    {78, 513, 617, 2, Smoke::mf_static, 435, 387},	//1084 QGlobalSpace::operator-(const QPointF&, const QPointF&)
    {78, 519, 838, 2, Smoke::mf_static, 376, 388},	//1085 QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    {78, 524, 1257, 2, Smoke::mf_static, 102, 389},	//1086 QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    {78, 548, 1260, 2, Smoke::mf_static, 102, 390},	//1087 QGlobalSpace::operator>>(QDataStream&, QChar&)
    {78, 505, 620, 2, Smoke::mf_static, 268, 391},	//1088 QGlobalSpace::operator+(const QTransform&, double)
    {78, 554, 1263, 2, Smoke::mf_static, 149, 392},	//1089 QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    {78, 554, 1266, 2, Smoke::mf_static, 172, 393},	//1090 QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    {78, 524, 1269, 2, Smoke::mf_static, 98, 394},	//1091 QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    {78, 533, 868, 2, Smoke::mf_static, 376, 395},	//1092 QGlobalSpace::operator==(const QStringRef&, const char*)
    {78, 494, 940, 2, Smoke::mf_static, 376, 396},	//1093 QGlobalSpace::operator!=(const char*, const QStringRef&)
    {78, 548, 1272, 2, Smoke::mf_static, 102, 397},	//1094 QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    {78, 505, 384, 2, Smoke::mf_static, 392, 398},	//1095 QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    {78, 554, 1275, 2, Smoke::mf_static, 118, 399},	//1096 QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    {78, 505, 1278, 2, Smoke::mf_static, 448, 400},	//1097 QGlobalSpace::operator+(const QString&, const QByteArray&)
    {78, 554, 1281, 2, Smoke::mf_static, 141, 401},	//1098 QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    {78, 548, 1284, 2, Smoke::mf_static, 102, 402},	//1099 QGlobalSpace::operator>>(QDataStream&, QRect&)
    {78, 554, 1287, 2, Smoke::mf_static, 184, 403},	//1100 QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    {78, 554, 1290, 2, Smoke::mf_static, 184, 404},	//1101 QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    {78, 554, 1293, 2, Smoke::mf_static, 151, 405},	//1102 QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    {78, 533, 593, 2, Smoke::mf_static, 376, 406},	//1103 QGlobalSpace::operator==(const char*, const QString&)
    {78, 524, 1296, 2, Smoke::mf_static, 102, 407},	//1104 QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    {78, 524, 1299, 2, Smoke::mf_static, 102, 408},	//1105 QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    {78, 554, 1302, 2, Smoke::mf_static, 184, 409},	//1106 QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    {78, 517, 1150, 2, Smoke::mf_static, 443, 410},	//1107 QGlobalSpace::operator/(const QSize&, double)
    {78, 548, 1305, 2, Smoke::mf_static, 102, 411},	//1108 QGlobalSpace::operator>>(QDataStream&, QLineF&)
    {78, 548, 1308, 2, Smoke::mf_static, 102, 412},	//1109 QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    {78, 548, 1311, 2, Smoke::mf_static, 397, 413},	//1110 QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    {78, 554, 1314, 2, Smoke::mf_static, 124, 414},	//1111 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    {78, 554, 1317, 2, Smoke::mf_static, 184, 415},	//1112 QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    {78, 533, 1099, 2, Smoke::mf_static, 376, 416},	//1113 QGlobalSpace::operator==(bool, QBool)
    {78, 554, 1320, 2, Smoke::mf_static, 121, 417},	//1114 QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    {78, 554, 1323, 2, Smoke::mf_static, 174, 418},	//1115 QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    {78, 554, 1326, 2, Smoke::mf_static, 184, 419},	//1116 QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    {78, 501, 1329, 2, Smoke::mf_static, 218, 420},	//1117 QGlobalSpace::operator*(const QPoint&, const QTransform&)
    {78, 554, 1332, 2, Smoke::mf_static, 184, 421},	//1118 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    {78, 554, 1335, 2, Smoke::mf_static, 184, 422},	//1119 QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    {78, 554, 1338, 2, Smoke::mf_static, 154, 423},	//1120 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    {78, 554, 1341, 2, Smoke::mf_static, 126, 424},	//1121 QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    {78, 543, 593, 2, Smoke::mf_static, 376, 425},	//1122 QGlobalSpace::operator>=(const char*, const QString&)
    {78, 524, 1344, 2, Smoke::mf_static, 102, 426},	//1123 QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    {78, 548, 1347, 2, Smoke::mf_static, 102, 427},	//1124 QGlobalSpace::operator>>(QDataStream&, QTime&)
    {78, 494, 617, 2, Smoke::mf_static, 376, 428},	//1125 QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    {78, 501, 1350, 2, Smoke::mf_static, 433, 429},	//1126 QGlobalSpace::operator*(const QPoint&, int)
    {78, 554, 1353, 2, Smoke::mf_static, 165, 430},	//1127 QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    {78, 513, 342, 2, Smoke::mf_static, 443, 431},	//1128 QGlobalSpace::operator-(const QSize&, const QSize&)
    {78, 554, 1356, 2, Smoke::mf_static, 152, 432},	//1129 QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    {78, 554, 1359, 2, Smoke::mf_static, 163, 433},	//1130 QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    {78, 554, 1362, 2, Smoke::mf_static, 163, 434},	//1131 QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    {78, 554, 1365, 2, Smoke::mf_static, 184, 435},	//1132 QGlobalSpace::operator|(Qt::Orientation, int)
    {78, 494, 378, 2, Smoke::mf_static, 376, 436},	//1133 QGlobalSpace::operator!=(const char*, const QLatin1String&)
    {78, 554, 1368, 2, Smoke::mf_static, 184, 437},	//1134 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    {78, 548, 1371, 2, Smoke::mf_static, 397, 438},	//1135 QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    {78, 505, 617, 2, Smoke::mf_static, 435, 439},	//1136 QGlobalSpace::operator+(const QPointF&, const QPointF&)
    {78, 501, 1374, 2, Smoke::mf_static, 231, 440},	//1137 QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    {78, 533, 1108, 2, Smoke::mf_static, 376, 441},	//1138 QGlobalSpace::operator==(QBool, bool)
    {78, 533, 339, 2, Smoke::mf_static, 376, 442},	//1139 QGlobalSpace::operator==(const QRect&, const QRect&)
    {78, 501, 1377, 2, Smoke::mf_static, 433, 443},	//1140 QGlobalSpace::operator*(float, const QPoint&)
    {78, 548, 1380, 2, Smoke::mf_static, 102, 444},	//1141 QGlobalSpace::operator>>(QDataStream&, QUrl&)
    {78, 554, 1383, 2, Smoke::mf_static, 145, 445},	//1142 QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    {78, 505, 1386, 2, Smoke::mf_static, 448, 446},	//1143 QGlobalSpace::operator+(const QString&, QChar)
    {78, 554, 1389, 2, Smoke::mf_static, 124, 447},	//1144 QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    {78, 494, 414, 2, Smoke::mf_static, 376, 448},	//1145 QGlobalSpace::operator!=(QString::Null, QString::Null)
    {78, 554, 1392, 2, Smoke::mf_static, 171, 449},	//1146 QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    {78, 554, 1395, 2, Smoke::mf_static, 154, 450},	//1147 QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    {78, 494, 402, 2, Smoke::mf_static, 376, 451},	//1148 QGlobalSpace::operator!=(QBool, QBool)
    {78, 524, 871, 2, Smoke::mf_static, 261, 452},	//1149 QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    {78, 533, 973, 2, Smoke::mf_static, 376, 453},	//1150 QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    {78, 513, 620, 2, Smoke::mf_static, 268, 454},	//1151 QGlobalSpace::operator-(const QTransform&, double)
    {78, 548, 1398, 2, Smoke::mf_static, 397, 455},	//1152 QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    {78, 554, 1401, 2, Smoke::mf_static, 146, 456},	//1153 QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    {78, 524, 1404, 2, Smoke::mf_static, 102, 457},	//1154 QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    {78, 510, 1407, 2, Smoke::mf_static, 49, 458},	//1155 QGlobalSpace::operator++(KIconLoader::Group&, int)
    {78, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 459},	//1156 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {78, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 460},	//1157 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {78, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 461},	//1158 QGlobalSpace::Q_STATIC_TYPE (enum)
    {78, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 462},	//1159 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {78, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 466, 463},	//1160 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {78, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 372, 464},	//1161 QGlobalSpace::LicensedXml (enum)
    {78, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 465},	//1162 QGlobalSpace::QtDebugMsg (enum)
    {78, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 466},	//1163 QGlobalSpace::QtWarningMsg (enum)
    {78, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 467},	//1164 QGlobalSpace::QtCriticalMsg (enum)
    {78, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 468},	//1165 QGlobalSpace::QtFatalMsg (enum)
    {78, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 354, 469},	//1166 QGlobalSpace::QtSystemMsg (enum)
    {78, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 363, 470},	//1167 QGlobalSpace::LicensedOpenGL (enum)
    {78, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 366, 471},	//1168 QGlobalSpace::LicensedQt3Support (enum)
    {78, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 364, 472},	//1169 QGlobalSpace::LicensedOpenVG (enum)
    {78, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 362, 473},	//1170 QGlobalSpace::LicensedNetwork (enum)
    {78, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 369, 474},	//1171 QGlobalSpace::LicensedSql (enum)
    {78, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 475},	//1172 QGlobalSpace::KST_KSycocaEntry (enum)
    {78, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 476},	//1173 QGlobalSpace::KST_KService (enum)
    {78, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 477},	//1174 QGlobalSpace::KST_KServiceType (enum)
    {78, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 478},	//1175 QGlobalSpace::KST_KMimeType (enum)
    {78, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 479},	//1176 QGlobalSpace::KST_KFolderMimeType (enum)
    {78, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 480},	//1177 QGlobalSpace::KST_KDEDesktopMimeType (enum)
    {78, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 481},	//1178 QGlobalSpace::KST_KMimeTypeEntry (enum)
    {78, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 482},	//1179 QGlobalSpace::KST_KServiceGroup (enum)
    {78, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 483},	//1180 QGlobalSpace::KST_KImageIOFormat (enum)
    {78, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 484},	//1181 QGlobalSpace::KST_KProtocolInfo (enum)
    {78, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 485},	//1182 QGlobalSpace::KST_KServiceSeparator (enum)
    {78, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 486},	//1183 QGlobalSpace::KST_KCustom (enum)
    {78, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 356, 487},	//1184 QGlobalSpace::LicensedCore (enum)
    {78, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 488},	//1185 QGlobalSpace::KST_KServiceFactory (enum)
    {78, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 489},	//1186 QGlobalSpace::KST_KServiceTypeFactory (enum)
    {78, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 490},	//1187 QGlobalSpace::KST_KServiceGroupFactory (enum)
    {78, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 491},	//1188 QGlobalSpace::KST_KImageIO (enum)
    {78, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 492},	//1189 QGlobalSpace::KST_KProtocolInfoFactory (enum)
    {78, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 493},	//1190 QGlobalSpace::KST_KMimeTypeFactory (enum)
    {78, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 61, 494},	//1191 QGlobalSpace::KST_CTimeInfo (enum)
    {78, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 370, 495},	//1192 QGlobalSpace::LicensedSvg (enum)
    {78, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 373, 496},	//1193 QGlobalSpace::LicensedXmlPatterns (enum)
    {78, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 359, 497},	//1194 QGlobalSpace::LicensedGui (enum)
    {78, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 358, 498},	//1195 QGlobalSpace::LicensedDeclarative (enum)
    {78, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 499},	//1196 QGlobalSpace::LicensedActiveQt (enum)
    {78, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 357, 500},	//1197 QGlobalSpace::LicensedDBus (enum)
    {78, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 371, 501},	//1198 QGlobalSpace::LicensedTest (enum)
    {78, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 368, 502},	//1199 QGlobalSpace::LicensedScriptTools (enum)
    {78, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 365, 503},	//1200 QGlobalSpace::LicensedQt3SupportLight (enum)
    {78, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 367, 504},	//1201 QGlobalSpace::LicensedScript (enum)
    {78, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 361, 505},	//1202 QGlobalSpace::LicensedMultimedia (enum)
    {78, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 360, 506},	//1203 QGlobalSpace::LicensedHelp (enum)
    {93, 849, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//1204 QListView::visualRect(const QModelIndex&) const
    {93, 609, 1410, 2, Smoke::mf_virtual, 0, 0},	//1205 QListView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {93, 394, 1234, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1206 QListView::indexAt(const QPoint&) const
    {93, 305, 0, 0, Smoke::mf_virtual, 0, 0},	//1207 QListView::doItemsLayout()
    {93, 588, 0, 0, Smoke::mf_virtual, 0, 0},	//1208 QListView::reset()
    {93, 721, 146, 1, Smoke::mf_virtual, 0, 0},	//1209 QListView::setRootIndex(const QModelIndex&)
    {93, 337, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1210 QListView::event(QEvent*)
    {93, 608, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1211 QListView::scrollContentsBy(int, int)
    {93, 597, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1212 QListView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {93, 481, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1213 QListView::mouseMoveEvent(QMouseEvent*)
    {93, 483, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1214 QListView::mouseReleaseEvent(QMouseEvent*)
    {93, 796, 1413, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1215 QListView::timerEvent(QTimerEvent*)
    {93, 782, 291, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1216 QListView::startDrag(QFlags<Qt::DropAction>)
    {93, 845, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 256, 0},	//1217 QListView::viewOptions() const
    {93, 385, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1218 QListView::horizontalOffset() const
    {93, 838, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1219 QListView::verticalOffset() const
    {93, 485, 1415, 2, Smoke::mf_protected|Smoke::mf_virtual, 205, 0},	//1220 QListView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {93, 724, 1418, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1221 QListView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {93, 850, 1421, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 231, 0},	//1222 QListView::visualRegionForSelection(const QItemSelection&) const
    {93, 622, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//1223 QListView::selectedIndexes() const
    {93, 817, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1224 QListView::updateGeometries()
    {93, 412, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1225 QListView::isIndexHidden(const QModelIndex&) const
    {93, 626, 1423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1226 QListView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {93, 271, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1227 QListView::currentChanged(const QModelIndex&, const QModelIndex&)
    {103, 337, 111, 1, Smoke::mf_virtual, 376, 0},	//1228 QObject::event(QEvent*)
    {103, 338, 113, 2, Smoke::mf_virtual, 376, 0},	//1229 QObject::eventFilter(QObject*, QEvent*)
    {103, 796, 1413, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1230 QObject::timerEvent(QTimerEvent*)
    {103, 248, 1426, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1231 QObject::childEvent(QChildEvent*)
    {103, 279, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1232 QObject::customEvent(QEvent*)
    {103, 263, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1233 QObject::connectNotify(const char*)
    {103, 304, 62, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1234 QObject::disconnectNotify(const char*)
    {124, 737, 207, 1, Smoke::mf_virtual, 0, 0},	//1235 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {124, 467, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1236 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {124, 464, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1237 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {124, 466, 1421, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//1238 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {124, 465, 1421, 1, Smoke::mf_const|Smoke::mf_virtual, 186, 0},	//1239 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {124, 348, 1428, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1240 QSortFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {124, 347, 1428, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1241 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {124, 391, 179, 3, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1242 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {124, 561, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1243 QSortFilterProxyModel::parent(const QModelIndex&) const
    {124, 595, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1244 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {124, 256, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1245 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {124, 281, 176, 2, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1246 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {124, 658, 255, 3, Smoke::mf_virtual, 376, 0},	//1247 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {124, 370, 259, 3, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1248 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {124, 679, 263, 4, Smoke::mf_virtual, 376, 0},	//1249 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {124, 471, 183, 1, Smoke::mf_const|Smoke::mf_virtual, 204, 0},	//1250 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {124, 317, 185, 5, Smoke::mf_virtual, 376, 0},	//1251 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {124, 398, 179, 3, Smoke::mf_virtual, 376, 0},	//1252 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {124, 397, 179, 3, Smoke::mf_virtual, 376, 0},	//1253 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {124, 579, 179, 3, Smoke::mf_virtual, 376, 0},	//1254 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {124, 576, 179, 3, Smoke::mf_virtual, 376, 0},	//1255 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {124, 340, 146, 1, Smoke::mf_virtual, 0, 0},	//1256 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {124, 354, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 167, 0},	//1257 QSortFilterProxyModel::flags(const QModelIndex&) const
    {124, 239, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1258 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {124, 468, 271, 5, Smoke::mf_const|Smoke::mf_virtual, 197, 0},	//1259 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {124, 780, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 235, 0},	//1260 QSortFilterProxyModel::span(const QModelIndex&) const
    {124, 474, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 245, 0},	//1261 QSortFilterProxyModel::mimeTypes() const
    {124, 788, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 163, 0},	//1262 QSortFilterProxyModel::supportedDropActions() const
    {135, 702, 207, 1, Smoke::mf_virtual, 0, 0},	//1263 QTreeView::setModel(QAbstractItemModel*)
    {135, 721, 146, 1, Smoke::mf_virtual, 0, 0},	//1264 QTreeView::setRootIndex(const QModelIndex&)
    {135, 726, 277, 1, Smoke::mf_virtual, 0, 0},	//1265 QTreeView::setSelectionModel(QItemSelectionModel*)
    {135, 450, 4, 1, Smoke::mf_virtual, 0, 0},	//1266 QTreeView::keyboardSearch(const QString&)
    {135, 849, 146, 1, Smoke::mf_const|Smoke::mf_virtual, 227, 0},	//1267 QTreeView::visualRect(const QModelIndex&) const
    {135, 609, 1410, 2, Smoke::mf_virtual, 0, 0},	//1268 QTreeView::scrollTo(const QModelIndex&, QAbstractItemView::ScrollHint)
    {135, 394, 1234, 1, Smoke::mf_const|Smoke::mf_virtual, 205, 0},	//1269 QTreeView::indexAt(const QPoint&) const
    {135, 305, 0, 0, Smoke::mf_virtual, 0, 0},	//1270 QTreeView::doItemsLayout()
    {135, 588, 0, 0, Smoke::mf_virtual, 0, 0},	//1271 QTreeView::reset()
    {135, 283, 34, 2, Smoke::mf_virtual, 0, 0},	//1272 QTreeView::dataChanged(const QModelIndex&, const QModelIndex&)
    {135, 610, 0, 0, Smoke::mf_virtual, 0, 0},	//1273 QTreeView::selectAll()
    {135, 608, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1274 QTreeView::scrollContentsBy(int, int)
    {135, 598, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1275 QTreeView::rowsInserted(const QModelIndex&, int, int)
    {135, 597, 223, 3, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1276 QTreeView::rowsAboutToBeRemoved(const QModelIndex&, int, int)
    {135, 485, 1415, 2, Smoke::mf_protected|Smoke::mf_virtual, 205, 0},	//1277 QTreeView::moveCursor(QAbstractItemView::CursorAction, QFlags<Qt::KeyboardModifier>)
    {135, 385, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1278 QTreeView::horizontalOffset() const
    {135, 838, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1279 QTreeView::verticalOffset() const
    {135, 724, 1418, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1280 QTreeView::setSelection(const QRect&, QFlags<QItemSelectionModel::SelectionFlag>)
    {135, 850, 1421, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 231, 0},	//1281 QTreeView::visualRegionForSelection(const QItemSelection&) const
    {135, 622, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 197, 0},	//1282 QTreeView::selectedIndexes() const
    {135, 796, 1413, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1283 QTreeView::timerEvent(QTimerEvent*)
    {135, 558, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1284 QTreeView::paintEvent(QPaintEvent*)
    {135, 314, 1431, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1285 QTreeView::drawRow(QPainter*, const QStyleOptionViewItem&, const QModelIndex&) const
    {135, 313, 1435, 3, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1286 QTreeView::drawBranches(QPainter*, const QRect&, const QModelIndex&) const
    {135, 482, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1287 QTreeView::mousePressEvent(QMouseEvent*)
    {135, 483, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1288 QTreeView::mouseReleaseEvent(QMouseEvent*)
    {135, 480, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1289 QTreeView::mouseDoubleClickEvent(QMouseEvent*)
    {135, 481, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1290 QTreeView::mouseMoveEvent(QMouseEvent*)
    {135, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1291 QTreeView::keyPressEvent(QKeyEvent*)
    {135, 311, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1292 QTreeView::dragMoveEvent(QDragMoveEvent*)
    {135, 846, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1293 QTreeView::viewportEvent(QEvent*)
    {135, 817, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1294 QTreeView::updateGeometries()
    {135, 765, 60, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1295 QTreeView::sizeHintForColumn(int) const
    {135, 386, 60, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1296 QTreeView::horizontalScrollbarAction(int)
    {135, 412, 146, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1297 QTreeView::isIndexHidden(const QModelIndex&) const
    {135, 626, 1423, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1298 QTreeView::selectionChanged(const QItemSelection&, const QItemSelection&)
    {135, 271, 34, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1299 QTreeView::currentChanged(const QModelIndex&, const QModelIndex&)
    {141, 293, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1300 QWidget::devType() const
    {141, 750, 8, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//1301 QWidget::setVisible(bool)
    {141, 764, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 235, 0},	//1302 QWidget::sizeHint() const
    {141, 475, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 235, 0},	//1303 QWidget::minimumSizeHint() const
    {141, 371, 60, 1, Smoke::mf_const|Smoke::mf_virtual, 465, 0},	//1304 QWidget::heightForWidth(int) const
    {141, 557, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 210, 0},	//1305 QWidget::paintEngine() const
    {141, 337, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1306 QWidget::event(QEvent*)
    {141, 482, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1307 QWidget::mousePressEvent(QMouseEvent*)
    {141, 483, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1308 QWidget::mouseReleaseEvent(QMouseEvent*)
    {141, 480, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1309 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {141, 481, 253, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1310 QWidget::mouseMoveEvent(QMouseEvent*)
    {141, 851, 49, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1311 QWidget::wheelEvent(QWheelEvent*)
    {141, 446, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1312 QWidget::keyPressEvent(QKeyEvent*)
    {141, 448, 58, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1313 QWidget::keyReleaseEvent(QKeyEvent*)
    {141, 356, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1314 QWidget::focusInEvent(QFocusEvent*)
    {141, 358, 293, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1315 QWidget::focusOutEvent(QFocusEvent*)
    {141, 334, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1316 QWidget::enterEvent(QEvent*)
    {141, 452, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1317 QWidget::leaveEvent(QEvent*)
    {141, 558, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1318 QWidget::paintEvent(QPaintEvent*)
    {141, 486, 1439, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1319 QWidget::moveEvent(QMoveEvent*)
    {141, 253, 56, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1320 QWidget::closeEvent(QCloseEvent*)
    {141, 266, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1321 QWidget::contextMenuEvent(QContextMenuEvent*)
    {141, 791, 1441, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1322 QWidget::tabletEvent(QTabletEvent*)
    {141, 225, 1443, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1323 QWidget::actionEvent(QActionEvent*)
    {141, 307, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1324 QWidget::dragEnterEvent(QDragEnterEvent*)
    {141, 311, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1325 QWidget::dragMoveEvent(QDragMoveEvent*)
    {141, 309, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1326 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {141, 315, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1327 QWidget::dropEvent(QDropEvent*)
    {141, 758, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1328 QWidget::showEvent(QShowEvent*)
    {141, 373, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1329 QWidget::hideEvent(QHideEvent*)
    {141, 856, 1445, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1330 QWidget::x11Event(_XEvent*)
    {141, 245, 111, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1331 QWidget::changeEvent(QEvent*)
    {141, 470, 1447, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 465, 0},	//1332 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {141, 395, 295, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1333 QWidget::inputMethodEvent(QInputMethodEvent*)
    {141, 396, 279, 1, Smoke::mf_const|Smoke::mf_virtual, 273, 0},	//1334 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {141, 357, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 376, 0},	//1335 QWidget::focusNextPrevChild(bool)
    {141, 784, 1449, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1336 QWidget::styleChange(QStyle&)
    {141, 332, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1337 QWidget::enabledChange(bool)
    {141, 560, 1451, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1338 QWidget::paletteChange(const QPalette&)
    {141, 359, 1453, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1339 QWidget::fontChange(const QFont&)
    {141, 853, 8, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1340 QWidget::windowActivationChange(bool)
    {141, 451, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//1341 QWidget::languageChange()
    {141, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 43},	//1342 QWidget::DrawWindowBackground (enum)
    {141, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 44},	//1343 QWidget::DrawChildren (enum)
    {141, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 278, 45},	//1344 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    703,  // QGlobalSpace::operator!=(const QMargins&, const QMargins&)
    712,  // QGlobalSpace::operator!=(const QRect&, const QRect&)
    733,  // QGlobalSpace::operator!=(const QVariant&, const QVariantComparisonHelper&)
    817,  // QGlobalSpace::operator!=(const QStringRef&, const QStringRef&)
    844,  // QGlobalSpace::operator!=(const QByteArray&, const QByteArray&)
    888,  // QGlobalSpace::operator!=(const QSize&, const QSize&)
    892,  // QGlobalSpace::operator!=(const QPoint&, const QPoint&)
    958,  // QGlobalSpace::operator!=(const QStringRef&, const QLatin1String&)
    969,  // QGlobalSpace::operator!=(const QLatin1String&, const QStringRef&)
    970,  // QGlobalSpace::operator!=(QChar, QChar)
    981,  // QGlobalSpace::operator!=(const QRectF&, const QRectF&)
    1002,  // QGlobalSpace::operator!=(const QDBusSignature&, const QDBusSignature&)
    1020,  // QGlobalSpace::operator!=(const QDBusObjectPath&, const QDBusObjectPath&)
    1026,  // QGlobalSpace::operator!=(const QSizeF&, const QSizeF&)
    1034,  // QGlobalSpace::operator!=(const QLatin1String&, const QLatin1String&)
    1125,  // QGlobalSpace::operator!=(const QPointF&, const QPointF&)
    1145,  // QGlobalSpace::operator!=(QString::Null, QString::Null)
    1148,  // QGlobalSpace::operator!=(QBool, QBool)
    0,
    910,  // QGlobalSpace::operator!=(const QStringRef&, const char*)
    932,  // QGlobalSpace::operator!=(const QByteArray&, const char*)
    956,  // QGlobalSpace::operator!=(const QStringRef&, const QString&)
    1016,  // QGlobalSpace::operator!=(QBool, bool)
    1065,  // QGlobalSpace::operator!=(QString::Null, const QString&)
    0,
    912,  // QGlobalSpace::operator!=(const char*, const QByteArray&)
    933,  // QGlobalSpace::operator!=(const QString&, const QStringRef&)
    1013,  // QGlobalSpace::operator!=(bool, QBool)
    1069,  // QGlobalSpace::operator!=(const QString&, QString::Null)
    1093,  // QGlobalSpace::operator!=(const char*, const QStringRef&)
    1133,  // QGlobalSpace::operator!=(const char*, const QLatin1String&)
    0,
    717,  // QGlobalSpace::operator*(const QPointF&, const QMatrix&)
    719,  // QGlobalSpace::operator*(const QLine&, const QTransform&)
    754,  // QGlobalSpace::operator*(const QPolygonF&, const QTransform&)
    780,  // QGlobalSpace::operator*(const QLine&, const QMatrix&)
    782,  // QGlobalSpace::operator*(const QLineF&, const QMatrix&)
    784,  // QGlobalSpace::operator*(const QPainterPath&, const QMatrix&)
    821,  // QGlobalSpace::operator*(const QPainterPath&, const QTransform&)
    852,  // QGlobalSpace::operator*(const QPolygon&, const QMatrix&)
    866,  // QGlobalSpace::operator*(const QPointF&, const QTransform&)
    884,  // QGlobalSpace::operator*(const QPoint&, const QMatrix&)
    957,  // QGlobalSpace::operator*(const QLineF&, const QTransform&)
    1015,  // QGlobalSpace::operator*(const QPolygon&, const QTransform&)
    1064,  // QGlobalSpace::operator*(const QRegion&, const QTransform&)
    1074,  // QGlobalSpace::operator*(const QPolygonF&, const QMatrix&)
    1117,  // QGlobalSpace::operator*(const QPoint&, const QTransform&)
    1137,  // QGlobalSpace::operator*(const QRegion&, const QMatrix&)
    0,
    700,  // QGlobalSpace::operator*(const QPoint&, double)
    723,  // QGlobalSpace::operator*(const QSizeF&, double)
    832,  // QGlobalSpace::operator*(const QPointF&, double)
    904,  // QGlobalSpace::operator*(const QTransform&, double)
    925,  // QGlobalSpace::operator*(const QPoint&, float)
    1037,  // QGlobalSpace::operator*(const QSize&, double)
    1126,  // QGlobalSpace::operator*(const QPoint&, int)
    0,
    701,  // QGlobalSpace::operator*(double, const QPointF&)
    704,  // QGlobalSpace::operator*(double, const QSizeF&)
    982,  // QGlobalSpace::operator*(double, const QSize&)
    991,  // QGlobalSpace::operator*(double, const QPoint&)
    1072,  // QGlobalSpace::operator*(int, const QPoint&)
    1140,  // QGlobalSpace::operator*(float, const QPoint&)
    0,
    713,  // QGlobalSpace::operator+(const QSize&, const QSize&)
    758,  // QGlobalSpace::operator+(const QSizeF&, const QSizeF&)
    1059,  // QGlobalSpace::operator+(const QPoint&, const QPoint&)
    1095,  // QGlobalSpace::operator+(const QByteArray&, const QByteArray&)
    1136,  // QGlobalSpace::operator+(const QPointF&, const QPointF&)
    0,
    744,  // QGlobalSpace::operator+(QChar, const QString&)
    864,  // QGlobalSpace::operator+(const QByteArray&, const QString&)
    994,  // QGlobalSpace::operator+(const QByteArray&, char)
    1024,  // QGlobalSpace::operator+(const QByteArray&, const char*)
    1088,  // QGlobalSpace::operator+(const QTransform&, double)
    0,
    797,  // QGlobalSpace::operator+(char, const QByteArray&)
    944,  // QGlobalSpace::operator+(const char*, const QByteArray&)
    1097,  // QGlobalSpace::operator+(const QString&, const QByteArray&)
    1143,  // QGlobalSpace::operator+(const QString&, QChar)
    0,
    789,  // QGlobalSpace::operator+(const QString&, const char*)
    801,  // QGlobalSpace::operator+(const char*, const QString&)
    869,  // QGlobalSpace::operator+(const QString&, char)
    927,  // QGlobalSpace::operator+(const QString&, const QString&)
    968,  // QGlobalSpace::operator+(char, const QString&)
    0,
    861,  // QGlobalSpace::operator-(const QPointF&)
    1075,  // QGlobalSpace::operator-(const QPoint&)
    0,
    727,  // QGlobalSpace::operator-(const QSizeF&, const QSizeF&)
    1019,  // QGlobalSpace::operator-(const QPoint&, const QPoint&)
    1084,  // QGlobalSpace::operator-(const QPointF&, const QPointF&)
    1128,  // QGlobalSpace::operator-(const QSize&, const QSize&)
    0,
    799,  // QGlobalSpace::operator/(const QPoint&, double)
    810,  // QGlobalSpace::operator/(const QTransform&, double)
    849,  // QGlobalSpace::operator/(const QSizeF&, double)
    996,  // QGlobalSpace::operator/(const QPointF&, double)
    1107,  // QGlobalSpace::operator/(const QSize&, double)
    0,
    752,  // QGlobalSpace::operator<(const QDBusSignature&, const QDBusSignature&)
    820,  // QGlobalSpace::operator<(QChar, QChar)
    857,  // QGlobalSpace::operator<(const QByteArray&, const QByteArray&)
    908,  // QGlobalSpace::operator<(const QStringRef&, const QStringRef&)
    1040,  // QGlobalSpace::operator<(const QDBusObjectPath&, const QDBusObjectPath&)
    1085,  // QGlobalSpace::operator<(const QLatin1String&, const QLatin1String&)
    0,
    882,  // QGlobalSpace::operator<(const char*, const QByteArray&)
    1056,  // QGlobalSpace::operator<(const char*, const QLatin1String&)
    0,
    708,  // QGlobalSpace::operator<<(QDataStream&, const QSizePolicy&)
    714,  // QGlobalSpace::operator<<(QDataStream&, const QTransform&)
    718,  // QGlobalSpace::operator<<(QDBusArgument&, const QRectF&)
    724,  // QGlobalSpace::operator<<(QDataStream&, const QLine&)
    741,  // QGlobalSpace::operator<<(QDataStream&, const QRectF&)
    748,  // QGlobalSpace::operator<<(QDataStream&, const QPalette&)
    751,  // QGlobalSpace::operator<<(QDataStream&, const QByteArray&)
    753,  // QGlobalSpace::operator<<(QDBusArgument&, const QLine&)
    767,  // QGlobalSpace::operator<<(QDataStream&, const KFileItem&)
    772,  // QGlobalSpace::operator<<(QDataStream&, const QRegExp&)
    787,  // QGlobalSpace::operator<<(QDataStream&, const QKeySequence&)
    792,  // QGlobalSpace::operator<<(QDataStream&, const QCursor&)
    822,  // QGlobalSpace::operator<<(QDataStream&, const QBrush&)
    837,  // QGlobalSpace::operator<<(QDataStream&, const QDate&)
    842,  // QGlobalSpace::operator<<(QDBusArgument&, const QDate&)
    863,  // QGlobalSpace::operator<<(QDataStream&, const QPixmap&)
    872,  // QGlobalSpace::operator<<(QDataStream&, const QUrl&)
    876,  // QGlobalSpace::operator<<(QDataStream&, const QVariant&)
    879,  // QGlobalSpace::operator<<(QDataStream&, const KACL&)
    890,  // QGlobalSpace::operator<<(QDBusArgument&, const QPointF&)
    903,  // QGlobalSpace::operator<<(QDataStream&, const QPolygon&)
    921,  // QGlobalSpace::operator<<(QDataStream&, const QLineF&)
    924,  // QGlobalSpace::operator<<(QDataStream&, const QPointF&)
    951,  // QGlobalSpace::operator<<(QDBusArgument&, const QSize&)
    959,  // QGlobalSpace::operator<<(QDataStream&, const QPolygonF&)
    960,  // QGlobalSpace::operator<<(QDataStream&, const QSizeF&)
    962,  // QGlobalSpace::operator<<(QDataStream&, const QFont&)
    967,  // QGlobalSpace::operator<<(QDataStream&, const QMatrix&)
    979,  // QGlobalSpace::operator<<(QDataStream&, const QPainterPath&)
    985,  // QGlobalSpace::operator<<(QDBusArgument&, const QRect&)
    988,  // QGlobalSpace::operator<<(QDataStream&, const QBitArray&)
    992,  // QGlobalSpace::operator<<(QDataStream&, const QPoint&)
    993,  // QGlobalSpace::operator<<(QDataStream&, const QImage&)
    1005,  // QGlobalSpace::operator<<(QDataStream&, const QSize&)
    1011,  // QGlobalSpace::operator<<(QDataStream&, const QChar&)
    1021,  // QGlobalSpace::operator<<(QDBusArgument&, const QDateTime&)
    1025,  // QGlobalSpace::operator<<(QDataStream&, const QRect&)
    1030,  // QGlobalSpace::operator<<(QDataStream&, const QRegion&)
    1035,  // QGlobalSpace::operator<<(QDataStream&, const QColor&)
    1047,  // QGlobalSpace::operator<<(QDBusArgument&, const QSizeF&)
    1051,  // QGlobalSpace::operator<<(QDataStream&, const QTime&)
    1057,  // QGlobalSpace::operator<<(QDataStream&, const KIO::UDSEntry&)
    1058,  // QGlobalSpace::operator<<(QDBusArgument&, const QLineF&)
    1060,  // QGlobalSpace::operator<<(QDataStream&, const QUuid&)
    1063,  // QGlobalSpace::operator<<(QTextStream&, QTextStreamManipulator)
    1077,  // QGlobalSpace::operator<<(QDBusArgument&, const QPoint&)
    1078,  // QGlobalSpace::operator<<(QTextStream&, const QDomNode&)
    1086,  // QGlobalSpace::operator<<(QDataStream&, const QEasingCurve&)
    1091,  // QGlobalSpace::operator<<(QDBusArgument&, const QTime&)
    1104,  // QGlobalSpace::operator<<(QDataStream&, const QIcon&)
    1123,  // QGlobalSpace::operator<<(QDataStream&, const QDateTime&)
    1149,  // QGlobalSpace::operator<<(QTextStream&, QTextStream&(*)(QTextStream&))
    1154,  // QGlobalSpace::operator<<(QDataStream&, const QLocale&)
    0,
    1083,  // QGlobalSpace::operator<<(QDataStream&, const QString&)
    1105,  // QGlobalSpace::operator<<(QDataStream&, const QVariant::Type)
    0,
    762,  // QGlobalSpace::operator<<(QDataStream&, const QStringList&)
    1009,  // QGlobalSpace::operator<<(QDBusArgument&, const QMap<QString,QVariant>&)
    1048,  // QGlobalSpace::operator<<(QDBusArgument&, const QList<QVariant>&)
    1054,  // QGlobalSpace::operator<<(QDBusArgument&, const QHash<QString,QVariant>&)
    0,
    947,  // QGlobalSpace::operator<=(const QStringRef&, const QStringRef&)
    998,  // QGlobalSpace::operator<=(const QByteArray&, const QByteArray&)
    1003,  // QGlobalSpace::operator<=(const QLatin1String&, const QLatin1String&)
    1062,  // QGlobalSpace::operator<=(QChar, QChar)
    0,
    940,  // QGlobalSpace::operator<=(const char*, const QLatin1String&)
    1027,  // QGlobalSpace::operator<=(const char*, const QByteArray&)
    0,
    721,  // QGlobalSpace::operator==(const QMargins&, const QMargins&)
    729,  // QGlobalSpace::operator==(const QLatin1String&, const QStringRef&)
    734,  // QGlobalSpace::operator==(QBool, QBool)
    738,  // QGlobalSpace::operator==(QString::Null, QString::Null)
    760,  // QGlobalSpace::operator==(const QDBusSignature&, const QDBusSignature&)
    809,  // QGlobalSpace::operator==(const QPointF&, const QPointF&)
    814,  // QGlobalSpace::operator==(const QDBusObjectPath&, const QDBusObjectPath&)
    835,  // QGlobalSpace::operator==(const QSize&, const QSize&)
    839,  // QGlobalSpace::operator==(const QDBusVariant&, const QDBusVariant&)
    871,  // QGlobalSpace::operator==(const QVariant&, const QVariantComparisonHelper&)
    898,  // QGlobalSpace::operator==(const QHashDummyValue&, const QHashDummyValue&)
    941,  // QGlobalSpace::operator==(const QPoint&, const QPoint&)
    954,  // QGlobalSpace::operator==(QChar, QChar)
    972,  // QGlobalSpace::operator==(const QLatin1String&, const QLatin1String&)
    976,  // QGlobalSpace::operator==(const QSizeF&, const QSizeF&)
    980,  // QGlobalSpace::operator==(const QStringRef&, const QStringRef&)
    1012,  // QGlobalSpace::operator==(const QRectF&, const QRectF&)
    1081,  // QGlobalSpace::operator==(const QByteArray&, const QByteArray&)
    1139,  // QGlobalSpace::operator==(const QRect&, const QRect&)
    1150,  // QGlobalSpace::operator==(const QStringRef&, const QLatin1String&)
    0,
    896,  // QGlobalSpace::operator==(const QStringRef&, const QString&)
    1038,  // QGlobalSpace::operator==(QString::Null, const QString&)
    1044,  // QGlobalSpace::operator==(const QByteArray&, const char*)
    1092,  // QGlobalSpace::operator==(const QStringRef&, const char*)
    1138,  // QGlobalSpace::operator==(QBool, bool)
    0,
    802,  // QGlobalSpace::operator==(const char*, const QByteArray&)
    840,  // QGlobalSpace::operator==(const char*, const QLatin1String&)
    856,  // QGlobalSpace::operator==(const QString&, QString::Null)
    942,  // QGlobalSpace::operator==(const char*, const QStringRef&)
    1032,  // QGlobalSpace::operator==(const QString&, const QStringRef&)
    1113,  // QGlobalSpace::operator==(bool, QBool)
    0,
    853,  // QGlobalSpace::operator>(QChar, QChar)
    914,  // QGlobalSpace::operator>(const QStringRef&, const QStringRef&)
    939,  // QGlobalSpace::operator>(const QByteArray&, const QByteArray&)
    1067,  // QGlobalSpace::operator>(const QLatin1String&, const QLatin1String&)
    0,
    726,  // QGlobalSpace::operator>(const char*, const QLatin1String&)
    1007,  // QGlobalSpace::operator>(const char*, const QByteArray&)
    0,
    728,  // QGlobalSpace::operator>=(const QByteArray&, const QByteArray&)
    870,  // QGlobalSpace::operator>=(const QStringRef&, const QStringRef&)
    897,  // QGlobalSpace::operator>=(const QLatin1String&, const QLatin1String&)
    997,  // QGlobalSpace::operator>=(QChar, QChar)
    0,
    823,  // QGlobalSpace::operator>=(const char*, const QLatin1String&)
    854,  // QGlobalSpace::operator>=(const char*, const QByteArray&)
    0,
    707,  // QGlobalSpace::operator>>(QDataStream&, QImage&)
    740,  // QGlobalSpace::operator>>(const QDBusArgument&, QVariant&)
    742,  // QGlobalSpace::operator>>(QDataStream&, QLocale&)
    755,  // QGlobalSpace::operator>>(QDataStream&, KIO::UDSEntry&)
    769,  // QGlobalSpace::operator>>(QDataStream&, QColor&)
    786,  // QGlobalSpace::operator>>(QDataStream&, QPointF&)
    790,  // QGlobalSpace::operator>>(const QDBusArgument&, QSizeF&)
    794,  // QGlobalSpace::operator>>(QDataStream&, QDate&)
    803,  // QGlobalSpace::operator>>(const QDBusArgument&, QDateTime&)
    804,  // QGlobalSpace::operator>>(QDataStream&, QUuid&)
    805,  // QGlobalSpace::operator>>(QDataStream&, QByteArray&)
    806,  // QGlobalSpace::operator>>(QDataStream&, QVariant&)
    808,  // QGlobalSpace::operator>>(QDataStream&, QRegExp&)
    828,  // QGlobalSpace::operator>>(QDataStream&, QRegion&)
    831,  // QGlobalSpace::operator>>(QDataStream&, QBitArray&)
    834,  // QGlobalSpace::operator>>(const QDBusArgument&, QPointF&)
    847,  // QGlobalSpace::operator>>(QDataStream&, QCursor&)
    851,  // QGlobalSpace::operator>>(QDataStream&, QTransform&)
    860,  // QGlobalSpace::operator>>(QDataStream&, QSizeF&)
    873,  // QGlobalSpace::operator>>(QDataStream&, KFileItem&)
    875,  // QGlobalSpace::operator>>(const QDBusArgument&, QLineF&)
    877,  // QGlobalSpace::operator>>(QDataStream&, QLine&)
    886,  // QGlobalSpace::operator>>(const QDBusArgument&, QTime&)
    902,  // QGlobalSpace::operator>>(QDataStream&, QIcon&)
    911,  // QGlobalSpace::operator>>(QTextStream&, QTextStream&(*)(QTextStream&))
    917,  // QGlobalSpace::operator>>(QDataStream&, QEasingCurve&)
    923,  // QGlobalSpace::operator>>(QDataStream&, QBrush&)
    929,  // QGlobalSpace::operator>>(QDataStream&, KACL&)
    938,  // QGlobalSpace::operator>>(QDataStream&, QSizePolicy&)
    945,  // QGlobalSpace::operator>>(QDataStream&, QMatrix&)
    948,  // QGlobalSpace::operator>>(QDataStream&, QSize&)
    965,  // QGlobalSpace::operator>>(const QDBusArgument&, QRect&)
    977,  // QGlobalSpace::operator>>(QDataStream&, QPolygonF&)
    978,  // QGlobalSpace::operator>>(QDataStream&, QPalette&)
    1000,  // QGlobalSpace::operator>>(QDataStream&, QFont&)
    1008,  // QGlobalSpace::operator>>(QDataStream&, QRectF&)
    1023,  // QGlobalSpace::operator>>(const QDBusArgument&, QRectF&)
    1043,  // QGlobalSpace::operator>>(QDataStream&, QPoint&)
    1046,  // QGlobalSpace::operator>>(QDataStream&, QDateTime&)
    1052,  // QGlobalSpace::operator>>(QDataStream&, QKeySequence&)
    1066,  // QGlobalSpace::operator>>(const QDBusArgument&, QPoint&)
    1076,  // QGlobalSpace::operator>>(QDataStream&, QPolygon&)
    1087,  // QGlobalSpace::operator>>(QDataStream&, QChar&)
    1094,  // QGlobalSpace::operator>>(QDataStream&, QPixmap&)
    1099,  // QGlobalSpace::operator>>(QDataStream&, QRect&)
    1108,  // QGlobalSpace::operator>>(QDataStream&, QLineF&)
    1109,  // QGlobalSpace::operator>>(QDataStream&, QPainterPath&)
    1110,  // QGlobalSpace::operator>>(const QDBusArgument&, QLine&)
    1124,  // QGlobalSpace::operator>>(QDataStream&, QTime&)
    1135,  // QGlobalSpace::operator>>(const QDBusArgument&, QDate&)
    1141,  // QGlobalSpace::operator>>(QDataStream&, QUrl&)
    1152,  // QGlobalSpace::operator>>(const QDBusArgument&, QSize&)
    0,
    953,  // QGlobalSpace::operator>>(QDataStream&, QVariant::Type&)
    1080,  // QGlobalSpace::operator>>(QDataStream&, QString&)
    0,
    699,  // QGlobalSpace::operator|(Qt::DockWidgetArea, int)
    702,  // QGlobalSpace::operator|(Qt::MouseButton, QFlags<Qt::MouseButton>)
    705,  // QGlobalSpace::operator|(QDir::SortFlag, int)
    706,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QAbstractItemView::EditTrigger)
    709,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, int)
    710,  // QGlobalSpace::operator|(Qt::InputMethodHint, int)
    711,  // QGlobalSpace::operator|(KFile::Mode, int)
    715,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QTextCodec::ConversionFlag)
    716,  // QGlobalSpace::operator|(QDir::Filter, QFlags<QDir::Filter>)
    720,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QFlags<QEventLoop::ProcessEventsFlag>)
    722,  // QGlobalSpace::operator|(Qt::WindowState, QFlags<Qt::WindowState>)
    725,  // QGlobalSpace::operator|(QDir::Filter, int)
    730,  // QGlobalSpace::operator|(Qt::MouseButton, Qt::MouseButton)
    731,  // QGlobalSpace::operator|(KUrl::CleanPathOption, QFlags<KUrl::CleanPathOption>)
    732,  // QGlobalSpace::operator|(KUrl::CleanPathOption, KUrl::CleanPathOption)
    735,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, int)
    736,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QStyleOptionTab::CornerWidget)
    737,  // QGlobalSpace::operator|(Qt::AlignmentFlag, QFlags<Qt::AlignmentFlag>)
    739,  // QGlobalSpace::operator|(KJob::Capability, KJob::Capability)
    743,  // QGlobalSpace::operator|(QStyle::SubControl, int)
    745,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QFlags<QIODevice::OpenModeFlag>)
    746,  // QGlobalSpace::operator|(KDialog::ButtonCode, KDialog::ButtonCode)
    747,  // QGlobalSpace::operator|(QDir::Filter, QDir::Filter)
    749,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, int)
    756,  // QGlobalSpace::operator|(Qt::ToolBarArea, Qt::ToolBarArea)
    757,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, int)
    759,  // QGlobalSpace::operator|(QWidget::RenderFlag, int)
    761,  // QGlobalSpace::operator|(Qt::DropAction, int)
    763,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, KUrl::EncodedPathAndQueryOption)
    764,  // QGlobalSpace::operator|(KConfig::OpenFlag, QFlags<KConfig::OpenFlag>)
    765,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QAbstractFileEngine::FileFlag)
    766,  // QGlobalSpace::operator|(KAction::ShortcutType, int)
    768,  // QGlobalSpace::operator|(Qt::AlignmentFlag, Qt::AlignmentFlag)
    770,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, int)
    771,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, QFlags<KGlobalSettings::GraphicEffect>)
    773,  // QGlobalSpace::operator|(QUrl::FormattingOption, int)
    775,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QFlags<QDirIterator::IteratorFlag>)
    776,  // QGlobalSpace::operator|(KUrl::DirectoryOption, KUrl::DirectoryOption)
    777,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, KGlobalSettings::GraphicEffect)
    778,  // QGlobalSpace::operator|(Qt::DockWidgetArea, QFlags<Qt::DockWidgetArea>)
    779,  // QGlobalSpace::operator|(KDialog::CaptionFlag, KDialog::CaptionFlag)
    781,  // QGlobalSpace::operator|(KUrl::DirectoryOption, QFlags<KUrl::DirectoryOption>)
    783,  // QGlobalSpace::operator|(Qt::Orientation, Qt::Orientation)
    785,  // QGlobalSpace::operator|(Qt::ToolBarArea, int)
    788,  // QGlobalSpace::operator|(Qt::MatchFlag, int)
    791,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, int)
    793,  // QGlobalSpace::operator|(Qt::GestureFlag, Qt::GestureFlag)
    795,  // QGlobalSpace::operator|(KFile::Mode, KFile::Mode)
    796,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, QIODevice::OpenModeFlag)
    798,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, int)
    800,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QDBusServiceWatcher::WatchModeFlag)
    807,  // QGlobalSpace::operator|(KDialog::ButtonCode, int)
    811,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QFlags<QAbstractSpinBox::StepEnabledFlag>)
    813,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, KDirLister::OpenUrlFlag)
    815,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QStyleOptionButton::ButtonFeature)
    816,  // QGlobalSpace::operator|(KFileMetaInfo::What, int)
    818,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, int)
    819,  // QGlobalSpace::operator|(QFile::Permission, int)
    824,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, QAbstractSpinBox::StepEnabledFlag)
    825,  // QGlobalSpace::operator|(QStyle::StateFlag, int)
    826,  // QGlobalSpace::operator|(KDialog::ButtonCode, QFlags<KDialog::ButtonCode>)
    827,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QDBusConnection::RegisterOption)
    829,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, int)
    830,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QFlags<QTextStream::NumberFlag>)
    833,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, int)
    836,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, QFlags<QAbstractFileEngine::FileFlag>)
    838,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QFlags<QDBusConnection::VirtualObjectRegisterOption>)
    841,  // QGlobalSpace::operator|(Qt::MatchFlag, QFlags<Qt::MatchFlag>)
    843,  // QGlobalSpace::operator|(Qt::GestureFlag, int)
    845,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QSizePolicy::ControlType)
    846,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, int)
    848,  // QGlobalSpace::operator|(Qt::KeyboardModifier, QFlags<Qt::KeyboardModifier>)
    850,  // QGlobalSpace::operator|(Qt::MatchFlag, Qt::MatchFlag)
    855,  // QGlobalSpace::operator|(QStyleOptionTab::CornerWidget, QFlags<QStyleOptionTab::CornerWidget>)
    858,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QStyleOptionToolButton::ToolButtonFeature)
    859,  // QGlobalSpace::operator|(QLibrary::LoadHint, int)
    862,  // QGlobalSpace::operator|(Qt::ItemFlag, Qt::ItemFlag)
    865,  // QGlobalSpace::operator|(Qt::WindowType, QFlags<Qt::WindowType>)
    867,  // QGlobalSpace::operator|(Qt::ItemFlag, QFlags<Qt::ItemFlag>)
    868,  // QGlobalSpace::operator|(Qt::TouchPointState, QFlags<Qt::TouchPointState>)
    874,  // QGlobalSpace::operator|(QSizePolicy::ControlType, QFlags<QSizePolicy::ControlType>)
    878,  // QGlobalSpace::operator|(KJob::Capability, int)
    880,  // QGlobalSpace::operator|(QAbstractSpinBox::StepEnabledFlag, int)
    881,  // QGlobalSpace::operator|(Qt::KeyboardModifier, Qt::KeyboardModifier)
    883,  // QGlobalSpace::operator|(Qt::AlignmentFlag, int)
    885,  // QGlobalSpace::operator|(Qt::KeyboardModifier, int)
    887,  // QGlobalSpace::operator|(Qt::ItemFlag, int)
    889,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, QFlags<Qt::ImageConversionFlag>)
    893,  // QGlobalSpace::operator|(QString::SectionFlag, int)
    894,  // QGlobalSpace::operator|(Qt::WindowType, int)
    895,  // QGlobalSpace::operator|(QWidget::RenderFlag, QWidget::RenderFlag)
    899,  // QGlobalSpace::operator|(KUrl::EqualsOption, KUrl::EqualsOption)
    901,  // QGlobalSpace::operator|(QUrl::FormattingOption, QUrl::FormattingOption)
    905,  // QGlobalSpace::operator|(Qt::TouchPointState, int)
    906,  // QGlobalSpace::operator|(KDialog::CaptionFlag, QFlags<KDialog::CaptionFlag>)
    907,  // QGlobalSpace::operator|(QWidget::RenderFlag, QFlags<QWidget::RenderFlag>)
    909,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, int)
    913,  // QGlobalSpace::operator|(QStyle::StateFlag, QFlags<QStyle::StateFlag>)
    915,  // QGlobalSpace::operator|(KUrl::CleanPathOption, int)
    916,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, QFlags<QStyleOptionToolButton::ToolButtonFeature>)
    918,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, KUrl::QueryItemsOption)
    919,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, KConfigBase::WriteConfigFlag)
    920,  // QGlobalSpace::operator|(KConfig::OpenFlag, int)
    922,  // QGlobalSpace::operator|(QFile::Permission, QFlags<QFile::Permission>)
    926,  // QGlobalSpace::operator|(QLocale::NumberOption, int)
    928,  // QGlobalSpace::operator|(QStyleOptionToolButton::ToolButtonFeature, int)
    934,  // QGlobalSpace::operator|(KFileMetaInfo::What, QFlags<KFileMetaInfo::What>)
    935,  // QGlobalSpace::operator|(KUrl::EqualsOption, int)
    936,  // QGlobalSpace::operator|(KDialog::CaptionFlag, int)
    937,  // QGlobalSpace::operator|(QSizePolicy::ControlType, int)
    946,  // QGlobalSpace::operator|(Qt::MouseButton, int)
    949,  // QGlobalSpace::operator|(Qt::InputMethodHint, Qt::InputMethodHint)
    950,  // QGlobalSpace::operator|(QDirIterator::IteratorFlag, QDirIterator::IteratorFlag)
    952,  // QGlobalSpace::operator|(QTextStream::NumberFlag, QTextStream::NumberFlag)
    955,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, QFlags<Qt::TextInteractionFlag>)
    961,  // QGlobalSpace::operator|(Qt::ToolBarArea, QFlags<Qt::ToolBarArea>)
    963,  // QGlobalSpace::operator|(KUrl::EqualsOption, QFlags<KUrl::EqualsOption>)
    964,  // QGlobalSpace::operator|(QStyle::SubControl, QFlags<QStyle::SubControl>)
    966,  // QGlobalSpace::operator|(KAction::ShortcutType, QFlags<KAction::ShortcutType>)
    971,  // QGlobalSpace::operator|(QLibrary::LoadHint, QLibrary::LoadHint)
    973,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, int)
    974,  // QGlobalSpace::operator|(Qt::WindowState, Qt::WindowState)
    975,  // QGlobalSpace::operator|(QUrl::FormattingOption, QFlags<QUrl::FormattingOption>)
    983,  // QGlobalSpace::operator|(QFile::Permission, QFile::Permission)
    984,  // QGlobalSpace::operator|(QStyle::SubControl, QStyle::SubControl)
    986,  // QGlobalSpace::operator|(QAbstractItemView::EditTrigger, QFlags<QAbstractItemView::EditTrigger>)
    987,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QStyleOptionViewItemV2::ViewItemFeature)
    989,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, QFlags<QDBusConnection::RegisterOption>)
    995,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, QFlags<QDBusServiceWatcher::WatchModeFlag>)
    999,  // QGlobalSpace::operator|(QDBusServiceWatcher::WatchModeFlag, int)
    1001,  // QGlobalSpace::operator|(QDir::SortFlag, QFlags<QDir::SortFlag>)
    1004,  // QGlobalSpace::operator|(QString::SectionFlag, QFlags<QString::SectionFlag>)
    1006,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QFlags<QItemSelectionModel::SelectionFlag>)
    1010,  // QGlobalSpace::operator|(QTextCodec::ConversionFlag, QFlags<QTextCodec::ConversionFlag>)
    1014,  // QGlobalSpace::operator|(KUrl::QueryItemsOption, QFlags<KUrl::QueryItemsOption>)
    1017,  // QGlobalSpace::operator|(Qt::WindowState, int)
    1018,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, QFlags<QStyleOptionViewItemV2::ViewItemFeature>)
    1028,  // QGlobalSpace::operator|(KUrl::DirectoryOption, int)
    1029,  // QGlobalSpace::operator|(KAction::ShortcutType, KAction::ShortcutType)
    1031,  // QGlobalSpace::operator|(Qt::DockWidgetArea, Qt::DockWidgetArea)
    1033,  // QGlobalSpace::operator|(QLocale::NumberOption, QFlags<QLocale::NumberOption>)
    1036,  // QGlobalSpace::operator|(Qt::WindowType, Qt::WindowType)
    1039,  // QGlobalSpace::operator|(QDir::SortFlag, QDir::SortFlag)
    1041,  // QGlobalSpace::operator|(Qt::InputMethodHint, QFlags<Qt::InputMethodHint>)
    1042,  // QGlobalSpace::operator|(KConfig::OpenFlag, KConfig::OpenFlag)
    1045,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QStyleOptionFrameV2::FrameFeature)
    1050,  // QGlobalSpace::operator|(KFile::Mode, QFlags<KFile::Mode>)
    1053,  // QGlobalSpace::operator|(QDBusConnection::VirtualObjectRegisterOption, QDBusConnection::VirtualObjectRegisterOption)
    1061,  // QGlobalSpace::operator|(KFileMetaInfo::What, KFileMetaInfo::What)
    1068,  // QGlobalSpace::operator|(QString::SectionFlag, QString::SectionFlag)
    1070,  // QGlobalSpace::operator|(QTextStream::NumberFlag, int)
    1071,  // QGlobalSpace::operator|(QIODevice::OpenModeFlag, int)
    1073,  // QGlobalSpace::operator|(Qt::GestureFlag, QFlags<Qt::GestureFlag>)
    1079,  // QGlobalSpace::operator|(KUrl::EncodedPathAndQueryOption, QFlags<KUrl::EncodedPathAndQueryOption>)
    1082,  // QGlobalSpace::operator|(QItemSelectionModel::SelectionFlag, QItemSelectionModel::SelectionFlag)
    1089,  // QGlobalSpace::operator|(QStyle::StateFlag, QStyle::StateFlag)
    1090,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, Qt::TextInteractionFlag)
    1096,  // QGlobalSpace::operator|(KConfigBase::WriteConfigFlag, QFlags<KConfigBase::WriteConfigFlag>)
    1098,  // QGlobalSpace::operator|(QEventLoop::ProcessEventsFlag, QEventLoop::ProcessEventsFlag)
    1100,  // QGlobalSpace::operator|(QAbstractFileEngine::FileFlag, int)
    1101,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, int)
    1102,  // QGlobalSpace::operator|(QStyleOptionButton::ButtonFeature, QFlags<QStyleOptionButton::ButtonFeature>)
    1106,  // QGlobalSpace::operator|(QStyleOptionViewItemV2::ViewItemFeature, int)
    1111,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, KGlobalSettings::ActivateOption)
    1112,  // QGlobalSpace::operator|(KGlobalSettings::GraphicEffect, int)
    1114,  // QGlobalSpace::operator|(KDirLister::OpenUrlFlag, QFlags<KDirLister::OpenUrlFlag>)
    1115,  // QGlobalSpace::operator|(Qt::TouchPointState, Qt::TouchPointState)
    1116,  // QGlobalSpace::operator|(Qt::TextInteractionFlag, int)
    1118,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, int)
    1119,  // QGlobalSpace::operator|(QDBusConnection::RegisterOption, int)
    1120,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QStyleOptionToolBar::ToolBarFeature)
    1121,  // QGlobalSpace::operator|(KJob::Capability, QFlags<KJob::Capability>)
    1127,  // QGlobalSpace::operator|(Qt::ImageConversionFlag, Qt::ImageConversionFlag)
    1129,  // QGlobalSpace::operator|(QStyleOptionFrameV2::FrameFeature, QFlags<QStyleOptionFrameV2::FrameFeature>)
    1130,  // QGlobalSpace::operator|(Qt::DropAction, QFlags<Qt::DropAction>)
    1131,  // QGlobalSpace::operator|(Qt::DropAction, Qt::DropAction)
    1132,  // QGlobalSpace::operator|(Qt::Orientation, int)
    1134,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, int)
    1142,  // QGlobalSpace::operator|(QLibrary::LoadHint, QFlags<QLibrary::LoadHint>)
    1144,  // QGlobalSpace::operator|(KGlobalSettings::ActivateOption, QFlags<KGlobalSettings::ActivateOption>)
    1146,  // QGlobalSpace::operator|(Qt::Orientation, QFlags<Qt::Orientation>)
    1147,  // QGlobalSpace::operator|(QStyleOptionToolBar::ToolBarFeature, QFlags<QStyleOptionToolBar::ToolBarFeature>)
    1153,  // QGlobalSpace::operator|(QLocale::NumberOption, QLocale::NumberOption)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {2, 67, 36},	// KAbstractFileWidget::KAbstractFileWidget
    {2, 68, 37},	// KAbstractFileWidget::KAbstractFileWidget#
    {2, 166, 41},	// KAbstractFileWidget::Opening
    {2, 167, 40},	// KAbstractFileWidget::Other
    {2, 189, 42},	// KAbstractFileWidget::Saving
    {2, 222, 31},	// KAbstractFileWidget::accept
    {2, 224, 27},	// KAbstractFileWidget::actionCollection
    {2, 236, 3},	// KAbstractFileWidget::baseUrl
    {2, 242, 24},	// KAbstractFileWidget::cancelButton
    {2, 249, 17},	// KAbstractFileWidget::clearFilter
    {2, 273, 13},	// KAbstractFileWidget::currentFilter
    {2, 274, 14},	// KAbstractFileWidget::currentFilterMimeType
    {2, 277, 16},	// KAbstractFileWidget::currentMimeFilter
    {2, 351, 26},	// KAbstractFileWidget::filterWidget
    {2, 445, 11},	// KAbstractFileWidget::keepsLocation
    {2, 455, 25},	// KAbstractFileWidget::locationEdit
    {2, 479, 20},	// KAbstractFileWidget::mode
    {2, 491, 23},	// KAbstractFileWidget::okButton
    {2, 493, 9},	// KAbstractFileWidget::operationMode
    {2, 620, 4},	// KAbstractFileWidget::selectedFile
    {2, 621, 5},	// KAbstractFileWidget::selectedFiles
    {2, 624, 1},	// KAbstractFileWidget::selectedUrl
    {2, 625, 2},	// KAbstractFileWidget::selectedUrls
    {2, 641, 34},	// KAbstractFileWidget::setConfirmOverwrite$
    {2, 656, 28},	// KAbstractFileWidget::setCustomWidget#
    {2, 657, 29},	// KAbstractFileWidget::setCustomWidget$#
    {2, 676, 12},	// KAbstractFileWidget::setFilter$
    {2, 686, 35},	// KAbstractFileWidget::setInlinePreviewShown$
    {2, 691, 10},	// KAbstractFileWidget::setKeepLocation$
    {2, 694, 21},	// KAbstractFileWidget::setLocationLabel$
    {2, 698, 39},	// KAbstractFileWidget::setMimeFilter?
    {2, 699, 15},	// KAbstractFileWidget::setMimeFilter?$
    {2, 701, 19},	// KAbstractFileWidget::setMode$
    {2, 711, 8},	// KAbstractFileWidget::setOperationMode$
    {2, 720, 18},	// KAbstractFileWidget::setPreviewWidget#
    {2, 725, 7},	// KAbstractFileWidget::setSelection$
    {2, 741, 38},	// KAbstractFileWidget::setUrl#
    {2, 742, 6},	// KAbstractFileWidget::setUrl#$
    {2, 768, 32},	// KAbstractFileWidget::slotCancel
    {2, 771, 30},	// KAbstractFileWidget::slotOk
    {2, 799, 22},	// KAbstractFileWidget::toolBar
    {2, 848, 33},	// KAbstractFileWidget::virtual_hook$$
    {2, 857, 43},	// KAbstractFileWidget::~KAbstractFileWidget
    {15, 8, 221},	// KDirOperator::AllActions
    {15, 47, 220},	// KDirOperator::FileActions
    {15, 69, 208},	// KDirOperator::KDirOperator
    {15, 70, 209},	// KDirOperator::KDirOperator#
    {15, 71, 96},	// KDirOperator::KDirOperator##
    {15, 151, 219},	// KDirOperator::NavActions
    {15, 205, 217},	// KDirOperator::SortActions
    {15, 219, 218},	// KDirOperator::ViewActions
    {15, 224, 130},	// KDirOperator::actionCollection
    {15, 229, 166},	// KDirOperator::activatedMenu##
    {15, 235, 169},	// KDirOperator::back
    {15, 244, 172},	// KDirOperator::cdUp
    {15, 246, 167},	// KDirOperator::changeEvent#
    {15, 247, 165},	// KDirOperator::checkPreviewSupport
    {15, 249, 106},	// KDirOperator::clearFilter
    {15, 250, 139},	// KDirOperator::clearHistory
    {15, 251, 99},	// KDirOperator::close
    {15, 261, 197},	// KDirOperator::completion$
    {15, 262, 128},	// KDirOperator::completionObject
    {15, 265, 204},	// KDirOperator::contextMenuAboutToShow##
    {15, 270, 156},	// KDirOperator::createView#$
    {15, 276, 205},	// KDirOperator::currentIconSizeChanged$
    {15, 285, 150},	// KDirOperator::decorationPosition
    {15, 288, 211},	// KDirOperator::del#
    {15, 289, 212},	// KDirOperator::del##
    {15, 290, 213},	// KDirOperator::del##$
    {15, 291, 138},	// KDirOperator::del##$$
    {15, 292, 176},	// KDirOperator::deleteSelected
    {15, 297, 201},	// KDirOperator::dirActivated#
    {15, 298, 129},	// KDirOperator::dirCompletionObject
    {15, 299, 141},	// KDirOperator::dirHighlighting
    {15, 300, 119},	// KDirOperator::dirLister
    {15, 301, 142},	// KDirOperator::dirOnlyMode
    {15, 302, 143},	// KDirOperator::dirOnlyMode$
    {15, 320, 203},	// KDirOperator::dropped##?
    {15, 339, 168},	// KDirOperator::eventFilter##
    {15, 342, 200},	// KDirOperator::fileHighlighted#
    {15, 345, 202},	// KDirOperator::fileSelected#
    {15, 353, 198},	// KDirOperator::finishedLoading
    {15, 360, 170},	// KDirOperator::forward
    {15, 377, 186},	// KDirOperator::highlightFile#
    {15, 383, 171},	// KDirOperator::home
    {15, 390, 153},	// KDirOperator::iconsZoom
    {15, 413, 152},	// KDirOperator::isInlinePreviewShown
    {15, 421, 118},	// KDirOperator::isRoot
    {15, 422, 155},	// KDirOperator::isSaving
    {15, 424, 125},	// KDirOperator::isSelected#
    {15, 447, 159},	// KDirOperator::keyPressEvent#
    {15, 461, 178},	// KDirOperator::makeCompletion$
    {15, 463, 179},	// KDirOperator::makeDirCompletion$
    {15, 469, 89},	// KDirOperator::metaObject
    {15, 473, 103},	// KDirOperator::mimeFilter
    {15, 476, 175},	// KDirOperator::mkdir
    {15, 477, 210},	// KDirOperator::mkdir$
    {15, 478, 137},	// KDirOperator::mkdir$$
    {15, 479, 122},	// KDirOperator::mode
    {15, 487, 101},	// KDirOperator::nameFilter
    {15, 488, 105},	// KDirOperator::newFileMenuSupportedMimeTypes
    {15, 489, 126},	// KDirOperator::numDirs
    {15, 490, 127},	// KDirOperator::numFiles
    {15, 492, 136},	// KDirOperator::onlyDoubleClickSelectsFiles
    {15, 563, 183},	// KDirOperator::pathChanged
    {15, 566, 164},	// KDirOperator::prepareCompletionObjects
    {15, 567, 148},	// KDirOperator::previewGenerator
    {15, 568, 120},	// KDirOperator::progressBar
    {15, 570, 95},	// KDirOperator::qt_metacall$$?
    {15, 572, 90},	// KDirOperator::qt_metacast$
    {15, 574, 133},	// KDirOperator::readConfig#
    {15, 587, 174},	// KDirOperator::rereadDir
    {15, 589, 182},	// KDirOperator::resetCursor
    {15, 591, 158},	// KDirOperator::resizeEvent#
    {15, 612, 184},	// KDirOperator::selectDir#
    {15, 619, 185},	// KDirOperator::selectFile#
    {15, 623, 124},	// KDirOperator::selectedItems
    {15, 629, 145},	// KDirOperator::setAcceptDrops$
    {15, 646, 110},	// KDirOperator::setCurrentItem#
    {15, 647, 109},	// KDirOperator::setCurrentItem$
    {15, 649, 112},	// KDirOperator::setCurrentItems#
    {15, 650, 111},	// KDirOperator::setCurrentItems?
    {15, 660, 151},	// KDirOperator::setDecorationPosition$
    {15, 664, 157},	// KDirOperator::setDirLister#
    {15, 670, 146},	// KDirOperator::setDropOptions$
    {15, 672, 140},	// KDirOperator::setEnableDirHighlighting$
    {15, 684, 181},	// KDirOperator::setIconsZoom$
    {15, 686, 149},	// KDirOperator::setInlinePreviewShown$
    {15, 688, 154},	// KDirOperator::setIsSaving$
    {15, 698, 102},	// KDirOperator::setMimeFilter?
    {15, 701, 121},	// KDirOperator::setMode$
    {15, 705, 100},	// KDirOperator::setNameFilter$
    {15, 707, 104},	// KDirOperator::setNewFileMenuSupportedMimeTypes?
    {15, 709, 135},	// KDirOperator::setOnlyDoubleClickSelectsFiles$
    {15, 720, 123},	// KDirOperator::setPreviewWidget#
    {15, 732, 97},	// KDirOperator::setShowHiddenFiles$
    {15, 736, 116},	// KDirOperator::setSorting$
    {15, 742, 108},	// KDirOperator::setUrl#$
    {15, 746, 113},	// KDirOperator::setView#
    {15, 747, 115},	// KDirOperator::setView$
    {15, 749, 131},	// KDirOperator::setViewConfig#
    {15, 751, 160},	// KDirOperator::setupActions
    {15, 754, 163},	// KDirOperator::setupMenu
    {15, 755, 144},	// KDirOperator::setupMenu$
    {15, 761, 98},	// KDirOperator::showHiddenFiles
    {15, 770, 194},	// KDirOperator::slotCompletionMatch$
    {15, 773, 189},	// KDirOperator::sortByDate
    {15, 774, 187},	// KDirOperator::sortByName
    {15, 775, 188},	// KDirOperator::sortBySize
    {15, 776, 190},	// KDirOperator::sortByType
    {15, 778, 191},	// KDirOperator::sortReversed
    {15, 779, 117},	// KDirOperator::sorting
    {15, 783, 216},	// KDirOperator::staticMetaObject
    {15, 797, 192},	// KDirOperator::toggleDirsFirst
    {15, 798, 193},	// KDirOperator::toggleIgnoreCase
    {15, 801, 206},	// KDirOperator::tr$
    {15, 802, 91},	// KDirOperator::tr$$
    {15, 803, 93},	// KDirOperator::tr$$$
    {15, 805, 207},	// KDirOperator::trUtf8$
    {15, 806, 92},	// KDirOperator::trUtf8$$
    {15, 807, 94},	// KDirOperator::trUtf8$$$
    {15, 809, 214},	// KDirOperator::trash##
    {15, 810, 215},	// KDirOperator::trash##$
    {15, 811, 147},	// KDirOperator::trash##$$
    {15, 812, 180},	// KDirOperator::trashSelected
    {15, 814, 173},	// KDirOperator::updateDir
    {15, 820, 196},	// KDirOperator::updateInformation$$
    {15, 822, 177},	// KDirOperator::updateSelectionDependentActions
    {15, 823, 161},	// KDirOperator::updateSortActions
    {15, 824, 162},	// KDirOperator::updateViewActions
    {15, 825, 107},	// KDirOperator::url
    {15, 833, 195},	// KDirOperator::urlEntered#
    {15, 841, 114},	// KDirOperator::view
    {15, 843, 199},	// KDirOperator::viewChanged#
    {15, 844, 132},	// KDirOperator::viewConfigGroup
    {15, 855, 134},	// KDirOperator::writeConfig#
    {15, 858, 222},	// KDirOperator::~KDirOperator
    {16, 72, 241},	// KDirSelectDialog::KDirSelectDialog
    {16, 73, 242},	// KDirSelectDialog::KDirSelectDialog#
    {16, 74, 243},	// KDirSelectDialog::KDirSelectDialog#$
    {16, 75, 230},	// KDirSelectDialog::KDirSelectDialog#$#
    {16, 222, 237},	// KDirSelectDialog::accept
    {16, 374, 238},	// KDirSelectDialog::hideEvent#
    {16, 454, 233},	// KDirSelectDialog::localOnly
    {16, 469, 223},	// KDirSelectDialog::metaObject
    {16, 570, 229},	// KDirSelectDialog::qt_metacall$$?
    {16, 572, 224},	// KDirSelectDialog::qt_metacast$
    {16, 613, 244},	// KDirSelectDialog::selectDirectory
    {16, 614, 245},	// KDirSelectDialog::selectDirectory#
    {16, 615, 246},	// KDirSelectDialog::selectDirectory#$
    {16, 616, 247},	// KDirSelectDialog::selectDirectory#$#
    {16, 617, 234},	// KDirSelectDialog::selectDirectory#$#$
    {16, 652, 236},	// KDirSelectDialog::setCurrentUrl#
    {16, 781, 235},	// KDirSelectDialog::startDir
    {16, 783, 248},	// KDirSelectDialog::staticMetaObject
    {16, 801, 239},	// KDirSelectDialog::tr$
    {16, 802, 225},	// KDirSelectDialog::tr$$
    {16, 803, 227},	// KDirSelectDialog::tr$$$
    {16, 805, 240},	// KDirSelectDialog::trUtf8$
    {16, 806, 226},	// KDirSelectDialog::trUtf8$$
    {16, 807, 228},	// KDirSelectDialog::trUtf8$$$
    {16, 825, 231},	// KDirSelectDialog::url
    {16, 841, 232},	// KDirSelectDialog::view
    {16, 859, 249},	// KDirSelectDialog::~KDirSelectDialog
    {17, 76, 266},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel
    {17, 77, 257},	// KDirSortFilterProxyModel::KDirSortFilterProxyModel#
    {17, 241, 259},	// KDirSortFilterProxyModel::canFetchMore#
    {17, 368, 267},	// KDirSortFilterProxyModel::hasChildren
    {17, 369, 258},	// KDirSortFilterProxyModel::hasChildren#
    {17, 469, 250},	// KDirSortFilterProxyModel::metaObject
    {17, 565, 260},	// KDirSortFilterProxyModel::pointsForPermissions#
    {17, 570, 256},	// KDirSortFilterProxyModel::qt_metacall$$?
    {17, 572, 251},	// KDirSortFilterProxyModel::qt_metacast$
    {17, 734, 261},	// KDirSortFilterProxyModel::setSortFoldersFirst$
    {17, 777, 262},	// KDirSortFilterProxyModel::sortFoldersFirst
    {17, 783, 268},	// KDirSortFilterProxyModel::staticMetaObject
    {17, 786, 263},	// KDirSortFilterProxyModel::subSortLessThan##
    {17, 801, 264},	// KDirSortFilterProxyModel::tr$
    {17, 802, 252},	// KDirSortFilterProxyModel::tr$$
    {17, 803, 254},	// KDirSortFilterProxyModel::tr$$$
    {17, 805, 265},	// KDirSortFilterProxyModel::trUtf8$
    {17, 806, 253},	// KDirSortFilterProxyModel::trUtf8$$
    {17, 807, 255},	// KDirSortFilterProxyModel::trUtf8$$$
    {17, 860, 269},	// KDirSortFilterProxyModel::~KDirSortFilterProxyModel
    {18, 25, 292},	// KFile::Default
    {18, 27, 294},	// KFile::Detail
    {18, 28, 299},	// KFile::DetailTree
    {18, 30, 287},	// KFile::Directory
    {18, 42, 289},	// KFile::ExistingOnly
    {18, 44, 303},	// KFile::Extended
    {18, 46, 286},	// KFile::File
    {18, 48, 300},	// KFile::FileViewMax
    {18, 49, 288},	// KFile::Files
    {18, 79, 284},	// KFile::KFile#
    {18, 136, 290},	// KFile::LocalOnly
    {18, 137, 291},	// KFile::ModeMax
    {18, 149, 302},	// KFile::Multi
    {18, 160, 304},	// KFile::NoSelection
    {18, 174, 296},	// KFile::PreviewContents
    {18, 175, 297},	// KFile::PreviewInfo
    {18, 196, 295},	// KFile::SeparateDirs
    {18, 200, 293},	// KFile::Simple
    {18, 201, 301},	// KFile::Single
    {18, 212, 298},	// KFile::Tree
    {18, 402, 276},	// KFile::isDefaultView$
    {18, 404, 283},	// KFile::isDetailTreeView$
    {18, 406, 278},	// KFile::isDetailView$
    {18, 417, 280},	// KFile::isPreviewContents$
    {18, 419, 281},	// KFile::isPreviewInfo$
    {18, 426, 279},	// KFile::isSeparateDirs$
    {18, 428, 277},	// KFile::isSimpleView$
    {18, 430, 272},	// KFile::isSortByDate#
    {18, 432, 270},	// KFile::isSortByName#
    {18, 434, 271},	// KFile::isSortBySize#
    {18, 436, 273},	// KFile::isSortByType#
    {18, 438, 275},	// KFile::isSortCaseInsensitive#
    {18, 440, 274},	// KFile::isSortDirsFirst#
    {18, 442, 282},	// KFile::isTreeView$
    {18, 783, 285},	// KFile::staticMetaObject
    {18, 861, 305},	// KFile::~KFile
    {19, 80, 327},	// KFileFilterCombo::KFileFilterCombo
    {19, 81, 313},	// KFileFilterCombo::KFileFilterCombo#
    {19, 273, 315},	// KFileFilterCombo::currentFilter
    {19, 286, 320},	// KFileFilterCombo::defaultFilter
    {19, 339, 323},	// KFileFilterCombo::eventFilter##
    {19, 349, 324},	// KFileFilterCombo::filterChanged
    {19, 352, 321},	// KFileFilterCombo::filters
    {19, 414, 322},	// KFileFilterCombo::isMimeFilter
    {19, 469, 306},	// KFileFilterCombo::metaObject
    {19, 570, 312},	// KFileFilterCombo::qt_metacall$$?
    {19, 572, 307},	// KFileFilterCombo::qt_metacast$
    {19, 644, 316},	// KFileFilterCombo::setCurrentFilter$
    {19, 662, 319},	// KFileFilterCombo::setDefaultFilter$
    {19, 676, 314},	// KFileFilterCombo::setFilter$
    {19, 699, 317},	// KFileFilterCombo::setMimeFilter?$
    {19, 763, 318},	// KFileFilterCombo::showsAllTypes
    {19, 783, 328},	// KFileFilterCombo::staticMetaObject
    {19, 801, 325},	// KFileFilterCombo::tr$
    {19, 802, 308},	// KFileFilterCombo::tr$$
    {19, 803, 310},	// KFileFilterCombo::tr$$$
    {19, 805, 326},	// KFileFilterCombo::trUtf8$
    {19, 806, 309},	// KFileFilterCombo::trUtf8$$
    {19, 807, 311},	// KFileFilterCombo::trUtf8$$$
    {19, 862, 329},	// KFileFilterCombo::~KFileFilterCombo
    {22, 18, 385},	// KFilePlacesModel::CapacityBarRecommendedRole
    {22, 51, 384},	// KFilePlacesModel::FixedDeviceRole
    {22, 56, 382},	// KFilePlacesModel::HiddenRole
    {22, 82, 372},	// KFilePlacesModel::KFilePlacesModel
    {22, 83, 337},	// KFilePlacesModel::KFilePlacesModel#
    {22, 197, 383},	// KFilePlacesModel::SetupNeededRole
    {22, 214, 381},	// KFilePlacesModel::UrlRole
    {22, 231, 373},	// KFilePlacesModel::addPlace$#
    {22, 232, 374},	// KFilePlacesModel::addPlace$#$
    {22, 233, 351},	// KFilePlacesModel::addPlace$#$$
    {22, 234, 352},	// KFilePlacesModel::addPlace$#$$#
    {22, 238, 345},	// KFilePlacesModel::bookmarkForIndex#
    {22, 255, 362},	// KFilePlacesModel::closestItem#
    {22, 256, 379},	// KFilePlacesModel::columnCount
    {22, 257, 361},	// KFilePlacesModel::columnCount#
    {22, 282, 357},	// KFilePlacesModel::data#$
    {22, 295, 344},	// KFilePlacesModel::deviceForIndex#
    {22, 318, 367},	// KFilePlacesModel::dropMimeData#$$$#
    {22, 323, 375},	// KFilePlacesModel::editPlace#$#
    {22, 324, 376},	// KFilePlacesModel::editPlace#$#$
    {22, 325, 353},	// KFilePlacesModel::editPlace#$#$$
    {22, 331, 347},	// KFilePlacesModel::ejectActionForIndex#
    {22, 336, 368},	// KFilePlacesModel::errorMessage$
    {22, 355, 364},	// KFilePlacesModel::flags#
    {22, 372, 356},	// KFilePlacesModel::hiddenCount
    {22, 389, 340},	// KFilePlacesModel::icon#
    {22, 392, 377},	// KFilePlacesModel::index$$
    {22, 393, 358},	// KFilePlacesModel::index$$#
    {22, 408, 343},	// KFilePlacesModel::isDevice#
    {22, 411, 342},	// KFilePlacesModel::isHidden#
    {22, 469, 330},	// KFilePlacesModel::metaObject
    {22, 472, 366},	// KFilePlacesModel::mimeData?
    {22, 474, 365},	// KFilePlacesModel::mimeTypes
    {22, 562, 359},	// KFilePlacesModel::parent#
    {22, 570, 336},	// KFilePlacesModel::qt_metacall$$?
    {22, 572, 331},	// KFilePlacesModel::qt_metacast$
    {22, 578, 354},	// KFilePlacesModel::removePlace#
    {22, 582, 349},	// KFilePlacesModel::requestEject#
    {22, 584, 350},	// KFilePlacesModel::requestSetup#
    {22, 586, 348},	// KFilePlacesModel::requestTeardown#
    {22, 595, 378},	// KFilePlacesModel::rowCount
    {22, 596, 360},	// KFilePlacesModel::rowCount#
    {22, 713, 355},	// KFilePlacesModel::setPlaceHidden#$
    {22, 753, 369},	// KFilePlacesModel::setupDone#$
    {22, 757, 339},	// KFilePlacesModel::setupNeeded#
    {22, 783, 380},	// KFilePlacesModel::staticMetaObject
    {22, 788, 363},	// KFilePlacesModel::supportedDropActions
    {22, 793, 346},	// KFilePlacesModel::teardownActionForIndex#
    {22, 795, 341},	// KFilePlacesModel::text#
    {22, 801, 370},	// KFilePlacesModel::tr$
    {22, 802, 332},	// KFilePlacesModel::tr$$
    {22, 803, 334},	// KFilePlacesModel::tr$$$
    {22, 805, 371},	// KFilePlacesModel::trUtf8$
    {22, 806, 333},	// KFilePlacesModel::trUtf8$$
    {22, 807, 335},	// KFilePlacesModel::trUtf8$$$
    {22, 826, 338},	// KFilePlacesModel::url#
    {22, 863, 386},	// KFilePlacesModel::~KFilePlacesModel
    {23, 84, 419},	// KFilePlacesView::KFilePlacesView
    {23, 85, 394},	// KFilePlacesView::KFilePlacesView#
    {23, 267, 404},	// KFilePlacesView::contextMenuEvent#
    {23, 284, 414},	// KFilePlacesView::dataChanged##
    {23, 308, 408},	// KFilePlacesView::dragEnterEvent#
    {23, 310, 409},	// KFilePlacesView::dragLeaveEvent#
    {23, 312, 410},	// KFilePlacesView::dragMoveEvent#
    {23, 316, 411},	// KFilePlacesView::dropEvent#
    {23, 374, 407},	// KFilePlacesView::hideEvent#
    {23, 400, 398},	// KFilePlacesView::isAutoResizeItemsEnabled
    {23, 409, 396},	// KFilePlacesView::isDropOnPlaceEnabled
    {23, 447, 403},	// KFilePlacesView::keyPressEvent#
    {23, 469, 387},	// KFilePlacesView::metaObject
    {23, 559, 412},	// KFilePlacesView::paintEvent#
    {23, 570, 393},	// KFilePlacesView::qt_metacall$$?
    {23, 572, 388},	// KFilePlacesView::qt_metacast$
    {23, 591, 405},	// KFilePlacesView::resizeEvent#
    {23, 599, 413},	// KFilePlacesView::rowsInserted#$$
    {23, 634, 397},	// KFilePlacesView::setAutoResizeItemsEnabled$
    {23, 668, 395},	// KFilePlacesView::setDropOnPlaceEnabled$
    {23, 703, 402},	// KFilePlacesView::setModel#
    {23, 728, 400},	// KFilePlacesView::setShowAll$
    {23, 741, 399},	// KFilePlacesView::setUrl#
    {23, 759, 406},	// KFilePlacesView::showEvent#
    {23, 764, 401},	// KFilePlacesView::sizeHint
    {23, 783, 420},	// KFilePlacesView::staticMetaObject
    {23, 801, 417},	// KFilePlacesView::tr$
    {23, 802, 389},	// KFilePlacesView::tr$$
    {23, 803, 391},	// KFilePlacesView::tr$$$
    {23, 805, 418},	// KFilePlacesView::trUtf8$
    {23, 806, 390},	// KFilePlacesView::trUtf8$$
    {23, 807, 392},	// KFilePlacesView::trUtf8$$$
    {23, 831, 415},	// KFilePlacesView::urlChanged#
    {23, 836, 416},	// KFilePlacesView::urlsDropped###
    {23, 864, 421},	// KFilePlacesView::~KFilePlacesView
    {24, 87, 429},	// KFilePreviewGenerator::KFilePreviewGenerator#
    {24, 88, 430},	// KFilePreviewGenerator::KFilePreviewGenerator##
    {24, 243, 435},	// KFilePreviewGenerator::cancelPreviews
    {24, 333, 437},	// KFilePreviewGenerator::enabledPlugins
    {24, 420, 432},	// KFilePreviewGenerator::isPreviewShown
    {24, 469, 422},	// KFilePreviewGenerator::metaObject
    {24, 570, 428},	// KFilePreviewGenerator::qt_metacall$$?
    {24, 572, 423},	// KFilePreviewGenerator::qt_metacast$
    {24, 674, 436},	// KFilePreviewGenerator::setEnabledPlugins?
    {24, 718, 431},	// KFilePreviewGenerator::setPreviewShown$
    {24, 783, 440},	// KFilePreviewGenerator::staticMetaObject
    {24, 801, 438},	// KFilePreviewGenerator::tr$
    {24, 802, 424},	// KFilePreviewGenerator::tr$$
    {24, 803, 426},	// KFilePreviewGenerator::tr$$$
    {24, 805, 439},	// KFilePreviewGenerator::trUtf8$
    {24, 806, 425},	// KFilePreviewGenerator::trUtf8$$
    {24, 807, 427},	// KFilePreviewGenerator::trUtf8$$$
    {24, 818, 434},	// KFilePreviewGenerator::updateIcons
    {24, 821, 433},	// KFilePreviewGenerator::updatePreviews
    {24, 865, 441},	// KFilePreviewGenerator::~KFilePreviewGenerator
    {25, 89, 465},	// KFileTreeView::KFileTreeView
    {25, 90, 449},	// KFileTreeView::KFileTreeView#
    {25, 227, 460},	// KFileTreeView::activated#
    {25, 267, 462},	// KFileTreeView::contextMenuEvent#
    {25, 272, 461},	// KFileTreeView::currentChanged#
    {25, 278, 450},	// KFileTreeView::currentUrl
    {25, 469, 442},	// KFileTreeView::metaObject
    {25, 570, 448},	// KFileTreeView::qt_metacall$$?
    {25, 572, 443},	// KFileTreeView::qt_metacast$
    {25, 594, 453},	// KFileTreeView::rootUrl
    {25, 624, 451},	// KFileTreeView::selectedUrl
    {25, 625, 452},	// KFileTreeView::selectedUrls
    {25, 652, 458},	// KFileTreeView::setCurrentUrl#
    {25, 666, 456},	// KFileTreeView::setDirOnlyMode$
    {25, 723, 459},	// KFileTreeView::setRootUrl#
    {25, 732, 457},	// KFileTreeView::setShowHiddenFiles$
    {25, 761, 454},	// KFileTreeView::showHiddenFiles
    {25, 764, 455},	// KFileTreeView::sizeHint
    {25, 783, 466},	// KFileTreeView::staticMetaObject
    {25, 801, 463},	// KFileTreeView::tr$
    {25, 802, 444},	// KFileTreeView::tr$$
    {25, 803, 446},	// KFileTreeView::tr$$$
    {25, 805, 464},	// KFileTreeView::trUtf8$
    {25, 806, 445},	// KFileTreeView::trUtf8$$
    {25, 807, 447},	// KFileTreeView::trUtf8$$$
    {25, 866, 467},	// KFileTreeView::~KFileTreeView
    {26, 92, 475},	// KFileWidget::KFileWidget##
    {26, 222, 510},	// KFileWidget::accept
    {26, 223, 521},	// KFileWidget::accepted
    {26, 224, 502},	// KFileWidget::actionCollection
    {26, 236, 478},	// KFileWidget::baseUrl
    {26, 242, 499},	// KFileWidget::cancelButton
    {26, 249, 492},	// KFileWidget::clearFilter
    {26, 273, 488},	// KFileWidget::currentFilter
    {26, 274, 489},	// KFileWidget::currentFilterMimeType
    {26, 277, 491},	// KFileWidget::currentMimeFilter
    {26, 303, 522},	// KFileWidget::dirOperator
    {26, 339, 514},	// KFileWidget::eventFilter##
    {26, 342, 517},	// KFileWidget::fileHighlighted#
    {26, 343, 518},	// KFileWidget::fileHighlighted$
    {26, 345, 515},	// KFileWidget::fileSelected#
    {26, 346, 516},	// KFileWidget::fileSelected$
    {26, 350, 520},	// KFileWidget::filterChanged$
    {26, 351, 501},	// KFileWidget::filterWidget
    {26, 362, 503},	// KFileWidget::getStartUrl#$
    {26, 363, 504},	// KFileWidget::getStartUrl#$$
    {26, 445, 486},	// KFileWidget::keepsLocation
    {26, 455, 500},	// KFileWidget::locationEdit
    {26, 469, 468},	// KFileWidget::metaObject
    {26, 479, 495},	// KFileWidget::mode
    {26, 491, 498},	// KFileWidget::okButton
    {26, 493, 484},	// KFileWidget::operationMode
    {26, 570, 474},	// KFileWidget::qt_metacall$$?
    {26, 572, 469},	// KFileWidget::qt_metacast$
    {26, 574, 523},	// KFileWidget::readConfig#
    {26, 591, 512},	// KFileWidget::resizeEvent#
    {26, 620, 479},	// KFileWidget::selectedFile
    {26, 621, 480},	// KFileWidget::selectedFiles
    {26, 624, 476},	// KFileWidget::selectedUrl
    {26, 625, 477},	// KFileWidget::selectedUrls
    {26, 626, 519},	// KFileWidget::selectionChanged
    {26, 656, 506},	// KFileWidget::setCustomWidget#
    {26, 657, 507},	// KFileWidget::setCustomWidget$#
    {26, 676, 487},	// KFileWidget::setFilter$
    {26, 691, 485},	// KFileWidget::setKeepLocation$
    {26, 694, 496},	// KFileWidget::setLocationLabel$
    {26, 698, 527},	// KFileWidget::setMimeFilter?
    {26, 699, 490},	// KFileWidget::setMimeFilter?$
    {26, 701, 494},	// KFileWidget::setMode$
    {26, 711, 483},	// KFileWidget::setOperationMode$
    {26, 720, 493},	// KFileWidget::setPreviewWidget#
    {26, 725, 482},	// KFileWidget::setSelection$
    {26, 739, 505},	// KFileWidget::setStartDir#
    {26, 741, 526},	// KFileWidget::setUrl#
    {26, 742, 481},	// KFileWidget::setUrl#$
    {26, 759, 513},	// KFileWidget::showEvent#
    {26, 768, 511},	// KFileWidget::slotCancel
    {26, 771, 509},	// KFileWidget::slotOk
    {26, 783, 528},	// KFileWidget::staticMetaObject
    {26, 799, 497},	// KFileWidget::toolBar
    {26, 801, 524},	// KFileWidget::tr$
    {26, 802, 470},	// KFileWidget::tr$$
    {26, 803, 472},	// KFileWidget::tr$$$
    {26, 805, 525},	// KFileWidget::trUtf8$
    {26, 806, 471},	// KFileWidget::trUtf8$$
    {26, 807, 473},	// KFileWidget::trUtf8$$$
    {26, 848, 508},	// KFileWidget::virtual_hook$$
    {26, 867, 529},	// KFileWidget::~KFileWidget
    {41, 112, 591},	// KUrlNavigator::KUrlNavigator
    {41, 113, 537},	// KUrlNavigator::KUrlNavigator#
    {41, 114, 538},	// KUrlNavigator::KUrlNavigator###
    {41, 226, 574},	// KUrlNavigator::activated
    {41, 280, 561},	// KUrlNavigator::customProtocols
    {41, 327, 577},	// KUrlNavigator::editableStateChanged$
    {41, 328, 559},	// KUrlNavigator::editor
    {41, 339, 588},	// KUrlNavigator::eventFilter##
    {41, 364, 542},	// KUrlNavigator::goBack
    {41, 365, 543},	// KUrlNavigator::goForward
    {41, 366, 545},	// KUrlNavigator::goHome
    {41, 367, 544},	// KUrlNavigator::goUp
    {41, 378, 578},	// KUrlNavigator::historyChanged
    {41, 379, 558},	// KUrlNavigator::historyIndex
    {41, 380, 557},	// KUrlNavigator::historySize
    {41, 382, 564},	// KUrlNavigator::historyUrl$
    {41, 384, 547},	// KUrlNavigator::homeUrl
    {41, 399, 553},	// KUrlNavigator::isActive
    {41, 415, 555},	// KUrlNavigator::isPlacesSelectorVisible
    {41, 443, 549},	// KUrlNavigator::isUrlEditable
    {41, 447, 583},	// KUrlNavigator::keyPressEvent#
    {41, 449, 584},	// KUrlNavigator::keyReleaseEvent#
    {41, 456, 593},	// KUrlNavigator::locationState
    {41, 457, 541},	// KUrlNavigator::locationState$
    {41, 458, 592},	// KUrlNavigator::locationUrl
    {41, 459, 539},	// KUrlNavigator::locationUrl$
    {41, 469, 530},	// KUrlNavigator::metaObject
    {41, 484, 585},	// KUrlNavigator::mouseReleaseEvent#
    {41, 570, 536},	// KUrlNavigator::qt_metacall$$?
    {41, 572, 531},	// KUrlNavigator::qt_metacast$
    {41, 580, 569},	// KUrlNavigator::requestActivation
    {41, 591, 586},	// KUrlNavigator::resizeEvent#
    {41, 592, 580},	// KUrlNavigator::returnPressed
    {41, 601, 540},	// KUrlNavigator::saveLocationState#
    {41, 603, 573},	// KUrlNavigator::savePosition$$
    {41, 605, 572},	// KUrlNavigator::saveRootUrl#
    {41, 606, 566},	// KUrlNavigator::savedPosition
    {41, 607, 565},	// KUrlNavigator::savedRootUrl
    {41, 631, 552},	// KUrlNavigator::setActive$
    {41, 654, 560},	// KUrlNavigator::setCustomProtocols?
    {41, 677, 570},	// KUrlNavigator::setFocus
    {41, 681, 546},	// KUrlNavigator::setHomeUrl#
    {41, 682, 567},	// KUrlNavigator::setHomeUrl$
    {41, 696, 568},	// KUrlNavigator::setLocationUrl#
    {41, 715, 554},	// KUrlNavigator::setPlacesSelectorVisible$
    {41, 730, 550},	// KUrlNavigator::setShowFullPath$
    {41, 741, 571},	// KUrlNavigator::setUrl#
    {41, 744, 548},	// KUrlNavigator::setUrlEditable$
    {41, 760, 551},	// KUrlNavigator::showFullPath
    {41, 783, 594},	// KUrlNavigator::staticMetaObject
    {41, 790, 581},	// KUrlNavigator::tabRequested#
    {41, 801, 589},	// KUrlNavigator::tr$
    {41, 802, 532},	// KUrlNavigator::tr$$
    {41, 803, 534},	// KUrlNavigator::tr$$$
    {41, 805, 590},	// KUrlNavigator::trUtf8$
    {41, 806, 533},	// KUrlNavigator::trUtf8$$
    {41, 807, 535},	// KUrlNavigator::trUtf8$$$
    {41, 813, 556},	// KUrlNavigator::uncommittedUrl
    {41, 825, 562},	// KUrlNavigator::url
    {41, 827, 563},	// KUrlNavigator::url$
    {41, 829, 576},	// KUrlNavigator::urlAboutToBeChanged#
    {41, 831, 575},	// KUrlNavigator::urlChanged#
    {41, 835, 579},	// KUrlNavigator::urlsDropped##
    {41, 837, 582},	// KUrlNavigator::urlsDropped?#
    {41, 852, 587},	// KUrlNavigator::wheelEvent#
    {41, 868, 595},	// KUrlNavigator::~KUrlNavigator
    {78, 93, 1191},	// QGlobalSpace::KST_CTimeInfo
    {78, 94, 1183},	// QGlobalSpace::KST_KCustom
    {78, 95, 1177},	// QGlobalSpace::KST_KDEDesktopMimeType
    {78, 96, 1176},	// QGlobalSpace::KST_KFolderMimeType
    {78, 97, 1188},	// QGlobalSpace::KST_KImageIO
    {78, 98, 1180},	// QGlobalSpace::KST_KImageIOFormat
    {78, 99, 1175},	// QGlobalSpace::KST_KMimeType
    {78, 100, 1178},	// QGlobalSpace::KST_KMimeTypeEntry
    {78, 101, 1190},	// QGlobalSpace::KST_KMimeTypeFactory
    {78, 102, 1181},	// QGlobalSpace::KST_KProtocolInfo
    {78, 103, 1189},	// QGlobalSpace::KST_KProtocolInfoFactory
    {78, 104, 1173},	// QGlobalSpace::KST_KService
    {78, 105, 1185},	// QGlobalSpace::KST_KServiceFactory
    {78, 106, 1179},	// QGlobalSpace::KST_KServiceGroup
    {78, 107, 1187},	// QGlobalSpace::KST_KServiceGroupFactory
    {78, 108, 1182},	// QGlobalSpace::KST_KServiceSeparator
    {78, 109, 1174},	// QGlobalSpace::KST_KServiceType
    {78, 110, 1186},	// QGlobalSpace::KST_KServiceTypeFactory
    {78, 111, 1172},	// QGlobalSpace::KST_KSycocaEntry
    {78, 116, 1196},	// QGlobalSpace::LicensedActiveQt
    {78, 117, 1184},	// QGlobalSpace::LicensedCore
    {78, 118, 1197},	// QGlobalSpace::LicensedDBus
    {78, 119, 1195},	// QGlobalSpace::LicensedDeclarative
    {78, 120, 1194},	// QGlobalSpace::LicensedGui
    {78, 121, 1203},	// QGlobalSpace::LicensedHelp
    {78, 122, 1202},	// QGlobalSpace::LicensedMultimedia
    {78, 123, 1170},	// QGlobalSpace::LicensedNetwork
    {78, 124, 1167},	// QGlobalSpace::LicensedOpenGL
    {78, 125, 1169},	// QGlobalSpace::LicensedOpenVG
    {78, 126, 1168},	// QGlobalSpace::LicensedQt3Support
    {78, 127, 1200},	// QGlobalSpace::LicensedQt3SupportLight
    {78, 128, 1201},	// QGlobalSpace::LicensedScript
    {78, 129, 1199},	// QGlobalSpace::LicensedScriptTools
    {78, 130, 1171},	// QGlobalSpace::LicensedSql
    {78, 131, 1192},	// QGlobalSpace::LicensedSvg
    {78, 132, 1198},	// QGlobalSpace::LicensedTest
    {78, 133, 1161},	// QGlobalSpace::LicensedXml
    {78, 134, 1193},	// QGlobalSpace::LicensedXmlPatterns
    {78, 176, 1156},	// QGlobalSpace::Q_COMPLEX_TYPE
    {78, 177, 1160},	// QGlobalSpace::Q_DUMMY_TYPE
    {78, 178, 1159},	// QGlobalSpace::Q_MOVABLE_TYPE
    {78, 179, 1157},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {78, 180, 1158},	// QGlobalSpace::Q_STATIC_TYPE
    {78, 181, 1164},	// QGlobalSpace::QtCriticalMsg
    {78, 182, 1162},	// QGlobalSpace::QtDebugMsg
    {78, 183, 1165},	// QGlobalSpace::QtFatalMsg
    {78, 184, 1166},	// QGlobalSpace::QtSystemMsg
    {78, 185, 1163},	// QGlobalSpace::QtWarningMsg
    {78, 495, -1},	// QGlobalSpace::operator!=##
    {78, 496, -20},	// QGlobalSpace::operator!=#$
    {78, 497, -26},	// QGlobalSpace::operator!=$#
    {78, 498, 931},	// QGlobalSpace::operator!=$$
    {78, 500, 698},	// QGlobalSpace::operator&##
    {78, 502, -33},	// QGlobalSpace::operator*##
    {78, 503, -50},	// QGlobalSpace::operator*#$
    {78, 504, -58},	// QGlobalSpace::operator*$#
    {78, 506, -65},	// QGlobalSpace::operator+##
    {78, 507, -71},	// QGlobalSpace::operator+#$
    {78, 508, -77},	// QGlobalSpace::operator+$#
    {78, 509, -82},	// QGlobalSpace::operator+$$
    {78, 511, 750},	// QGlobalSpace::operator++$
    {78, 512, 1155},	// QGlobalSpace::operator++$$
    {78, 514, -88},	// QGlobalSpace::operator-#
    {78, 515, -91},	// QGlobalSpace::operator-##
    {78, 516, 1151},	// QGlobalSpace::operator-#$
    {78, 518, -96},	// QGlobalSpace::operator/#$
    {78, 520, -102},	// QGlobalSpace::operator<##
    {78, 521, 774},	// QGlobalSpace::operator<#$
    {78, 522, -109},	// QGlobalSpace::operator<$#
    {78, 523, 930},	// QGlobalSpace::operator<$$
    {78, 525, -112},	// QGlobalSpace::operator<<##
    {78, 526, -166},	// QGlobalSpace::operator<<#$
    {78, 527, -169},	// QGlobalSpace::operator<<#?
    {78, 529, -174},	// QGlobalSpace::operator<=##
    {78, 530, 891},	// QGlobalSpace::operator<=#$
    {78, 531, -179},	// QGlobalSpace::operator<=$#
    {78, 532, 812},	// QGlobalSpace::operator<=$$
    {78, 534, -182},	// QGlobalSpace::operator==##
    {78, 535, -203},	// QGlobalSpace::operator==#$
    {78, 536, -209},	// QGlobalSpace::operator==$#
    {78, 537, 1103},	// QGlobalSpace::operator==$$
    {78, 539, -216},	// QGlobalSpace::operator>##
    {78, 540, 1055},	// QGlobalSpace::operator>#$
    {78, 541, -221},	// QGlobalSpace::operator>$#
    {78, 542, 1049},	// QGlobalSpace::operator>$$
    {78, 544, -224},	// QGlobalSpace::operator>=##
    {78, 545, 990},	// QGlobalSpace::operator>=#$
    {78, 546, -229},	// QGlobalSpace::operator>=$#
    {78, 547, 1122},	// QGlobalSpace::operator>=$$
    {78, 549, -232},	// QGlobalSpace::operator>>##
    {78, 550, -285},	// QGlobalSpace::operator>>#$
    {78, 551, 1022},	// QGlobalSpace::operator>>#?
    {78, 553, 900},	// QGlobalSpace::operator^##
    {78, 555, 943},	// QGlobalSpace::operator|##
    {78, 556, -288},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *kfile_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_kfile_Smoke() {
    init_kdeui_Smoke();
    if (initialized) return;
    kfile_Smoke = new Smoke(
        "kfile",
        __smokekfile::classes, 142,
        __smokekfile::methods, 1345,
        __smokekfile::methodMaps, 646,
        __smokekfile::methodNames, 868,
        __smokekfile::types, 476,
        __smokekfile::inheritanceList,
        __smokekfile::argumentList,
        __smokekfile::ambiguousMethodList,
        __smokekfile::cast );
    initialized = true;
}

void delete_kfile_Smoke() { delete kfile_Smoke; }

}
